2010-05-10  Tony Chang  <tony@chromium.org>

        Reviewed by Kent Tamura.

        [chromium] don't build DRT in chromium checkouts due to a circular gyp dependency
        https://bugs.webkit.org/show_bug.cgi?id=38889

        * WebKit.gyp:

2010-05-10  Tony Chang  <tony@chromium.org>

        Reviewed by Kent Tamura.

        [chromium] Build DRT when running build-webkit --chromium
        https://bugs.webkit.org/show_bug.cgi?id=38730

        This allows DRT to use the same .o and .lib files when building
        on Windows.

        * WebKit.gyp: Move DRT.gyp targets into this file.
        * gyp_webkit: DRT.gyp is gone

2010-05-10  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Add WebKitScrollbar interface to allow Chromium code to reuse the scrollbar code
        https://bugs.webkit.org/show_bug.cgi?id=38854

        * public/WebScrollbar.h: Added.
        (WebKit::WebScrollbar::):
        (WebKit::WebScrollbar::~WebScrollbar):
        * public/WebScrollbarClient.h: Added.
        * public/WebThemeEngine.h:
        * src/AssertMatchingEnums.cpp:
        * src/WebScrollbarImpl.cpp: Added.
        (WebKit::WebScrollbar::create):
        (WebKit::WebScrollbar::defaultThickness):
        (WebKit::WebScrollbarImpl::WebScrollbarImpl):
        (WebKit::WebScrollbarImpl::~WebScrollbarImpl):
        (WebKit::WebScrollbarImpl::setLocation):
        (WebKit::WebScrollbarImpl::value):
        (WebKit::WebScrollbarImpl::setValue):
        (WebKit::WebScrollbarImpl::setDocumentSize):
        (WebKit::WebScrollbarImpl::scroll):
        (WebKit::WebScrollbarImpl::paint):
        (WebKit::WebScrollbarImpl::handleInputEvent):
        (WebKit::WebScrollbarImpl::onMouseDown):
        (WebKit::WebScrollbarImpl::onMouseUp):
        (WebKit::WebScrollbarImpl::onMouseMove):
        (WebKit::WebScrollbarImpl::onMouseLeave):
        (WebKit::WebScrollbarImpl::onMouseWheel):
        (WebKit::WebScrollbarImpl::onKeyDown):
        (WebKit::WebScrollbarImpl::valueChanged):
        (WebKit::WebScrollbarImpl::invalidateScrollbarRect):
        (WebKit::WebScrollbarImpl::isActive):
        (WebKit::WebScrollbarImpl::scrollbarCornerPresent):
        (WebKit::WebScrollbarImpl::getTickmarks):
        * src/WebScrollbarImpl.h: Added.
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::scrollViewWithKeyboard):
        (WebKit::WebViewImpl::mapKeyCodeForScroll):
        * src/WebViewImpl.h:

2010-05-10  Tony Gentilcore  <tonyg@chromium.org>

        Reviewed by Adam Barth.

        Provide mechanism to cache metadata for a resource
        https://bugs.webkit.org/show_bug.cgi?id=37874

        * src/ResourceHandle.cpp:
        (WebCore::ResourceHandle::cacheMetadata):

2010-05-10  Hans Wennborg  <hans@chromium.org>

        Reviewed by Jeremy Orlow.

        [Chromium] Add quota parameter to WebViewClient::createSessionStorageNamespace()
        https://bugs.webkit.org/show_bug.cgi?id=38750

        Put a per-origin quota on session storage since it is using memory in
        the browser process, and should not be allowed to grow arbitrarily
        large. See also http://trac.webkit.org/changeset/58828.

        * public/WebStorageNamespace.h:
        * public/WebViewClient.h:
        (WebKit::WebViewClient::createSessionStorageNamespace):
        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespace::sessionStorageNamespace):


2010-05-10  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Nate Chapin.

        Change IndexedDB to use events instead of callbacks
        https://bugs.webkit.org/show_bug.cgi?id=38594

        Change the glue here to match the changes I made in WebCore.

        * WebKit.gyp:
        * public/WebIDBCallbacks.h:
        * public/WebIndexedDatabase.h:
        * src/IDBCallbacksProxy.cpp: Added.
        (WebCore::IDBCallbacksProxy::IDBCallbacksProxy):
        (WebCore::IDBCallbacksProxy::~IDBCallbacksProxy):
        (WebCore::IDBCallbacksProxy::onError):
        (WebCore::IDBCallbacksProxy::onSuccess):
        * src/IDBCallbacksProxy.h:
        * src/IndexedDatabaseProxy.cpp:
        (WebCore::IndexedDatabaseProxy::open):
        * src/IndexedDatabaseProxy.h:
        * src/WebIndexedDatabaseImpl.cpp:
        (WebKit::WebIndexedDatabaseImpl::open):
        * src/WebIndexedDatabaseImpl.h:

2010-05-08  Jens Alfke  <snej@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] WebFrame::registerPasswordListener shouldn't assert on duplicate listener.
        https://bugs.webkit.org/show_bug.cgi?id=38765

        * public/WebFrame.h:
        (WebKit::WebFrameImpl::registerPasswordListener): Changed return type to bool. Updated comment.
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::registerPasswordListener): Return false instead of asserting.
        * src/WebFrameImpl.h:
        (WebKit::WebFrameImpl::registerPasswordListener): Changed return type to bool.

2010-05-08  Michael Nordman  <michaeln@google.com>

        Reviewed by Dmitry Titov.

        Add an additional parameter to the WebSharedWorker::startWorkerContext method
        to indicate which appcache the shared worker script resource was loaded from,
        and provide that value when calling out to chrome via this interface.
        https://bugs.webkit.org/show_bug.cgi?id=38605

        I'm keeping the old method around until patches can land in both repositories
        that make the old method obsolete and unneeded. There's a FIXME for that.

        Also somewhat related but independent change to propagate the runtime enabled 
        flag thru to the page settings instance used by the 'shadow page'.
 
        * public/WebSharedWorker.h: Add the new param (but keep the old interface around for now too)
        (WebKit::WebSharedWorker::startWorkerContext):
        * src/SharedWorkerRepository.cpp: Provide the value when calling out to chrome.
        (WebCore::SharedWorkerScriptLoader::notifyFinished):
        * src/WebSharedWorkerImpl.cpp:
        (WebKit::WebSharedWorkerImpl::startWorkerContext):
        * src/WebSharedWorkerImpl.h:
        * src/WebWorkerBase.cpp: Propagate runtime enabled flag thru to the page settings.
        (WebKit::WebWorkerBase::initializeLoader):

2010-05-07  Darin Fisher  <darin@chromium.org>

        Fix build bustage.  Update to Chromium code that avoids a bad
        dependency from net/ on chrome/.

        * DEPS:

2010-05-07  Darin Fisher  <darin@chromium.org>

        Fix build bustage.  Update to Chromium code that no longer uses
        deprecated methods.

        * DEPS:

2010-05-07  Darin Fisher  <darin@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] clear out more deprecated methods that are no longer used
        https://bugs.webkit.org/show_bug.cgi?id=38702

        * public/WebFrame.h:
        * public/WebNode.h:
        * src/WebFrameImpl.cpp:
        * src/WebFrameImpl.h:
        * src/WebNode.cpp:

2010-05-07  Finnur Thorarinsson  <finnur.webkit@gmail.com>

        Reviewed by Dimitri Glazkov.

        [chromium]: Fixing Find in page crash on sites.google.com
        https://bugs.webkit.org/show_bug.cgi?id=38591
        
        setMarkerActive should not try to set a collapsed marker as
        active. This can happen when you Edit a Sites page after doing
        a Find operation and then you press FindNext.
        
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::setMarkerActive):

2010-05-06  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Add support for resources on Mac
        https://bugs.webkit.org/show_bug.cgi?id=38637

        * DEPS: Check out tools/data_pack.

2010-05-06  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Chromium Dev Tools: Large toolbar icons flash when dev
        tools is opened in docked mode.

        https://bugs.webkit.org/show_bug.cgi?id=38631

        * src/js/DevTools.js:
        (devtools.domContentLoaded):

2010-05-06  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        drop support for sessionStorage in sandbox iframes
        https://bugs.webkit.org/show_bug.cgi?id=38151

        Update client of sessionStorage to handle exceptions.

        * src/StorageAreaProxy.cpp:
        (WebCore::StorageAreaProxy::storageEvent):

2010-05-05  Darin Fisher  <darin@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] clear out deprecated methods that are no longer used
        https://bugs.webkit.org/show_bug.cgi?id=38610

        * public/WebFormElement.h:
        * public/WebInputElement.h:
        * public/WebKitClient.h:
        * public/WebView.h:
        * public/WebViewClient.h:
        (WebKit::WebViewClient::createPopupMenu):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::popupOpened):
        * src/WebFormElement.cpp:
        * src/WebInputElement.cpp:
        (WebKit::WebInputElement::setSelectionRange):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::hideSuggestionsPopup):
        * src/WebViewImpl.h:

2010-05-05  Hans Wennborg  <hans@chromium.org>

        Reviewed by Jeremy Orlow.

        [chromium] Add quota parameter to  WebStorageNamespace::createSessionStorageNamespace
        https://bugs.webkit.org/show_bug.cgi?id=38589

        * public/WebStorageNamespace.h:
        (WebKit::WebStorageNamespace::createSessionStorageNamespace):
        * src/WebStorageNamespaceImpl.cpp:
        (WebKit::WebStorageNamespace::createSessionStorageNamespace):

2010-05-05  Stuart Morgan  <stuartmorgan@chromium.org>

        Reviewed by Darin Fisher.

        Update the plugin container's setFocus implementation to pass the new
        boolean argument to the next layer.

        https://bugs.webkit.org/show_bug.cgi?id=37961

        * src/WebPluginContainerImpl.cpp:
        (WebKit::WebPluginContainerImpl::setFocus):
        * src/WebPluginContainerImpl.h:

2010-05-04  Vangelis Kokkevis  <vangelis@chromium.org>

        Reviewed by Darin Fisher.

        Provide an API for querying whether a WebWidget is using gpu accelerated compositing.
        Also changed: isAcceleratedCompositing to: isAcceleratedCompositingActive.
        https://bugs.webkit.org/show_bug.cgi?id=38220

        * public/WebWidget.h:
        * src/WebPopupMenuImpl.h:
        (WebKit::WebPopupMenuImpl::isAcceleratedCompositingActive):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):
        (WebKit::WebViewImpl::paint):
        (WebKit::WebViewImpl::isAcceleratedCompositingActive):
        (WebKit::WebViewImpl::setRootGraphicsLayer):
        (WebKit::WebViewImpl::setIsAcceleratedCompositingActive):
        (WebKit::WebViewImpl::updateRootLayerContents):
        * src/WebViewImpl.h:

2010-04-29  John Gregg  <johnnyg@google.com>

        Reviewed by Dmitry Titov.

        notifications should have dir and replaceId attributes
        https://bugs.webkit.org/show_bug.cgi?id=38336

        * public/WebNotification.h:
        * src/WebNotification.cpp:
        (WebKit::WebNotification::dir):
        (WebKit::WebNotification::replaceId):

2010-05-04  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by David Levin.

        [chromium] Make the select popup not close on right/middle clicks.
        https://bugs.webkit.org/show_bug.cgi?id=38473

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::mouseDown):

2010-05-03  Abhishek Arya  <inferno@chromium.org>

        Reviewed by Adam Barth.

        Add support for controlling clipboard access from javascript.
        Clipboard access from javascript is disabled by default.
        https://bugs.webkit.org/show_bug.cgi?id=27751

        * public/WebSettings.h:
        * src/WebSettingsImpl.cpp:
        (WebKit::WebSettingsImpl::setJavaScriptCanAccessClipboard):
        * src/WebSettingsImpl.h:

2010-05-03  Jens Alfke  <snej@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Add "willSendSubmitEvent" hook to WebFrameClient and FrameLoaderClient
        https://bugs.webkit.org/show_bug.cgi?id=38397

        No tests (functionality is exposed only through native WebKit API.)

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::willSendSubmitEvent): New empty method
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchWillSendSubmitEvent): Delegate to client
        * src/FrameLoaderClientImpl.h:

2010-05-02  Michael Nordman  <michaeln@google.com>

        Reviewed by Dmitry Titov.

        Define two new ResourceRequestBase TargetTypes for worker and shared worker
        main resources. Use the new target types where appropiate. Add logic to marshal
        the target type specified by requests initiated on a background worker thread.

        https://bugs.webkit.org/show_bug.cgi?id=38295

        * src/SharedWorkerRepository.cpp:  use TargetIsSharedWorker
        (WebCore::SharedWorkerScriptLoader::SharedWorkerScriptLoader):

2010-05-02  Rafael Weinstein  <rafaelw@chromium.org>

        Reviewed by Darin Fisher.

        Include WebWindowFeatures in call to WebViewClient::createView.
        https://bugs.webkit.org/show_bug.cgi?id=38301

        * public/WebViewClient.h:
        (WebKit::WebViewClient::createView):
        * public/WebWindowFeatures.h:
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::createWindow):

2010-05-01  Evan Stade  <estade@chromium.org>

        Reviewed by David Levin

        [chromium] Skia needs to fade DragImages
        https://bugs.webkit.org/show_bug.cgi?id=38008

        * tests/DragImageTest.cpp:
        (DragImageTest.CreateDragImage): test that the drag image is a deep copy

2010-04-30  Jian Li  <jianli@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Add WebFileSystem interface and hook up with all FileSystem methods.
        https://bugs.webkit.org/show_bug.cgi?id=38228

        * WebKit.gyp:
        * public/WebFileSystem.h: Added.
        * public/WebKitClient.h:
        (WebKit::WebKitClient::fileSystem):
        * src/ChromiumBridge.cpp:
        (WebCore::ChromiumBridge::fileExists):
        (WebCore::ChromiumBridge::deleteFile):
        (WebCore::ChromiumBridge::deleteEmptyDirectory):
        (WebCore::ChromiumBridge::getFileSize):
        (WebCore::ChromiumBridge::getFileModificationTime):
        (WebCore::ChromiumBridge::directoryName):
        (WebCore::ChromiumBridge::pathByAppendingComponent):
        (WebCore::ChromiumBridge::makeAllDirectories):
        (WebCore::ChromiumBridge::getAbsolutePath):
        (WebCore::ChromiumBridge::isDirectory):
        (WebCore::ChromiumBridge::filePathToURL):
        (WebCore::ChromiumBridge::openFile):
        (WebCore::ChromiumBridge::closeFile):
        (WebCore::ChromiumBridge::seekFile):
        (WebCore::ChromiumBridge::truncateFile):
        (WebCore::ChromiumBridge::readFromFile):
        (WebCore::ChromiumBridge::writeToFile):

2010-04-29  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        Change StorageEvent.uri to StorageEvent.url to match the spec
        https://bugs.webkit.org/show_bug.cgi?id=38331

        Get rid of a stale FIXME and combine 2 lines that needn't be split.

        * src/StorageEventDispatcherImpl.cpp:
        (WebCore::StorageEventDispatcherImpl::dispatchStorageEvent):

2010-04-29  Anton Muhin  <antonm@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Consider implementing addOriginAccessWhitelistEntry method
        http://trac.webkit.org/changeset/57537 introduced a new method
        to manage whitelisting of origins.
        Expose this method in Chromium's bridge.
        https://bugs.webkit.org/show_bug.cgi?id=37578

        * public/WebSecurityPolicy.h: Start renaming (keep old function names) and add new removeOriginAccessWhitelistEntry method
        * src/WebSecurityPolicy.cpp: Start renaming (keep old function names) and add new removeOriginAccessWhitelistEntry method

2010-04-29  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r58498.
        http://trac.webkit.org/changeset/58498
        https://bugs.webkit.org/show_bug.cgi?id=38332

        "Broke a bunch of tests on Chromium canaries" (Requested by
        dglazkov on #webkit).

        * public/WebViewClient.h:
        (WebKit::WebViewClient::createView):
        * public/WebWindowFeatures.h:
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::createWindow):

2010-04-29  Adam Langley  <agl@chromium.org>

        Unreviewed, DEPS roll.

        WebKit's r58517 needs OTS's r30 which was rolled into Chromium in
        r45932.

        * DEPS:
          Use Chromium r45932.

2010-04-29  Rafael Weinstein  <rafaelw@chromium.org>

        Reviewed by Darin Fisher.

        Include WindowFeatures in call to WebViewClient::createView.

        https://bugs.webkit.org/show_bug.cgi?id=38301

        * public/WebViewClient.h:
        (WebKit::WebViewClient::createView):
        * public/WebWindowFeatures.h:
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::createWindow):

2010-04-29  Garret Kelly  <gdk@chromium.org>

        Reviewed by Darin Fisher.

        Expose the RuntimeFeature for touch events through the
        WebRuntimeFeatures mechanism.
        https://bugs.webkit.org/show_bug.cgi?id=37486

        * public/WebRuntimeFeatures.h:
        * src/WebRuntimeFeatures.cpp:
        (WebKit::WebRuntimeFeatures::enableTouch):
        (WebKit::WebRuntimeFeatures::isTouchEnabled):

2010-04-29  Zhenyao Mo  <zmo@google.com>

        Reviewed by Dimitri Glazkov.

        Remove the unnecessary texImage2D function with Image as input in GraphicsContext3D
        https://bugs.webkit.org/show_bug.cgi?id=38235

        * src/GraphicsContext3D.cpp: Remove tex*image implementation with Image input.

2010-04-28  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Yury Semikhatsky.

        Web Inspector: Allow editing script resources when resource tracking is enabled.

        http://bugs.webkit.org/show_bug.cgi?id=38269
 
        * src/js/DebuggerAgent.js:
        * src/js/InspectorControllerImpl.js:
        (.devtools.InspectorBackendImpl.prototype.setBreakpoint):
        (.devtools.InspectorBackendImpl.prototype.editScriptSource):

2010-04-28  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        [Chromium] callOnMainThread should equate to MessageLoop::PostTask
        https://bugs.webkit.org/show_bug.cgi?id=38276

        * public/WebKitClient.h:
        (WebKit::WebKitClient::callOnMainThread):
        * src/ChromiumThreading.cpp:
        (WTF::ChromiumThreading::callOnMainThread):

2010-04-27  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        Make WebThemeEngine::paint take a const ref of ExtraParams
        https://bugs.webkit.org/show_bug.cgi?id=38242

        * public/WebThemeEngine.h:
        (WebKit::WebThemeEngine::paint):

2010-04-28  Andrey Kosyakov  <caseq@chromium.org>

        Reviewed by Pavel Feldman.

        Fixed passing breakpoints to V8. 
        https://bugs.webkit.org/show_bug.cgi?id=38266

        * src/js/InspectorControllerImpl.js:
        (.devtools.InspectorBackendImpl.prototype.setBreakpoint):

2010-04-28  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Support pause on exceptions in v8 implementation of ScriptDebugServer.

        https://bugs.webkit.org/show_bug.cgi?id=38205        

        * src/js/DebuggerScript.js:
        (debuggerScriptConstructor.DebuggerScript.getScripts):
        (debuggerScriptConstructor.DebuggerScript.pauseOnExceptionsState):
        (debuggerScriptConstructor.DebuggerScript.setPauseOnExceptionsState):
        (debuggerScriptConstructor.DebuggerScript._v8ToWebkitLineNumber):
        (debuggerScriptConstructor):

2010-04-27  Jens Alfke  <snej@chromium.org>

        Reviewed by Eric Seidel.

        [chromium] Fix bug that prevents autosave of forms without action attribute
        https://bugs.webkit.org/show_bug.cgi?id=38014
        Change is in the Chromium WebKit API so it can't be tested with a JS-based layout test.
        It needs a native unit test, which would go in the Chromium repo, not WebKit.

        * src/WebPasswordFormData.cpp:
        (WebKit::WebPasswordFormData::WebPasswordFormData): Set correct URL if action is NULL

2010-04-27  Michael Nordman  <michaeln@google.com>

        Reviewed by Dmitry Titov.

        [Chromium] Add two things to the webkit API to support appcaches in workers.
        1) WebURLRequest TargetTypes for worker and shared worker main resources.
        2) Factory method on class WebCommonWorkerClient to
           createApplicationCacheHost() for the associated worker.

        https://bugs.webkit.org/show_bug.cgi?id=38147

        * public/WebCommonWorkerClient.h: add the factory method
        * public/WebURLRequest.h: add the TargetTypes
        * src/WebWorkerBase.cpp: call the embedder's factory when needed
        (WebKit::WebWorkerBase::didCreateDataSource)
        (WebKit::WebWorkerBase::createApplicationCacheHost)
        * src/WebWorkerBase.h: ditto
        * src/WebWorkerClientImpl.h: add a stub impl of the factory method 
        (WebKit::WebWorkerClientImpl::createApplicationCacheHost):

2010-04-27  Kent Tamura  <tkent@chromium.org>

        Reviewed by Shinichiro Hamaji.

        [DRT/Chromium] Enable Windows project generation
        https://bugs.webkit.org/show_bug.cgi?id=38103

        - Avoid platform.system(), which causes a crash with python.exe in
          depot_tools. Use sys.platform instead.
        - Process DumpRenderTree.gyp on all platforms.

        * gyp_webkit:

2010-04-27  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by Darin Fisher.

        Makes clicking a select element close its associated popup if
        it is open.
        https://bugs.webkit.org/show_bug.cgi?id=38105

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::mouseDown):

2010-04-27  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Merged the WebView public method to close suggestion popups
        into a single method to close all popups (select and suggestions).
        That ensures select popups are closed when the browser window is moved
        or resized.
        https://bugs.webkit.org/show_bug.cgi?id=37837

        * public/WebView.h:
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::hidePopups):
        (WebKit::WebViewImpl::hideSuggestionsPopup):
        * src/WebViewImpl.h:

2010-04-27  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Adler.

        Remove unnecessary header now that Chrome is updated
        https://bugs.webkit.org/show_bug.cgi?id=38211

        * public/win/WebThemeEngine.h: Removed.

2010-04-27  Jens Alfke  <snej@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Add some notifications and an accessor to WebKit API
        https://bugs.webkit.org/show_bug.cgi?id=37625

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::didFirstLayout):
        (WebKit::WebFrameClient::didFirstVisuallyNonEmptyLayout):
        * public/WebNode.h:
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDidFirstLayout):
        (WebKit::FrameLoaderClientImpl::dispatchDidFirstVisuallyNonEmptyLayout):
        * src/WebElement.cpp:
        * src/WebNode.cpp:
        (WebKit::WebNode::hasNonEmptyBoundingBox):

2010-04-27  Darin Fisher  <darin@chromium.org>

        Reviewed by Dimitri Glazkov.

        [Chromium] Remove deprecated form of didChangeLocationWithinPage
        https://bugs.webkit.org/show_bug.cgi?id=38178

        * public/WebFrameClient.h:
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDidNavigateWithinPage):

2010-04-27  Evan Martin  <evan@chromium.org>

        Reviewed by David Levin.

        [chromium] bold bengali text not rendered properly on Linux
        Roll forward Chrome DEPS so we get new Skia API.

        * DEPS: update Chrome to r45696.

2010-04-27  Andrey Kosyakov  <caseq@chromium.org>

        Reviewed by Pavel Feldman.

        Restore breakpoints associated with script's URL once
        script is parsed.
        https://bugs.webkit.org/show_bug.cgi?id=38132

        * src/js/DebuggerAgent.js:
        (devtools.DebuggerAgent.prototype.initUI):
        (devtools.DebuggerAgent.prototype.addBreakpoint):
        (devtools.DebuggerAgent.prototype.addScriptInfo_):
        (devtools.DebuggerAgent.prototype.restoreBreakpoints_):
        (devtools.BreakpointInfo):
        (devtools.BreakpointInfo.prototype.enabled):
        (devtools.BreakpointInfo.prototype.condition):

2010-04-27  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Yury Semikhatsky.

        Chrome Dev Tools: Further beautify themes.

        https://bugs.webkit.org/show_bug.cgi?id=38187

        * src/js/DevTools.js:
        (WebInspector.setToolbarColors):
        * src/js/devTools.css:
        (body.platform-windows #toolbar, body.platform-windows.inactive #toolbar):

2010-04-26  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Prepare to making WebThemeEngine cross-platform
        https://bugs.webkit.org/show_bug.cgi?id=38077

        * WebKit.gyp:
        * public/WebThemeEngine.h: Added.
        * public/win/WebThemeEngine.h:

2010-04-26  Darin Fisher  <darin@chromium.org>

        Reviewed by Adam Barth.

        [Chromium] Crash after calling window.print() on a window object that has been closed.
        https://bugs.webkit.org/show_bug.cgi?id=38148

        It is unfortunately not possible to write a layout test for this as the
        crash occurs in an API that is only called by Chrome while showing a
        print dialog.

        * src/WebViewImpl.cpp:
        (WebKit::WebView::willEnterModalLoop):
        (WebKit::WebView::didExitModalLoop):

2010-04-25  Sam Weinig  <sam@webkit.org>

        Reviewed by Maciej Stachowiak.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=38097
        Disentangle initializing the main thread from initializing threading

        * src/WebKit.cpp:
        (WebKit::initialize): Add call to initializeMainThread.
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl): Ditto.

2010-04-26  Roman Gershman  <romange@google.com>

        Reviewed by Adam Barth.

        [Chromium] Font size in suggestions popup menu should be correlated with the font size of its text field.

        https://bugs.webkit.org/show_bug.cgi?id=37977

        * src/SuggestionsPopupMenuClient.cpp:
        (WebKit::SuggestionsPopupMenuClient::initialize):

2010-04-26  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Yury Semikhatsky.

        Chromium Dev Tools: brush up images.

        https://bugs.webkit.org/show_bug.cgi?id=38124

        * WebKit.gypi:
        * src/js/DevTools.js:
        (WebInspector.setToolbarColors):
        * src/js/Images/segmentChromium.png:
        * src/js/Images/segmentChromium2.png: Removed.
        * src/js/Images/segmentHoverChromium2.png: Removed.
        * src/js/Images/segmentSelectedChromium2.png: Removed.
        * src/js/Images/statusbarBackgroundChromium.png:
        * src/js/Images/statusbarBackgroundChromium2.png: Removed.
        * src/js/Images/statusbarBottomBackgroundChromium.png:
        * src/js/Images/statusbarButtonsChromium.png:
        * src/js/Images/statusbarMenuButtonChromium.png:
        * src/js/Images/statusbarMenuButtonChromium2.png: Removed.
        * src/js/devTools.css:
        (.section > .header):
        (.console-group-messages .section > .header):
        (#resources-filter):
        (.crumbs .crumb):
        (.crumbs .crumb.end):
        (.crumbs .crumb.selected):
        (.crumbs .crumb.selected:hover):
        (.crumbs .crumb.selected.end, .crumbs .crumb.selected.end:hover):
        (.crumbs .crumb:hover):
        (.crumbs .crumb.dimmed:hover):
        (.crumbs .crumb.end:hover):
        (body.drawer-visible #main-status-bar):
        (.status-bar):
        (button.status-bar-item):
        (select.status-bar-item:active):
        (#drawer):
        (select.status-bar-item):

2010-04-23  Zhenyao Mo  <zmo@google.com>

        Reviewed by Darin Fisher.

        Add isGLES2Compliant to GraphicsContext3D: make the method const.
        https://bugs.webkit.org/show_bug.cgi?id=37872

        * src/GraphicsContext3D.cpp: Make isGLES2Compliant() const.
        (WebCore::GraphicsContext3DInternal::isGLES2Compliant):
        (WebCore::GraphicsContext3D::isGLES2Compliant):

2010-04-23  Rafael Weinstein  <rafaelw@grafaelw.sfo.corp.google.com>

        Reviewed by Darin Fisher.

        This patch adds a WebWindowFeatures binding struct for the
        chromium client in anticipation of a follow-on patch which will
        pass it to WebViewClient::createWindow.

        https://bugs.webkit.org/show_bug.cgi?id=38013

        * public/WebViewClient.h:
        (WebKit::WebViewClient::createView):
        * public/WebWindowFeatures.h: Added.
        (WebKit::WebWindowFeatures::WebWindowFeatures):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::createWindow):

2010-04-22  Zhenyao Mo  <zmo@google.com>

        Reviewed by Darin Fisher.

        Add isGLES2Compliant to GraphicsContext3D
        https://bugs.webkit.org/show_bug.cgi?id=37872

        * public/WebGraphicsContext3D.h: Add isGLES2Compliant().
        * src/GraphicsContext3D.cpp: Ditto.
        * src/WebGraphicsContext3DDefaultImpl.cpp: Ditto.
        (WebKit::WebGraphicsContext3DDefaultImpl::isGLES2Compliant):
        * src/WebGraphicsContext3DDefaultImpl.h: Ditto.

2010-04-22  Dave Moore  <davemoore@chromium.org>

        Reviewed by Dimitri Glazkov.

        Added notification when the favicons for a page are changed
        from a script.
        The Document object will notify the frame loader, which will
        notify the client. Implementations of FrameLoaderClient will
        have to add one method; dispatchDidChangeIcons().

        https://bugs.webkit.org/show_bug.cgi?id=33812

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::didChangeIcons):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDidChangeIcons):
        * src/FrameLoaderClientImpl.h:

2010-04-22  Zhenyao Mo  <zmo@google.com>

        Reviewed by Dimitri Glazkov.

        Emulate GL_IMPLEMENTATION_COLOR_READ_FORMAT/TYPE for glGet
        https://bugs.webkit.org/show_bug.cgi?id=37281

        * src/WebGraphicsContext3DDefaultImpl.cpp:
        (WebKit::WebGraphicsContext3DDefaultImpl::getIntegerv): Emulate two  enums.

2010-04-22  Adam Barth  <abarth@webkit.org>

        Unreviewed, rolling out r58069.
        http://trac.webkit.org/changeset/58069
        https://bugs.webkit.org/show_bug.cgi?id=27751

        Broke compile on Windows.

        * public/WebSettings.h:
        * src/WebSettingsImpl.cpp:
        * src/WebSettingsImpl.h:

2010-04-22  Tony Chang  <tony@chromium.org>

        Reviewed by Shinichiro Hamaji.

        [chromium] roll chromium deps to pick up some windows build fixes
        https://bugs.webkit.org/show_bug.cgi?id=37972

        * DEPS:

2010-04-22  Abhishek Arya  <inferno@chromium.org>

        Reviewed by Adam Barth.

        Add support for controlling clipboard access from javascript.
        Clipboard access from javascript is disabled by default.
        https://bugs.webkit.org/show_bug.cgi?id=27751

        * public/WebSettings.h:
        * src/WebSettingsImpl.cpp:
        (WebKit::WebSettingsImpl::setJavaScriptCanAccessClipboard):
        * src/WebSettingsImpl.h:

2010-04-21  Tony Chang  <tony@chromium.org>

        Reviewed by Shinichiro Hamaji.

        [chromium] gyp_webkit should be executable
        https://bugs.webkit.org/show_bug.cgi?id=37971

        * gyp_webkit: Added property svn:executable.

2010-04-21  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Don't notify the WebView that a popup was
        opened when the popup is handled externally, as the popup
        is in that case transparent to the WebView.
        The notification was causing an ASSERT on Mac (where
        the popup is handled externally) as there would be no
        notification that the popup was closed.
        https://bugs.webkit.org/show_bug.cgi?id=37825

        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::popupOpened):

2010-04-21  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r58028.
        http://trac.webkit.org/changeset/58028
        https://bugs.webkit.org/show_bug.cgi?id=37962

        broke the chromium build (Requested by tony^work on #webkit).

        * DEPS:

2010-04-21  Evan Martin  <evan@chromium.org>

        Unreviewed, just a dependency change.

        [chromium] roll skia forward to r538
        https://bugs.webkit.org/show_bug.cgi?id=37960

        This will cause a bunch of pixel tests to fail due to bulleted
        lists rendering slightly differently.  I will grab new baselines
        from the bots and check them in in a followup.

        * DEPS:

2010-04-21  Evan Stade  <estade@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Web page serializer saves tag names in upper case
        https://bugs.webkit.org/show_bug.cgi?id=37940

        Simply convert all tags to lower case.

        This is tested by chrome tests:
         - save page browser tests
         - encoding ui tests
         - web page serializer test shell tests

        * src/WebPageSerializer.cpp:
        (WebKit::WebPageSerializer::generateMetaCharsetDeclaration):
        (WebKit::WebPageSerializer::generateBaseTagDeclaration):
        * src/WebPageSerializerImpl.cpp:
        (WebKit::WebPageSerializerImpl::openTagToString):
        (WebKit::WebPageSerializerImpl::endTagToString):

2010-04-20  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Factor DocumentWriter out of FrameLoader
        https://bugs.webkit.org/show_bug.cgi?id=37175

        Update these callsites because the method moved to DocumentWriter.

        * src/ContextMenuClientImpl.cpp:
        (WebKit::ContextMenuClientImpl::getCustomMenuFromDefaultItems):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::finishedLoading):
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::encoding):
        (WebKit::WebFrameImpl::commitDocumentData):
        * src/WebPageSerializerImpl.cpp:
        (WebKit::WebPageSerializerImpl::preActionBeforeSerializeOpenTag):
        (WebKit::WebPageSerializerImpl::serialize):
        * src/WebSearchableFormData.cpp:
        (WebCore::GetFormEncoding):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::pageEncoding):

2010-04-20  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Web Inspector: add basic script editing capabilities to the front-end.

        https://bugs.webkit.org/show_bug.cgi?id=37875

        * src/js/DebuggerAgent.js:
        (devtools.DebuggerAgent.prototype.resolveScriptSource.this.requestSeqToCallback_.cmd.getSequenceNumber):
        (devtools.DebuggerAgent.prototype.resolveScriptSource):
        (devtools.DebuggerAgent.prototype.editScriptLine.this.requestSeqToCallback_.cmd.getSequenceNumber):
        (devtools.DebuggerAgent.prototype.editScriptLine):
        (devtools.DebuggerAgent.prototype.handleDebuggerOutput_):
        * src/js/DevTools.js:
        * src/js/InspectorControllerImpl.js:
        (.devtools.InspectorBackendImpl.prototype.editScriptLine):

2010-04-20  Kent Tamura  <tkent@chromium.org>

        Reviewed by Darin Adler.

        Change a parameter type of chooseIconForFiles()
        https://bugs.webkit.org/show_bug.cgi?id=37504

        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::chooseIconForFiles):
        * src/ChromeClientImpl.h:

2010-04-20  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] Tests that pressing tab now closes the select popup.
        https://bugs.webkit.org/show_bug.cgi?id=37721

        * tests/PopupMenuTest.cpp:
        (WebKit::TEST_F):

2010-04-20  Evan Stade  <estade@chromium.org>

        Reviewed by David Levin.

        [chromium] crash when dragging images
        https://bugs.webkit.org/show_bug.cgi?id=37715

        Added unit tests for DragImageChromiumSkia.

        * WebKit.gyp:
        * tests/DragImageTest.cpp: Added.
        (WebCore::TestImage::TestImage):
        (WebCore::TestImage::~TestImage):
        (WebCore::TestImage::size):
        (WebCore::TestImage::nativeImageForCurrentFrame):
        (WebCore::TestImage::destroyDecodedData):
        (WebCore::TestImage::decodedSize):
        (WebCore::TestImage::draw):
        (WebCore::TEST):

2010-04-20  Stuart Morgan  <stuartmorgan@chromium.org>

        Reviewed by David Levin.

        Remove a workaround in plugin cursor setting that was obsoleted by
        the change in https://bugs.webkit.org/show_bug.cgi?id=35132
        https://bugs.webkit.org/show_bug.cgi?id=37811

        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::ChromeClientImpl):
        (WebKit::ChromeClientImpl::setCursor):
        (WebKit::ChromeClientImpl::setCursorForPlugin):
        * src/ChromeClientImpl.h:

2010-04-19  Ada Chan  <adachan@apple.com>

        Reviewed by Jeremy Orlow.

        https://bugs.webkit.org/show_bug.cgi?id=37717
        Changes needed now that StorageNamespaceImpl::sessionStorageNamespace() and
        StorageNamespace::sessionStorageNamespace() take in a quota parameter.

        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespace::sessionStorageNamespace):
        * src/WebStorageNamespaceImpl.cpp:
        (WebKit::WebStorageNamespace::createSessionStorageNamespace):

2010-04-17  Vangelis Kokkevis  <vangelis@chromium.org>

        Reviewed by Dimitri Glazkov.

        Adding the implementation of GLES2Context class which provides WebCore access to a GL ES context.
        https://bugs.webkit.org/show_bug.cgi?id=37541

        * WebKit.gyp:
        * public/WebGLES2Context.h: Added.
        (WebKit::WebGLES2Context::~WebGLES2Context):
        * src/GLES2Context.cpp: Added.
        (WebCore::GLES2ContextInternal::GLES2ContextInternal):
        (WebCore::GLES2ContextInternal::~GLES2ContextInternal):
        (WebCore::GLES2ContextInternal::getWebGLES2Context):
        (WebCore::GLES2ContextInternal::initialize):
        (WebCore::GLES2Context::create):
        (WebCore::GLES2Context::~GLES2Context):
        (WebCore::GLES2Context::initialize):
        (WebCore::GLES2Context::makeCurrent):
        (WebCore::GLES2Context::destroy):
        (WebCore::GLES2Context::swapBuffers):

2010-04-16  Dumitru Daniliuc  <dumi@chromium.org>

        Reviewed by Eric Seidel.

        Get rid of the UNUSED_PARAM macro in GraphicsContext3D.cpp.
        https://bugs.webkit.org/show_bug.cgi?id=37733

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3D::GraphicsContext3D):

2010-04-16  Dumitru Daniliuc  <dumi@chromium.org>

        Reviewed by Jeremy Orlow.

        Changing the return type of WebSecurityOrigin::createFromDatabaseIdentifier().
        https://bugs.webkit.org/show_bug.cgi?id=34466

        Changing the return type of
        WebSecurityOrigin::createFromDatabaseIdentifier() from
        WebSecurityOrigin* to WebSecurityOrigin, to make it more
        consistent with the other WebSecurityOrigin methods.

        * public/WebSecurityOrigin.h:
        * src/WebDatabase.cpp:
        (WebKit::WebDatabase::closeDatabaseImmediately):
        * src/WebSecurityOrigin.cpp:
        (WebKit::WebSecurityOrigin::createFromDatabaseIdentifier):

2010-04-16  Dmitry Titov  <dimich@chromium.org>

        Reviewed by Yury Semikhatsky.

        [v8] In Workers, script errors right after close() are not delivered to the Worker.onerror
        https://bugs.webkit.org/show_bug.cgi?id=37691

        * src/WebWorkerClientImpl.cpp:
        (WebKit::WebWorkerClientImpl::createWorkerContextProxy): Don't need to pull V8 proxy to retrieve current WorkerContext.

2010-04-16  Albert J. Wong  <ajwong@chromium.org>

        Not reviewed. Build fix.

        [chromium] Compile fix. Missing include header, and missing type conversion.

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::beginPaint):

2010-04-16  Jarkko Sakkinen  <jarkko.j.sakkinen@gmail.com>
 
        Reviewed by Simon Hausmann.
 
        [Qt] WebGL is not visible when QGLWidget viewport is used
        https://bugs.webkit.org/show_bug.cgi?id=37070
 
        Added HostWindow parameter to the constructor of GraphicsContext3D.
        Shared OpenGL context is initialized with parent QGLWidget.
 
        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3D::GraphicsContext3D):

2010-04-16  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by Jian Li.

        [chromium] WebKit::WebURLResponse::addHTTPHeaderField will crash if response is invalid UTF-8
        https://bugs.webkit.org/show_bug.cgi?id=37687

        * src/WebURLResponse.cpp:
        (WebKit::WebURLResponse::addHTTPHeaderField): ignore if name or value is null string.

2010-04-16  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] Select popups would assert when destroyed.
        Also adding unit-tests for the select popup code.
        https://bugs.webkit.org/show_bug.cgi?id=37436

        * WebKit.gyp:
        * src/WebViewImpl.h:
        (WebKit::WebViewImpl::selectPopup):
        * tests/PopupMenuTest.cpp: Added.

2010-04-16  Tony Chang  <tony@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] build DRT on Linux
        https://bugs.webkit.org/show_bug.cgi?id=37690

        * DEPS: Need to roll deps to remove a dependency on src/chrome
        * gyp_webkit: generate makefiles for DRT.gyp on Linux

2010-04-15  Tony Chang  <tony@chromium.org>

        Reviewed by Dimitri Glazkov.

        build DRT on chromium mac
        https://bugs.webkit.org/show_bug.cgi?id=37639

        * gyp_webkit: generate build files for DRT on mac

2010-04-15  Yury Semikhatsky  <yurys@google.com>

        Reviewed by Pavel Feldman.

        Support basic debugging capabilities including step in/over/out in v8
        implementation of ScriptDebugServer.

        https://bugs.webkit.org/show_bug.cgi?id=37604

        * WebKit.gypi:
        * src/DebuggerAgent.h:
        * src/DebuggerAgentImpl.cpp:
        (WebKit::DebuggerAgentImpl::setDebuggerScriptSource):
        * src/DebuggerAgentImpl.h:
        * src/DebuggerAgentManager.cpp:
        (WebKit::DebuggerAgentManager::hostDispatchHandler):
        (WebKit::DebuggerAgentManager::debugAttach):
        (WebKit::DebuggerAgentManager::debugDetach):
        (WebKit::DebuggerAgentManager::setMessageLoopDispatchHandler):
        * src/DebuggerAgentManager.h:
        * src/InspectorFrontendClientImpl.cpp:
        (WebKit::InspectorFrontendClientImpl::windowObjectCleared):
        * src/js/DebuggerScript.js: Added.
        (debuggerScriptConstructor.DebuggerScript.getAfterCompileScript):
        (debuggerScriptConstructor.DebuggerScript.getScripts):
        (debuggerScriptConstructor.DebuggerScript._formatScript):
        (debuggerScriptConstructor.DebuggerScript.setBreakpoint):
        (debuggerScriptConstructor.DebuggerScript.removeBreakpoint):
        (debuggerScriptConstructor.DebuggerScript.currentCallFrame):
        (debuggerScriptConstructor.DebuggerScript.stepIntoStatement):
        (debuggerScriptConstructor.DebuggerScript.stepOverStatement):
        (debuggerScriptConstructor.DebuggerScript.stepOutOfFunction):
        (debuggerScriptConstructor.DebuggerScript.clearBreakpoints):
        (debuggerScriptConstructor.DebuggerScript.setBreakpointsActivated):
        (debuggerScriptConstructor.DebuggerScript._frameMirrorToJSCallFrame):
        (debuggerScriptConstructor.DebuggerScript._webkitToV8LineNumber):
        (debuggerScriptConstructor.DebuggerScript._v8ToWwebkitLineNumber):
        (debuggerScriptConstructor):
        * src/js/DevTools.js:
        (WebInspector.loaded):
        (.):
        ():
        * src/js/DevToolsHostStub.js:
        (.RemoteDebuggerAgentStub.prototype.setDebuggerScriptSource):
        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):

2010-04-15  Matt Perry  <mpcomplete@chromium.org>

        Reviewed by Dimitri Glazkov.

        Implement layoutTestController's addUserStyleSheet and
        setAuthorAndUserStylesEnabled on Chromium port.
        https://bugs.webkit.org/show_bug.cgi?id=37595

        * public/WebSettings.h:
        * public/WebView.h:
        * src/WebSettingsImpl.cpp:
        (WebKit::WebSettingsImpl::setAuthorAndUserStylesEnabled):
        * src/WebSettingsImpl.h:
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::addUserStyleSheet):
        * src/WebViewImpl.h:

2010-04-15  Zhenyao Mo  <zmo@google.com>

        Reviewed by Dimitri Glazkov.

        Must enable GL_VERTEX_PROGRAM_POINT_SIZE during initialization
        https://bugs.webkit.org/show_bug.cgi?id=37178

        * src/WebGraphicsContext3DDefaultImpl.cpp: Enable GL_VERTEX_PROGRAM_POINT_SIZE during initialization.
        (WebKit::WebGraphicsContext3DDefaultImpl::initialize):

2010-04-15  Albert J. Wong  <ajwong@chromium.org>

        Unreviewed, rolling out r57660.
        http://trac.webkit.org/changeset/57660
        https://bugs.webkit.org/show_bug.cgi?id=37604

        Broke a large number of inspector layout tests in chromium.

        * WebKit.gypi:
        * src/DebuggerAgent.h:
        * src/DebuggerAgentImpl.cpp:
        * src/DebuggerAgentImpl.h:
        * src/DebuggerAgentManager.cpp:
        (WebKit::DebuggerAgentManager::debugAttach):
        (WebKit::DebuggerAgentManager::debugDetach):
        (WebKit::DebuggerAgentManager::setMessageLoopDispatchHandler):
        * src/DebuggerAgentManager.h:
        * src/InspectorFrontendClientImpl.cpp:
        (WebKit::InspectorFrontendClientImpl::windowObjectCleared):
        * src/js/DebuggerScript.js: Removed.
        * src/js/DevTools.js:
        (WebInspector.loaded):
        (WebInspector.UnresolvedPropertyValue):
        ():
        * src/js/DevToolsHostStub.js:
        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):

2010-04-15  Yury Semikhatsky  <yurys@google.com>

        Reviewed by Pavel Feldman.

        Support basic debugging capabilities including step in/over/out in v8
        implementation of ScriptDebugServer.

        https://bugs.webkit.org/show_bug.cgi?id=37604

        * WebKit.gypi:
        * src/DebuggerAgent.h:
        * src/DebuggerAgentImpl.cpp:
        (WebKit::DebuggerAgentImpl::setDebuggerScriptSource):
        * src/DebuggerAgentImpl.h:
        * src/DebuggerAgentManager.cpp:
        (WebKit::DebuggerAgentManager::hostDispatchHandler):
        (WebKit::DebuggerAgentManager::debugAttach):
        (WebKit::DebuggerAgentManager::debugDetach):
        (WebKit::DebuggerAgentManager::setMessageLoopDispatchHandler):
        * src/DebuggerAgentManager.h:
        * src/InspectorFrontendClientImpl.cpp:
        (WebKit::InspectorFrontendClientImpl::windowObjectCleared):
        * src/js/DebuggerScript.js: Added.
        (debuggerScriptConstructor.DebuggerScript.getAfterCompileScript):
        (debuggerScriptConstructor.DebuggerScript.getScripts):
        (debuggerScriptConstructor.DebuggerScript._formatScript):
        (debuggerScriptConstructor.DebuggerScript.setBreakpoint):
        (debuggerScriptConstructor.DebuggerScript.removeBreakpoint):
        (debuggerScriptConstructor.DebuggerScript.currentCallFrame):
        (debuggerScriptConstructor.DebuggerScript.stepIntoStatement):
        (debuggerScriptConstructor.DebuggerScript.stepOverStatement):
        (debuggerScriptConstructor.DebuggerScript.stepOutOfFunction):
        (debuggerScriptConstructor.DebuggerScript.clearBreakpoints):
        (debuggerScriptConstructor.DebuggerScript.setBreakpointsActivated):
        (debuggerScriptConstructor.DebuggerScript._frameMirrorToJSCallFrame):
        (debuggerScriptConstructor.DebuggerScript._webkitToV8LineNumber):
        (debuggerScriptConstructor.DebuggerScript._v8ToWwebkitLineNumber):
        (debuggerScriptConstructor):
        * src/js/DevTools.js:
        (WebInspector.loaded):
        (.):
        ():
        * src/js/DevToolsHostStub.js:
        (.RemoteDebuggerAgentStub.prototype.setDebuggerScriptSource):
        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):

2010-04-15  Ben Murdoch  <benm@google.com>

        Unreviewed, rolling out r57652.
        http://trac.webkit.org/changeset/57652
        https://bugs.webkit.org/show_bug.cgi?id=37609

        Caused a build break on Chromium Mac and Layout Test fail on
        Qt

        * src/WebInputEventConversion.cpp:
        (WebKit::toPlatformTouchPointState):

2010-04-14  Ben Murdoch  <benm@google.com>

        Reviewed by Kenneth Rohde Christiansen.

        The TouchStationary state of WebCore::PlatformTouchPoint is not
        handled inside the touch event handler.
        https://bugs.webkit.org/show_bug.cgi?id=37609

        After discussions at the WebKit contributors meeting, we decided that
        this is a currently unused state without a good future use case in the
        Touch API and thus decided to remove it. This patch actions that decision.

        * src/WebInputEventConversion.cpp:
        (WebKit::toPlatformTouchPointState): Remove TouchStationary.

2010-04-12  Tony Chang  <tony@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] update chromium DEPS for upstream compile
        https://bugs.webkit.org/show_bug.cgi?id=36578

        * DEPS: Pull sub deps from chromium's DEPS file

2010-04-14  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r57599.
        http://trac.webkit.org/changeset/57599
        https://bugs.webkit.org/show_bug.cgi?id=37605

        "Broke Chromium build" (Requested by dglazkov on #webkit).

        * WebKit.gyp:
        * src/WebViewImpl.h:
        * tests/PopupMenuTest.cpp: Removed.

2010-04-14  Aaron Boodman  <aa@chromium.org>

        Reviewed by David Levin.

        Support relative URLs for notifications on Chromium. They weren't working previously because WebCore was inserting
        the relative URL into a KURL instance, but when KURL is backed by GURL as it is on Chromium, relative URLs are
        unsupported. Fixed by resolving the relative URL first.

        https://bugs.webkit.org/show_bug.cgi?id=36623

        Adding tests for this is difficult because we don't currently have DRT support for notifications on Mac, only Windows.

        * public/WebNotification.h: Remove deprecated icon() method.
        * src/WebNotification.cpp: Ditto.

2010-04-14  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] Select popups would assert when destroyed.
        Also adding unit-tests for the select popup code.
        https://bugs.webkit.org/show_bug.cgi?id=37436

        * WebKit.gyp:
        * src/WebViewImpl.h:
        (WebKit::WebViewImpl::selectPopup):
        * tests/PopupMenuTest.cpp: Added.

2010-04-14  Zhenyao Mo  <zmo@google.com>

        Reviewed by Dimitri Glazkov.

        readPixels must take PACK_ALIGNMENT into account
        https://bugs.webkit.org/show_bug.cgi?id=34718

        * src/GraphicsContext3D.cpp: Refactor readPixels.
        * src/WebGraphicsContext3DDefaultImpl.cpp:
        (WebKit::WebGraphicsContext3DDefaultImpl::readBackFramebuffer): Temporarily disable pack alignment for glReadPixels.
        (WebKit::WebGraphicsContext3DDefaultImpl::readPixels): Move array allocation and alpha fix to WebGLRenderingContext; flush before read pixels.

2010-04-14  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        Re-write testProfilerTab to match the new implementation.

        https://bugs.webkit.org/show_bug.cgi?id=37516

        * src/js/Tests.js:
        (.TestSuite.prototype.testProfilerTab.findDisplayedNode):
        (.TestSuite.prototype.testProfilerTab.findVisibleView):
        (.TestSuite.prototype.testProfilerTab):

2010-04-13  Timothy Hatcher  <timothy@apple.com>

        Rename SecurityOrigin::whiteListAccessFromOrigin to addOriginAccessWhitelistEntry.
        And SecurityOrigin::resetOriginAccessWhiteLists to resetOriginAccessWhitelists.

        SecurityOrigin needs a way to remove individual OriginAccessEntries
        https://bugs.webkit.org/show_bug.cgi?id=37449

        Reviewed by Dave Hyatt.

        * src/WebSecurityPolicy.cpp:
        (WebKit::WebSecurityPolicy::whiteListAccessFromOrigin):
        (WebKit::WebSecurityPolicy::resetOriginAccessWhiteLists):

2010-04-13  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        Fix search behavior in Heap profiles.

        https://bugs.webkit.org/show_bug.cgi?id=37498

        * src/js/HeapProfilerPanel.js:

2010-04-13  Jeremy Moskovich  <jeremy@chromium.org>

        Reviewed by David Levin.

        Add some diagnostics to try to track down cause of crash in ArchiveFactory::isArchiveMimeType().

        https://bugs.webkit.org/show_bug.cgi?id=36426

        * src/ResourceHandle.cpp: Track state across ResourceHandle invocations.
        (WebCore::ResourceHandleInternal::ResourceHandleInternal):
        (WebCore::ResourceHandleInternal::):
        (WebCore::ResourceHandleInternal::start):
        (WebCore::ResourceHandleInternal::cancel):
        (WebCore::ResourceHandleInternal::didReceiveResponse):
        (WebCore::ResourceHandleInternal::didReceiveData):
        (WebCore::ResourceHandleInternal::didFinishLoading):
        (WebCore::ResourceHandleInternal::didFail):

2010-04-13  Mikhail Naganov  <mnaganov@chromium.org>

        Unreviewed Chromium build fix: pin to a newer V8 revision (4386).

        * DEPS:

2010-04-12  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Yury Semikhatsky.

        Replace hand-written JavaScriptProfile* bindings with idl-based, and
        in Chromium port, bind them to the new V8's profiler API that is
        aligned with JSC.

        https://bugs.webkit.org/show_bug.cgi?id=37448

        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):
        * src/js/ProfilerAgent.js:
        (devtools.ProfilerAgent):
        (devtools.ProfilerAgent.prototype.initializeProfiling):
        (devtools.ProfilerAgent.prototype._didGetActiveProfilerModules):
        (devtools.ProfilerAgent.prototype._didGetLogLines):
        * src/js/Tests.js:

2010-04-11  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r57468.
        http://trac.webkit.org/changeset/57468
        https://bugs.webkit.org/show_bug.cgi?id=37433

        Broke the world...  Must have applied the patch wrong
        (Requested by abarth on #webkit).

        * src/ContextMenuClientImpl.cpp:
        (WebKit::ContextMenuClientImpl::getCustomMenuFromDefaultItems):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::finishedLoading):
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::encoding):
        (WebKit::WebFrameImpl::commitDocumentData):
        * src/WebPageSerializerImpl.cpp:
        (WebKit::WebPageSerializerImpl::preActionBeforeSerializeOpenTag):
        (WebKit::WebPageSerializerImpl::serialize):
        * src/WebSearchableFormData.cpp:
        (WebCore::GetFormEncoding):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::pageEncoding):

2010-04-11  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Factor DocumentWriter out of FrameLoader
        https://bugs.webkit.org/show_bug.cgi?id=37175

        Update these callsites because the method moved to DocumentWriter.

        * src/ContextMenuClientImpl.cpp:
        (WebKit::ContextMenuClientImpl::getCustomMenuFromDefaultItems):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::finishedLoading):
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::encoding):
        (WebKit::WebFrameImpl::commitDocumentData):
        * src/WebPageSerializerImpl.cpp:
        (WebKit::WebPageSerializerImpl::preActionBeforeSerializeOpenTag):
        (WebKit::WebPageSerializerImpl::serialize):
        * src/WebSearchableFormData.cpp:
        (WebCore::GetFormEncoding):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::pageEncoding):

2010-04-11  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r57460.
        http://trac.webkit.org/changeset/57460
        https://bugs.webkit.org/show_bug.cgi?id=37424

        broke chromium builders (Requested by tony^work on #webkit).

        * DEPS:
        * gyp_webkit:

2010-04-11  Tony Chang  <tony@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] update chromium DEPS for upstream compile
        https://bugs.webkit.org/show_bug.cgi?id=36578

        * DEPS:
        * gyp_webkit: Add DumpRenderTree.gyp so we generate xcode projects for DRT.

2010-04-10  Vangelis Kokkevis  <vangelis@chromium.org>

        Reviewed by Dimitri Glazkov.

        Include file change as a result of renaming LayerRenderSkia.h to LayerRenderChromium.h
        https://bugs.webkit.org/show_bug.cgi?id=37231

        * src/WebViewImpl.h:

2010-04-10  Rafael Weinstein  <rafaelw@chromium.org>

        Reviewed by Eric Seidel.

        Cleanup after chromium breakage. All interface methods are
        returned to being abstract.

        * public/WebNotificationPresenter.h:

2010-04-09  Evan Stade  <estade@chromium.org>

        Reviewed by Eric Seidel.

        [chromium] Linux: respect the scale factor during printing
        https://bugs.webkit.org/show_bug.cgi?id=37168

        Chromium doesn't support testing .pdfs from printing at the moment, so
        this change is not covered by any tests.

        * src/WebFrameImpl.cpp:
        (WebKit::ChromePrintContext::spoolPage):

2010-04-09  Aaron Boodman  <aa@chromium.org>

        Reviewed by Eric Seidel.

        Remove applicationID() from WebDocument as it is Chromium-specific.
        https://bugs.webkit.org/show_bug.cgi?id=37350

        * public/WebDocument.h:
        * src/WebDocument.cpp:

2010-04-09  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Adler.

        Move the IDB::open ExceptionCode paramter to be last
        https://bugs.webkit.org/show_bug.cgi?id=37277

        Move the ExceptionCode paramter to the last position in 
        IndexedDatabaseRequest::open and friends.  It should definitely
        go after the callbacks to keep the parameters that come directly
        from javascript together.  And having output parameters appear
        last is done often in the code base, so it makes sense to push
        it past the Frame* param as well.

        * public/WebIndexedDatabase.h:
        * src/IndexedDatabaseProxy.cpp:
        (WebCore::IndexedDatabaseProxy::open):
        * src/IndexedDatabaseProxy.h:
        * src/WebIndexedDatabaseImpl.cpp:
        (WebKit::WebIndexedDatabaseImpl::open):
        * src/WebIndexedDatabaseImpl.h:

2010-04-09  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Darin Fisher.

        Complete move of createApplicationCacheHost from WebKitClient to WebFrameClient.
        https://bugs.webkit.org/show_bug.cgi?id=37330

        * public/WebApplicationCacheHost.h:
        * public/WebKitClient.h:
        * src/ApplicationCacheHostInternal.h:
        (WebCore::ApplicationCacheHostInternal::ApplicationCacheHostInternal):

2010-04-09  Marcus Bulach  <bulach@chromium.org>

        Reviewed by Jeremy Orlow.

        Crash on WebKit::WebGeolocationServiceBridgeImpl::stopUpdating() during frame disconnection
        Should not try to access WebViewClient if the frame has already been disconnected.
        https://bugs.webkit.org/show_bug.cgi?id=37318

        * src/WebGeolocationServiceBridgeImpl.cpp:
        (WebKit::WebGeolocationServiceBridgeImpl::stopUpdating):

2010-04-09  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Adam Barth.

        Expose SecurityOrigin::canRequest in WebSecurityOrigin.
        https://bugs.webkit.org/show_bug.cgi?id=37271

        * public/WebSecurityOrigin.h:
        * src/WebSecurityOrigin.cpp:
        (WebKit::WebSecurityOrigin::canRequest):

2010-04-09  Zhenyao Mo  <zmo@google.com>

        Reviewed by Dimitri Glazkov.

        Must resolve multisampled back buffer during copyTexImage2D and copyTexSubImage2D
        https://bugs.webkit.org/show_bug.cgi?id=37174

        Test: fast/canvas/webgl/copy-tex-image-and-sub-image-2d.html

        * src/WebGraphicsContext3DDefaultImpl.cpp: Resolve multisampled back buffer during copyTexImage2D and copyTexSubImage2D.
        (WebKit::WebGraphicsContext3DDefaultImpl::copyTexImage2D):
        (WebKit::WebGraphicsContext3DDefaultImpl::copyTexSubImage2D):

2010-04-07  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Yury Semikhatsky.

        Chromium: support themes in devtools window.

        https://bugs.webkit.org/attachment.cgi?bugid=37216

        * WebKit.gypi:
        * src/js/DevTools.js:
        (WebInspector.setToolbarColors):
        (WebInspector.resetToolbarColors):
        * src/js/Images/segmentChromium2.png: Added.
        * src/js/Images/segmentHoverChromium2.png: Added.
        * src/js/Images/segmentSelectedChromium2.png: Added.
        * src/js/Images/statusbarBackgroundChromium2.png: Added.
        * src/js/Images/statusbarMenuButtonChromium2.png: Added.

2010-04-07  Andrey Kosyakov  <caseq@chromium.org>

        Reviewed by Yury Semikhatsky.

        Removed inspector methods from ScriptExecutionContext and derived classes.
        Removed MessageDestination parameter from console-related calls (we now always
        log to the same destination(s)).
        Removed redundant FrameLoaderClient::dispatchDidLoadResourceByXMLHttpRequest()
        https://bugs.webkit.org/show_bug.cgi?id=36949

        * public/WebCommonWorkerClient.h:
        (WebKit::WebCommonWorkerClient::postConsoleMessageToWorkerObject):
        * src/FrameLoaderClientImpl.cpp:
        * src/FrameLoaderClientImpl.h:
        * src/WebWorkerBase.cpp:
        (WebKit::WebWorkerBase::postConsoleMessageToWorkerObject):
        (WebKit::WebWorkerBase::postConsoleMessageTask):
        * src/WebWorkerBase.h:
        * src/WebWorkerClientImpl.cpp:
        (WebKit::WebWorkerClientImpl::postConsoleMessageToWorkerObject):
        (WebKit::WebWorkerClientImpl::postConsoleMessageToWorkerObjectTask):
        * src/WebWorkerClientImpl.h:

2010-04-07  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] WebIDBDatabaseError::assign doesn't work correctly
        https://bugs.webkit.org/show_bug.cgi?id=37209

        * src/WebIDBDatabaseError.cpp:
        (WebKit::WebIDBDatabaseError::assign):

2010-04-07  Dawit Alemayehu  <adawit@kde.org>

        Reviewed by Simon Hausmann.

        https://bugs.webkit.org/show_bug.cgi?id=36827

        Updated the WebCore::shouldTreatAsAttachement function call with the
        new more generic replacement WebCore::contentDispositionType.

        See comments 39-42 in https://bugs.webkit.org/show_bug.cgi?id=36395

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDecidePolicyForMIMEType):

2010-04-07  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Darin Fisher.

        Add createApplicationCacheHost to WebFrameClient so
        the ApplicationCacheHost has access to its frame.

        https://bugs.webkit.org/show_bug.cgi?id=36882

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::createApplicationCacheHost):
        * src/ApplicationCacheHostInternal.h:
        (WebCore::ApplicationCacheHostInternal::ApplicationCacheHostInternal):

2010-04-06  Nicolas Weber  <thakis@chromium.org>

        Reviewed by Dimitri Glazkov.

        Use drag images on OS X as well.
        https://bugs.webkit.org/show_bug.cgi?id=37069

        * src/DragClientImpl.cpp:
        (WebKit::DragClientImpl::startDrag):

2010-04-06  Vangelis Kokkevis  <vangelis@chromium.org>

        Reviewed by Dimitri Glazkov.

        Changing references to Graphics Layer related classes from *Skia to *Chromium.
        https://bugs.webkit.org/show_bug.cgi?id=37116

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::paint):
        (WebKit::WebViewImpl::setAcceleratedCompositing):
        (WebKit::WebViewImpl::updateRootLayerContents):
        * src/WebViewImpl.h:

2010-04-06  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Adam Barth.

        [Chromium] Implement WebInputElement::maxLength.
        https://bugs.webkit.org/show_bug.cgi?id=37172

        * public/WebInputElement.h:
        * src/WebInputElement.cpp:
        (WebKit::WebInputElement::maxLength):

2010-04-06  Evan Stade  <estade@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] need DragImage implementation
        https://bugs.webkit.org/show_bug.cgi?id=35811

        Basic implementation using SkBitmap. Transformations are not supported
        yet. No implementation for mac.

        This was previously committed but rolled back for breaking layout
        tests.

        * public/WebViewClient.h:
        (WebKit::WebViewClient::startDragging):
        * src/DragClientImpl.cpp:
        (WebKit::DragClientImpl::startDrag): new: check for null dragImage.
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::startDragging):
        * src/WebViewImpl.h:

2010-04-06  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Dimitri Glazkov.

        [Chromium] Move the getElementsByTagName from WebDocument to WebNode.
        https://bugs.webkit.org/show_bug.cgi?id=37161

        * public/WebDocument.h:
        * public/WebNode.h:
        * src/WebDocument.cpp:
        * src/WebNode.cpp:
        (WebKit::WebNode::getElementsByTagName):

2010-04-06  Ilya Tikhonovsky  <loislo@chromium.org>

        Unreviewed build fix for Chromium DEPS.

        * DEPS:

2010-04-06  Ilya Tikhonovsky  <loislo@chromium.org>

        Unreviewed: build fix.

        * DEPS:

2010-04-06  Mattias Nissler  <mnissler@chromium.org>

        Reviewed by Pavel Feldman.

        Handle docking requests from the developer tools and forward them to
        WebDevToolsFrontendClient.
        https://bugs.webkit.org/show_bug.cgi?id=36944

        * public/WebDevToolsFrontendClient.h:
        (WebKit::WebDevToolsFrontendClient::requestDockWindow):
        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::WebDevToolsFrontendImpl):
        (WebKit::WebDevToolsFrontendImpl::jsRequestAttachWindow):
        * src/WebDevToolsFrontendImpl.h:

2010-04-06  Andrey Kosyakov  <caseq@chromium.org>

        Reviewed by Yury Semikhatsky.

        Fixed logging of unhndled worker exceptions.
        https://bugs.webkit.org/show_bug.cgi?id=37143

        * src/WebWorkerClientImpl.cpp:
        (WebKit::WebWorkerClientImpl::postExceptionToWorkerObject):

2010-04-05  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=37111
        <rdar://problem/7790327> Draw replacement text when plug-in host crashes

        * src/LocalizedStrings.cpp: (WebCore::crashedPluginText): Added a stub string for plug-in
        failure.

2010-04-04  Pavel Feldman  <pfeldman@chromium.org>

        Not reviewed. Rolling out chromium changes r57028 and r57032 
        for breaking chromium layout tests.

        * public/WebViewClient.h:
        (WebKit::WebViewClient::startDragging):
        * src/DragClientImpl.cpp:
        (WebKit::DragClientImpl::startDrag):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::startDragging):
        * src/WebViewImpl.h:

2010-04-03  Darin Fisher  <darin@chromium.org>

        Add default implementations of WebNotificationPresenter methods to
        repair the downstream Chromium build.

        * public/WebNotificationPresenter.h:
        (WebKit::WebNotificationPresenter::show):
        (WebKit::WebNotificationPresenter::cancel):
        (WebKit::WebNotificationPresenter::objectDestroyed):
        (WebKit::WebNotificationPresenter::checkPermission):
        (WebKit::WebNotificationPresenter::requestPermission):

2010-04-02  Michael Nordman  <michaeln@google.com>

        Reviewed by Nate Chapin.

        Set the close policy used by the DatabaseCloseTask at this callsite to
        RemoveDatabaseFromContext. This restores its behavior to what it was prior to
        r56293.
        https://bugs.webkit.org/show_bug.cgi?id=37037

        * src/WebDatabase.cpp:
        (WebKit::WebDatabase::closeDatabaseImmediately):

2010-04-02  Evan Stade  <estade@chromium.org>

        Reviewed by Eric Seidel.

        [chromium] need DragImage implementation
        https://bugs.webkit.org/show_bug.cgi?id=35811

        Use the DragImageRef that the DragController passes to us.

        * public/WebViewClient.h:
        (WebKit::WebViewClient::startDragging):
        * src/DragClientImpl.cpp:
        (WebKit::DragClientImpl::startDrag):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::startDragging):
        * src/WebViewImpl.h:

2010-04-02  Rafael Weinstein  <rafaelw@chromium.org>

        Reviewed by Adam Barth.

        Clean up unused calls after changes to checkPermission and requestPermission argument lists.

        * public/WebNotificationPresenter.h:
        * src/NotificationPresenterImpl.cpp:
        (WebKit::NotificationPresenterImpl::checkPermission):
        (WebKit::NotificationPresenterImpl::requestPermission):

2010-04-02  Zhenyao Mo  <zmo@google.com>

        Reviewed by Eric Seidel.

        Implement and test new framebuffer object attachment behavior.
        https://bugs.webkit.org/show_bug.cgi?id=35611

        Test: fast/canvas/webgl/framebuffer-object-attachment.html

        * src/WebGraphicsContext3DDefaultImpl.cpp: Map to correct DEPTH_STENCIL format.
        (WebKit::WebGraphicsContext3DDefaultImpl::framebufferRenderbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::getFramebufferAttachmentParameteriv):
        (WebKit::WebGraphicsContext3DDefaultImpl::renderbufferStorage):

2010-04-02  Jay Civelli  <jcivelli@chromium.org>

        Reviewed by Darin Fisher.

        The popup type (select or suggestion) is now passed to the
        WebClient::createPopupMenu() method. This is required for
        Chromium on Linux to make the select popups work correctly.
        https://bugs.webkit.org/show_bug.cgi?id=37013

        * WebKit.gyp:
        * public/WebPopupType.h: Added.
        (WebKit::):
        * public/WebViewClient.h:
        (WebKit::WebViewClient::createPopupMenu):
        * src/ChromeClientImpl.cpp:
        (WebCore::convertPopupType):
        (WebKit::ChromeClientImpl::popupOpened):

2010-04-02  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Implement InspectorFrontendClient in Chromium and remove all custom bindings for the host methods from WebDevToolsFrontendImpl. 

        https://bugs.webkit.org/show_bug.cgi?id=36817

        * WebKit.gyp:
        * src/InspectorFrontendClientImpl.cpp: Added.
        (WebKit::InspectorFrontendClientImpl::InspectorFrontendClientImpl):
        (WebKit::InspectorFrontendClientImpl::~InspectorFrontendClientImpl):
        (WebKit::InspectorFrontendClientImpl::windowObjectCleared):
        (WebKit::InspectorFrontendClientImpl::frontendLoaded):
        (WebKit::InspectorFrontendClientImpl::moveWindowBy):
        (WebKit::InspectorFrontendClientImpl::localizedStringsURL):
        (WebKit::InspectorFrontendClientImpl::hiddenPanels):
        (WebKit::InspectorFrontendClientImpl::bringToFront):
        (WebKit::InspectorFrontendClientImpl::closeWindow):
        (WebKit::InspectorFrontendClientImpl::canAttachWindow):
        (WebKit::InspectorFrontendClientImpl::attachWindow):
        (WebKit::InspectorFrontendClientImpl::detachWindow):
        (WebKit::InspectorFrontendClientImpl::changeAttachedWindowHeight):
        (WebKit::InspectorFrontendClientImpl::inspectedURLChanged):
        * src/InspectorFrontendClientImpl.h: Added.
        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::WebDevToolsFrontendImpl):
        (WebKit::WebDevToolsFrontendImpl::~WebDevToolsFrontendImpl):
        (WebKit::WebDevToolsFrontendImpl::frontendLoaded):
        * src/WebDevToolsFrontendImpl.h:
        * src/js/DebuggerAgent.js:
        (devtools.DebuggerAgent.prototype.doHandleBacktraceResponse_):
        * src/js/DevTools.js:
        ():

2010-04-01  Jay Civelli  <jcivelli@google.com>

        Reviewed by David Levin.

        Adds a method to WebFrame to execute JavaScript and get the value
        it evaluates to.
        https://bugs.webkit.org/show_bug.cgi?id=36907

        * public/WebFrame.h:
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::executeScriptAndReturnValue):
        * src/WebFrameImpl.h:

2010-04-01  Kinuko Yasuda  <kinuko@chromium.org>

        Reviewed by Dmitry Titov.

        Add FileThread for async file operation support in FileReader and FileWriter
        https://bugs.webkit.org/show_bug.cgi?id=36896

        Add ENABLE_FILE_READER and ENABLE_FILE_WRITER flags.

        * features.gypi:

2010-04-01  Finnur Thorarinsson  <finnur.webkit@gmail.com>

        Reviewed by Eric Seidel.

        [chromium] FindInPage on multi-frame pages wasn't always updating
        tickmarks on scrollbars for the subframes. It was calling invalidateRect
        on the View and specifying a rect that's in window coordinates, whereas
        the invalidateRect expects frame coordinates.

        https://bugs.webkit.org/show_bug.cgi?id=36982
        
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::invalidateArea):

2010-04-01  Finnur Thorarinsson  <finnur.webkit@gmail.com>

        Reviewed by Dimitri Glazkov.

        [chromium] FindInPage should clear the focused node when a match has
        been found. This is because WebFrameImpl::setFocus will try to refocus
        editable elements if it thinks they have focus, causing the page to
        scroll.

        https://bugs.webkit.org/show_bug.cgi?id=36923

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::find):

2010-04-01  Marcus Bulach  <bulach@chromium.org>

        Reviewed by Jeremy Orlow.

        As a follow up on https://bugs.webkit.org/show_bug.cgi?id=36535, remove:
        GeolocationServiceBridgeChromium.h
        dettachBridge()
        getGeolocationService()
        https://bugs.webkit.org/show_bug.cgi?id=36895

        * WebKit.gyp:
        * public/GeolocationServiceBridgeChromium.h: Removed.
        * public/WebGeolocationService.h:
        (WebKit::WebGeolocationService::detachBridge):
        * public/WebViewClient.h:
        (WebKit::WebViewClient::geolocationService):

2010-03-31  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Nate Chapin.

        Misc IndexedDatabase cleanup
        https://bugs.webkit.org/show_bug.cgi?id=36889

        Plumb the Frame* so Chromium knows where the request originated from.

        * public/WebIndexedDatabase.h:
        * src/IndexedDatabaseProxy.cpp:
        (WebCore::IndexedDatabaseProxy::open):
        * src/IndexedDatabaseProxy.h:
        * src/WebIndexedDatabaseImpl.cpp:
        (WebKit::WebIndexedDatabaseImpl::open):
        * src/WebIndexedDatabaseImpl.h:

2010-03-31  Alpha Lam  <hclam@chromium.org>

        Not reviewed. Build fix.

        Fixing a build break caused by 56872. One of the Chromium bots doesn't
        like std::strstr(). Includes string.h and use strstr() instead.

        * src/WebGraphicsContext3DDefaultImpl.cpp:
        (WebKit::WebGraphicsContext3DDefaultImpl::validateAttributes):
        Includes string.h and use strstr().

2010-03-31  Zhenyao Mo  <zmo@google.com>

        Reviewed by Darin Fisher.

        Hook up WebGLContextAttributes to OpenGL context creation code
        https://bugs.webkit.org/show_bug.cgi?id=33416

        * src/WebGraphicsContext3DDefaultImpl.cpp: Hook up WebGLContextAttributes to OpenGL context creation code for Chrome.
        (WebKit::WebGraphicsContext3DDefaultImpl::WebGraphicsContext3DDefaultImpl):
        (WebKit::WebGraphicsContext3DDefaultImpl::~WebGraphicsContext3DDefaultImpl):
        (WebKit::WebGraphicsContext3DDefaultImpl::initialize):
        (WebKit::WebGraphicsContext3DDefaultImpl::validateAttributes):
        (WebKit::WebGraphicsContext3DDefaultImpl::reshape):
        (WebKit::WebGraphicsContext3DDefaultImpl::readBackFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::bindFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::readPixels): Deal with wrong returned alpha values in Mac.
        * src/WebGraphicsContext3DDefaultImpl.h: Add a function.

2010-03-31  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        [chromium] including WebKit.gyp:webkit should automatically add Skia
        and NPAPI include paths

        https://bugs.webkit.org/show_bug.cgi?id=36887

        * WebKit.gyp:

2010-03-31  Marcus Bulach  <bulach@chromium.org>

        Reviewed by Jeremy Orlow.

        Implements cancelGeolocationPermissionRequestForFrame.
        https://bugs.webkit.org/show_bug.cgi?id=35031

        * public/WebGeolocationService.h:
        (WebKit::WebGeolocationService::cancelPermissionRequestForFrame):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::cancelGeolocationPermissionRequestForFrame):
        * src/ChromeClientImpl.h:

2010-03-31  Pavel Feldman  <pfeldman@chromium.org>

        Not reviewed. Rolling out r56829 since it broke chromium layout tests.

        [REGRESSION] Inspector tests started crashing since r56829
        https://bugs.webkit.org/show_bug.cgi?id=36888

        * public/WebFrameClient.h:
        * src/FrameLoaderClientImpl.cpp:
        * src/FrameLoaderClientImpl.h:

2010-03-31  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Add stubs for moveWindowBy and setAttachedWindowHeight.

        https://bugs.webkit.org/show_bug.cgi?id=36842

        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::WebDevToolsFrontendImpl):
        (WebKit::WebDevToolsFrontendImpl::jsSetAttachedWindowHeight):
        (WebKit::WebDevToolsFrontendImpl::jsMoveWindowBy):
        * src/WebDevToolsFrontendImpl.h:

2010-03-31  John Gregg  <johnnyg@google.com>

        Reviewed by Darin Fisher.

        [chromium] add logging of cross-frame property accesses for site isolation
        https://bugs.webkit.org/show_bug.cgi?id=35773

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::logCrossFramePropertyAccess):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::logCrossFramePropertyAccess):
        * src/FrameLoaderClientImpl.h:

2010-03-30  Gavin Barraclough  <barraclough@apple.com>

        Rubber stamped by Sam Weinig.

        https://bugs.webkit.org/show_bug.cgi?id=36866
        Move CString to WTF

        * public/WebCString.h:
        * src/FrameLoaderClientImpl.cpp:
        * src/GraphicsContext3D.cpp:
        * src/WebCString.cpp:
        (WebKit::WebCString::assign):
        (WebKit::WebCString::WebCString):
        (WebKit::WebCString::operator=):
        (WebKit::WebCString::operator WTF::CString):
        * src/WebMediaPlayerClientImpl.cpp:
        * src/WebString.cpp:
        * src/WebURLError.cpp:

2010-03-30  Marcus Bulach  <bulach@chromium.org>

        Reviewed by Darin Fisher.

        Rename / tidy up Geolocation bridge:
        Rename GeolocationServiceBridgeChromium.cpp to WebGeolocationServiceBridgeImpl.cpp            
        Uses a temporary compatibility layer in GeolocationServiceBridgeChromium.h.

        https://bugs.webkit.org/show_bug.cgi?id=36535

        * WebKit.gyp:
        * public/GeolocationServiceBridgeChromium.h:
        * public/WebGeolocationService.h: Copied from WebKit/chromium/public/GeolocationServiceBridgeChromium.h.
        (WebKit::WebGeolocationService::detachBridge):
        * public/WebGeolocationServiceBridge.h: Copied from WebKit/chromium/public/GeolocationServiceBridgeChromium.h.
        * public/WebViewClient.h:
        (WebKit::WebViewClient::geolocationService):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::requestGeolocationPermissionForFrame):
        * src/ChromiumBridge.cpp:
        * src/GeolocationServiceBridgeChromium.cpp: Removed.
        * src/WebGeolocationServiceBridgeImpl.cpp: Copied from WebKit/chromium/src/GeolocationServiceBridgeChromium.cpp.
        (WebKit::createGeolocationServiceBridgeImpl):
        (WebKit::WebGeolocationServiceBridgeImpl::WebGeolocationServiceBridgeImpl):
        (WebKit::WebGeolocationServiceBridgeImpl::~WebGeolocationServiceBridgeImpl):
        (WebKit::WebGeolocationServiceBridgeImpl::startUpdating):
        (WebKit::WebGeolocationServiceBridgeImpl::stopUpdating):
        (WebKit::WebGeolocationServiceBridgeImpl::suspend):
        (WebKit::WebGeolocationServiceBridgeImpl::resume):
        (WebKit::WebGeolocationServiceBridgeImpl::getBridgeId):
        (WebKit::WebGeolocationServiceBridgeImpl::setIsAllowed):
        (WebKit::WebGeolocationServiceBridgeImpl::setLastPosition):
        (WebKit::WebGeolocationServiceBridgeImpl::setLastError):
        (WebKit::WebGeolocationServiceBridgeImpl::getWebViewClient):
        * src/WebGeolocationServiceBridgeImpl.h: Copied from WebKit/chromium/public/GeolocationServiceBridgeChromium.h.

2010-03-30  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Jeremy Orlow.

        Remove dysfunctional implementation of canEstablishDatabase for
        Workers. I postpone this implementation until Workers can actually
        access Web Databases.

        https://bugs.webkit.org/show_bug.cgi?id=36795

        * src/DatabaseObserver.cpp:
        (WebCore::DatabaseObserver::canEstablishDatabase):
        * src/WebWorkerBase.h:

2010-03-29  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        More IndexedDB work
        https://bugs.webkit.org/show_bug.cgi?id=36770

        Start the implementation of WebIndexedDatabase (for entrance back into WebKit).

        * WebKit.gyp:
        * public/WebIndexedDatabase.h:
        * src/WebIndexedDatabaseImpl.cpp: Added.
        (WebKit::WebIndexedDatabase::create):
        (WebKit::WebIndexedDatabaseImpl::~WebIndexedDatabaseImpl):
        (WebKit::WebIndexedDatabaseImpl::open):
        * src/WebIndexedDatabaseImpl.h: Added.

2010-03-29  Rafael Weinstein  <rafaelw@chromium.org>

        Reviewed by Adam Barth.

        Change NotificationPresenter::checkPermission() to take the source frames full KURL,
        rather than its SecurityOrigin. This will aid chromium in having more fine grained
        permissions to control notification spam.

        * public/WebNotificationPresenter.h:
        (WebKit::WebNotificationPresenter::checkPermission):
        * src/NotificationPresenterImpl.cpp:
        (WebKit::NotificationPresenterImpl::checkPermission):
        * src/NotificationPresenterImpl.h:

2010-03-29  Dawit Alemayehu  <adawit@kde.org>

        Reviewed by Simon Hausmann.

        Factored out the 'ShouldTreatAsAttachment' function to HTTPParsers.*
        and replacted local version with the factored out version.

        The code was factored out to make possible its use in other implementations
        such as QtWebKit.

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDecidePolicyForMIMEType):

2010-03-29  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Darin Fisher.

        Pass a WebFrame to WebFrameClient::allowDatabase instead of a WebSecurityOrigin
        https://bugs.webkit.org/show_bug.cgi?id=36743

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::allowDatabase):
        * src/DatabaseObserver.cpp:
        (WebCore::DatabaseObserver::canEstablishDatabase):

2010-03-24  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        More IndexedDB plumbing
        https://bugs.webkit.org/show_bug.cgi?id=36546

        Plumbing work towards the goal of making IndexedDatabase::open work.

        * WebKit.gyp:
        * public/WebIDBCallbacks.h: Added.
        (WebKit::WebIDBCallbacks::~WebIDBCallbacks):
        * public/WebIDBDatabase.h: Added.
        (WebKit::WebIDBDatabase::~WebIDBDatabase):
        * public/WebIDBDatabaseError.h: Added.
        (WebKit::WebIDBDatabaseError::WebIDBDatabaseError):
        (WebKit::WebIDBDatabaseError::operator=):
        * public/WebIndexedDatabase.h:
        * public/WebKitClient.h:
        (WebKit::WebKitClient::indexedDatabase):
        * public/WebSerializedScriptValue.h:
        * src/IDBCallbacksProxy.h: Added.
        (WebCore::IDBCallbacksProxy::IDBCallbacksProxy):
        (WebCore::IDBCallbacksProxy::~IDBCallbacksProxy):
        (WebCore::IDBCallbacksProxy::onSuccess):
        (WebCore::IDBCallbacksProxy::onError):
        * src/IDBDatabaseProxy.cpp: Added.
        (WebCore::IDBDatabaseProxy::create):
        (WebCore::IDBDatabaseProxy::IDBDatabaseProxy):
        (WebCore::IDBDatabaseProxy::~IDBDatabaseProxy):
        * src/IDBDatabaseProxy.h: Added.
        * src/IndexedDatabaseProxy.cpp:
        (WebCore::IndexedDatabaseProxy::IndexedDatabaseProxy):
        (WebCore::IndexedDatabaseProxy::open):
        * src/IndexedDatabaseProxy.h:
        * src/WebIDBDatabaseError.cpp: Added.
        (WebKit::WebIDBDatabaseError::~WebIDBDatabaseError):
        (WebKit::WebIDBDatabaseError::WebIDBDatabaseError):
        (WebKit::WebIDBDatabaseError::assign):
        (WebKit::WebIDBDatabaseError::code):
        (WebKit::WebIDBDatabaseError::message):
        (WebKit::WebIDBDatabaseError::operator=):
        (WebKit::WebIDBDatabaseError::operator PassRefPtr<IDBDatabaseError>):

2010-03-29  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        Remove a possibility of confusion from Profiles panel Welcome screen
        by turning buttons into non-clickable glyphs. Also, span instructions
        alongside panel width.

        https://bugs.webkit.org/show_bug.cgi?id=34319

        * src/js/HeapProfilerPanel.js:
        (WebInspector.HeapSnapshotProfileType.prototype.get welcomeMessage):

2010-03-28  Alexey Proskuryakov  <ap@apple.com>

        Build fix. Removed extraneous includes of KeyboardCodesWin.h and KeyboardCodesPosix.h -
        these no longer exist, but they weren't needed even before reshuffling KeyboardCodes headers.

        * src/WebViewImpl.cpp:

2010-03-27  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Use WebKitClient to instantiate WebGraphicsContext3D
        https://bugs.webkit.org/show_bug.cgi?id=36669

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::initialize):

2010-03-24  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Implement WebFormControlElement and WebSelectElement.  Add
        a getFormControlElements method to WebFormElement.

        https://bugs.webkit.org/show_bug.cgi?id=36562

        * WebKit.gyp:
        * public/WebElement.h:
        * public/WebFormControlElement.h: Added.
        * public/WebFormElement.h:
        * public/WebInputElement.h:
        (WebKit::WebInputElement::WebInputElement):
        (WebKit::WebInputElement::operator=):
        (WebKit::WebInputElement::assign):
        * public/WebSelectElement.h: Added.
        * src/WebElement.cpp:
        (WebKit::WebElement::isFormControlElement):
        * src/WebFormControlElement.cpp: Added.
        * src/WebFormElement.cpp:
        (WebKit::WebFormElement::getFormControlElements):
        * src/WebInputElement.cpp:
        (WebKit::WebInputElement::WebInputElement):
        * src/WebSelectElement.cpp: Added.

2010-03-26  Andrey Kosyakov  <caseq@chromium.org>

        Reviewed by Pavel Feldman.

        Send worker resource content to inspector to enable display of web
        workers in inspector's resource tab.
        https://bugs.webkit.org/show_bug.cgi?id=36658

        * src/SharedWorkerRepository.cpp:
        (WebCore::SharedWorkerScriptLoader::notifyFinished):

2010-03-25  Tony Chang  <tony@chromium.org>

        Reviewed by David Levin.

        [chromium] correctly handle move drag operations
        https://bugs.webkit.org/show_bug.cgi?id=36484

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::dragTargetDragEnter):
        (WebKit::WebViewImpl::dragTargetDragOver):
        (WebKit::WebViewImpl::dragTargetDragEnterOrOver): Combine common code into a helper method
            and properly mask against the drag effect.
        (WebKit::WebViewImpl::createUniqueIdentifierForRequest):
        * src/WebViewImpl.h:

2010-03-25  Drew Wilson  <atwilson@chromium.org>

        Reviewed by Nate Chapin.

        [v8] Error in getScriptExecutionContext() when worker context is terminating
        https://bugs.webkit.org/show_bug.cgi?id=36565

        Test: Existing worker tests suffice.

        * src/WebWorkerClientImpl.cpp:
        (WebKit::WebWorkerClientImpl::createWorkerContextProxy):
        Changed to use WorkerScriptController::controllerForContext() instead of WorkerScriptExecutionProxy::retrieve().

2010-03-25  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Add an ASSERT macro to the Chromium WebKit API
        https://bugs.webkit.org/show_bug.cgi?id=36545

        * WebKit.gyp:  Add WebCommon.cpp
        * public/WebCommon.h:  Add the Macro.
        * public/WebPrivatePtr.h:
        (WebKit::WebPrivatePtr::~WebPrivatePtr):  Verify the pointer is now 0.
        * src/WebCommon.cpp: Added.
        (WebKit::failedAssertion): Calls the WTF assert function and then crashes.

2010-03-25  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Jeremy Orlow.

        Remove ASSERT(isMainThread()) which is violated for workers and not necessary at this point.
        https://bugs.webkit.org/show_bug.cgi?id=36614

        * src/DatabaseObserver.cpp:
        (WebCore::DatabaseObserver::canEstablishDatabase):

2010-03-25  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Jeremy Orlow.

        Forward DatabaseTracker::canEstablishDatabase to chromium layer.
        https://bugs.webkit.org/show_bug.cgi?id=36595

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::allowDatabase):
        * src/DatabaseObserver.cpp:
        (WebCore::DatabaseObserver::canEstablishDatabase):
        * src/WebWorkerBase.h:
        (WebKit::WebWorkerBase::allowDatabase):

2010-03-10  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Fix up WebMouseWheelEventBuilder to properly calculate the units
        https://bugs.webkit.org/show_bug.cgi?id=35989

        * src/WebInputEventConversion.cpp:

2010-03-24  Vangelis Kokkevis  <vangelis@chromium.org>

        Reviewed by Dimitri Glazkov.

        Eliminate unecessary redraws of GraphicsLayer contents when doing accelerated compositing:
        https://bugs.webkit.org/show_bug.cgi?id=36470

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::paint):
        Remove call that forced redrawing the contents of the entire layer hierarchy.

2010-03-24  Dmitry Titov  <dimich@chromium.org>

        No review, rolling out r56453.
        http://trac.webkit.org/changeset/56453
        https://bugs.webkit.org/show_bug.cgi?id=36426

        In Chromium port, it broke invalid-image-data-standalone.html
        invalid-image-data.html multipart-wait-before-boundary.html
        stop-crash.html win-boundary-crash.html

        * src/ResourceHandle.cpp:
        (WebCore::ResourceHandleInternal::ResourceHandleInternal):
        (WebCore::ResourceHandleInternal::start):
        (WebCore::ResourceHandleInternal::cancel):
        (WebCore::ResourceHandleInternal::didReceiveResponse):
        (WebCore::ResourceHandleInternal::didReceiveData):
        (WebCore::ResourceHandleInternal::didFinishLoading):
        (WebCore::ResourceHandleInternal::didFail):

2010-03-24  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        [chromium]WebKit side of adding search support to Pepper.
        https://bugs.webkit.org/show_bug.cgi?id=36434

        * WebKit.gyp:
        * public/WebDocument.h:
        * public/WebNode.h:
        (WebKit::WebNode::to):
        (WebKit::WebNode::toConst):
        * public/WebPluginDocument.h: Added.
        (WebKit::WebPluginDocument::WebPluginDocument):
        (WebKit::WebPluginDocument::operator=):
        (WebKit::WebPluginDocument::assign):
        * src/WebDocument.cpp:
        (WebKit::WebDocument::isPluginDocument):
        * src/WebPluginDocument.cpp: Added.
        (WebKit::WebPluginDocument::plugin):
        (WebKit::WebPluginDocument::WebPluginDocument):
        (WebKit::WebPluginDocument::operator=):
        (WebKit::WebPluginDocument::operator PassRefPtr<PluginDocument>):

2010-03-24  Jeremy Moskovich  <jeremy@chromium.org>

        Reviewed by Jeremy Orlow.

        Add some diagnostics to try to track down cause of crash in ArchiveFactory::isArchiveMimeType().

        https://bugs.webkit.org/show_bug.cgi?id=36426

        * src/ResourceHandle.cpp: Track state across ResourceHandle invocations.
        (WebCore::ResourceHandleInternal::ResourceHandleInternal):
        (WebCore::ResourceHandleInternal::):
        (WebCore::ResourceHandleInternal::start):
        (WebCore::ResourceHandleInternal::cancel):
        (WebCore::ResourceHandleInternal::didReceiveResponse):
        (WebCore::ResourceHandleInternal::didReceiveData):
        (WebCore::ResourceHandleInternal::didFinishLoading):
        (WebCore::ResourceHandleInternal::didFail):

2010-03-24  Jay Campan  <jcampan@google.com>

        Reviewed by Darin Fisher.

        Making Chromium select popups not steal activation from the browser.
        Select popups are now like autocomplete popups, shown in non-activated
        windows.
        https://bugs.webkit.org/show_bug.cgi?id=36062

        * public/WebViewClient.h:
        (WebKit::WebViewClient::createPopupMenu):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::popupOpened):
        (WebKit::ChromeClientImpl::popupClosed):
        * src/ChromeClientImpl.h:
        * src/WebViewImpl.cpp:
        (WebKit::):
        (WebKit::WebViewImpl::mouseDown):
        (WebKit::WebViewImpl::keyEvent):
        (WebKit::WebViewImpl::selectPopupHandleKeyEvent):
        (WebKit::WebViewImpl::hideSelectPopup):
        (WebKit::WebViewImpl::popupOpened):
        (WebKit::WebViewImpl::popupClosed):
        (WebKit::WebViewImpl::setFocus):
        (WebKit::WebViewImpl::applyAutoFillSuggestions):
        (WebKit::WebViewImpl::applyAutocompleteSuggestions):
        * src/WebViewImpl.h:

2010-03-24  Alexander Pavlov  <apavlov@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: [Chromium] Audits never complete
        https://bugs.webkit.org/show_bug.cgi?id=36544

        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):

2010-03-24  Alexander Pavlov  <apavlov@chromium.org>

        Reviewed by Pavel Feldman.

        [Chromium] Fix VKEY_F10, VKEY_F11 translation in WebInputEvent.cpp
        https://bugs.webkit.org/show_bug.cgi?id=36524

        * src/WebInputEvent.cpp:
        (WebKit::staticKeyIdentifiers):

2010-03-24  Kent Tamura  <tkent@chromium.org>

        Reviewed by Darin Adler.

        Make Icon::createIconForFiles() optional.
        https://bugs.webkit.org/show_bug.cgi?id=35072

        - Rename iconForFiles() to chooseIconForFiles().
        - Call Icon::createIconForFiles() from chooseIconForFiles().

        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::chooseIconForFiles):
        * src/ChromeClientImpl.h:

2010-03-23  Kenneth Russell  <kbr@google.com>

        Unreviewed build fix.

        Add #include <stdio.h> to fix Chromium Linux build.

        * src/WebGraphicsContext3DDefaultImpl.cpp:

2010-03-23  Nate Chapin  <japhet@chromium.org>

        Unreviewed, revert r56376.

        This revision introduced a crash in a couple of layout tests
        on Chromium Linux.

        * public/WebViewClient.h:
        (WebKit::WebViewClient::createPopupMenu):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::popupOpened):
        * src/ChromeClientImpl.h:
        * src/WebViewImpl.cpp:
        (WebKit::):
        (WebKit::WebViewImpl::mouseDown):
        (WebKit::WebViewImpl::keyEvent):
        (WebKit::WebViewImpl::setFocus):
        (WebKit::WebViewImpl::applyAutoFillSuggestions):
        (WebKit::WebViewImpl::applyAutocompleteSuggestions):
        * src/WebViewImpl.h:

2010-03-23  Sergey Ulanov  <sergeyu@chromium.org>

        Reviewed by Dmitry Titov.

        Changes needed to implement Show/Hide Controls command for <video> in
        chrome: (1) added Controls action in WebMediaPlayerAction that toggles
        controls for media player, (2) added MediaHasVideo in
        WebContextMenuData so that controls can be made toggleable only for
        video player but not for audio.
        https://bugs.webkit.org/show_bug.cgi?id=36460

        * public/WebContextMenuData.h:
        (WebKit::WebContextMenuData::):
        * public/WebMediaPlayerAction.h:
        (WebKit::WebMediaPlayerAction::):
        * src/ContextMenuClientImpl.cpp:
        (WebKit::ContextMenuClientImpl::getCustomMenuFromDefaultItems):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::performMediaPlayerAction):

2010-03-23  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        When uncaught exception happens reveal Scripts panel only if reporting uncaught exceptions is on.

        https://bugs.webkit.org/show_bug.cgi?id=36498

        * src/js/DebuggerAgent.js:
        (devtools.DebuggerAgent.prototype.handleExceptionEvent_):

2010-03-23  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: TimelinePanel stays in the recording state after reopening WebInspector.
        https://bugs.webkit.org/show_bug.cgi?id=36503

        * src/WebDevToolsAgentImpl.cpp:
        (WebKit::WebDevToolsAgentImpl::detach):

2010-03-22  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Add GraphicsContext3D abstraction to WebKit API
        https://bugs.webkit.org/show_bug.cgi?id=36262

        Added WebGraphicsContext3D to the WebKit API and refactored Chromium's
        GraphicsContext3D implementation to use it. All of the OpenGL calls have
        been moved out of WebKit/chromium/src/GraphicsContext3D.cpp and into the
        WebGraphicsContext3D implementation. GraphicsContext3D is still
        responsible for the transfer of rendered output from the
        WebGraphicsContext3D to the HTMLCanvasElement.

        The GraphicsContext3DInternal class, which is a data member of
        GraphicsContext3D for the Chromium port, remains. It is possible to
        eliminate this class and thereby one level of delegation, but this is
        being deferred.

        The needed entry point for a Chrome implementation of
        WebGraphicsContext3D has been added to WebKitClient, but it is not being
        called yet by GraphicsContext3D. It will be once this patch lands and
        Chromium is rolled forward to support this entry point.

        This is a large patch, but the transformation is almost entirely
        mechanical and there is no change in functionality. Nearly all of
        GraphicsContext3D and GraphicsContext3DInternal has been moved to
        WebGraphicsContext3DDefaultImpl. The only area where the splitting of
        logic is less than mechanical is GraphicsContext3D::beginPaint() and its
        callees.

        Ran all WebGL layout tests and demos from Khronos site in Chromium
        on Mac and Windows.

        * WebKit.gyp:
        * public/WebGraphicsContext3D.h: Added.
        (WebKit::WebGraphicsContext3D::Attributes::Attributes):
        (WebKit::WebGraphicsContext3D::~WebGraphicsContext3D):
        * public/WebKitClient.h:
        (WebKit::WebKitClient::createGraphicsContext3D):
        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::~GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::initialize):
        (WebCore::GraphicsContext3DInternal::platformGraphicsContext3D):
        (WebCore::GraphicsContext3DInternal::platformTexture):
        (WebCore::GraphicsContext3DInternal::beginPaint):
        (WebCore::GraphicsContext3DInternal::endPaint):
        (WebCore::GraphicsContext3DInternal::reshape):
        (WebCore::GraphicsContext3DInternal::bindAttribLocation):
        (WebCore::GraphicsContext3DInternal::bindTexture):
        (WebCore::GraphicsContext3DInternal::bufferData):
        (WebCore::GraphicsContext3DInternal::bufferSubData):
        (WebCore::GraphicsContext3DInternal::getActiveAttrib):
        (WebCore::GraphicsContext3DInternal::getActiveUniform):
        (WebCore::GraphicsContext3DInternal::getAttribLocation):
        (WebCore::GraphicsContext3DInternal::getContextAttributes):
        (WebCore::GraphicsContext3DInternal::getProgramInfoLog):
        (WebCore::GraphicsContext3DInternal::getShaderInfoLog):
        (WebCore::GraphicsContext3DInternal::getShaderSource):
        (WebCore::GraphicsContext3DInternal::getString):
        (WebCore::GraphicsContext3DInternal::getUniformLocation):
        (WebCore::GraphicsContext3DInternal::readPixels):
        (WebCore::GraphicsContext3DInternal::shaderSource):
        (WebCore::GraphicsContext3DInternal::texImage2D):
        (WebCore::GraphicsContext3DInternal::texSubImage2D):
        (WebCore::GraphicsContext3DInternal::uniform1fv):
        (WebCore::GraphicsContext3DInternal::uniform1iv):
        (WebCore::GraphicsContext3DInternal::uniform2fv):
        (WebCore::GraphicsContext3DInternal::uniform2iv):
        (WebCore::GraphicsContext3DInternal::uniform3fv):
        (WebCore::GraphicsContext3DInternal::uniform3iv):
        (WebCore::GraphicsContext3DInternal::uniform4fv):
        (WebCore::GraphicsContext3DInternal::uniform4iv):
        (WebCore::GraphicsContext3DInternal::uniformMatrix2fv):
        (WebCore::GraphicsContext3DInternal::uniformMatrix3fv):
        (WebCore::GraphicsContext3DInternal::uniformMatrix4fv):
        (WebCore::GraphicsContext3D::GraphicsContext3D):
        (WebCore::GraphicsContext3D::~GraphicsContext3D):
        (WebCore::GraphicsContext3D::create):
        (WebCore::GraphicsContext3D::platformGraphicsContext3D):
        (WebCore::GraphicsContext3D::platformTexture):
        (WebCore::GraphicsContext3D::texImage2D):
        (WebCore::GraphicsContext3D::texSubImage2D):
        * src/WebGraphicsContext3D.cpp: Added.
        (WebKit::WebGraphicsContext3D::createDefault):
        * src/WebGraphicsContext3DDefaultImpl.cpp: Added.
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::create):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::~GLConnection):
        (WebKit::WebGraphicsContext3DDefaultImpl::VertexAttribPointerState::VertexAttribPointerState):
        (WebKit::WebGraphicsContext3DDefaultImpl::WebGraphicsContext3DDefaultImpl):
        (WebKit::WebGraphicsContext3DDefaultImpl::~WebGraphicsContext3DDefaultImpl):
        (WebKit::WebGraphicsContext3DDefaultImpl::initialize):
        (WebKit::WebGraphicsContext3DDefaultImpl::makeContextCurrent):
        (WebKit::WebGraphicsContext3DDefaultImpl::width):
        (WebKit::WebGraphicsContext3DDefaultImpl::height):
        (WebKit::WebGraphicsContext3DDefaultImpl::sizeInBytes):
        (WebKit::createTextureObject):
        (WebKit::WebGraphicsContext3DDefaultImpl::reshape):
        (WebKit::WebGraphicsContext3DDefaultImpl::flipVertically):
        (WebKit::WebGraphicsContext3DDefaultImpl::readBackFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::activeTexture):
        (WebKit::WebGraphicsContext3DDefaultImpl::bindBuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::bindFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::disableVertexAttribArray):
        (WebKit::WebGraphicsContext3DDefaultImpl::drawElements):
        (WebKit::WebGraphicsContext3DDefaultImpl::enableVertexAttribArray):
        (WebKit::WebGraphicsContext3DDefaultImpl::generateMipmap):
        (WebKit::WebGraphicsContext3DDefaultImpl::getActiveAttrib):
        (WebKit::WebGraphicsContext3DDefaultImpl::getActiveUniform):
        (WebKit::WebGraphicsContext3DDefaultImpl::getContextAttributes):
        (WebKit::WebGraphicsContext3DDefaultImpl::getError):
        (WebKit::WebGraphicsContext3DDefaultImpl::getProgramInfoLog):
        (WebKit::WebGraphicsContext3DDefaultImpl::getShaderInfoLog):
        (WebKit::WebGraphicsContext3DDefaultImpl::getShaderSource):
        (WebKit::WebGraphicsContext3DDefaultImpl::getString):
        (WebKit::WebGraphicsContext3DDefaultImpl::getVertexAttribOffset):
        (WebKit::WebGraphicsContext3DDefaultImpl::releaseShaderCompiler):
        (WebKit::WebGraphicsContext3DDefaultImpl::shaderSource):
        (WebKit::WebGraphicsContext3DDefaultImpl::vertexAttribPointer):
        (WebKit::WebGraphicsContext3DDefaultImpl::createBuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::createFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::createProgram):
        (WebKit::WebGraphicsContext3DDefaultImpl::createRenderbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::createTexture):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteBuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteProgram):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteRenderbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteShader):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteTexture):
        (WebKit::WebGraphicsContext3DDefaultImpl::synthesizeGLError):
        * src/WebGraphicsContext3DDefaultImpl.h: Added.
        (WebKit::WebGraphicsContext3DDefaultImpl::):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::chooseFBConfig):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::createNewContext):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::createPbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::destroyPbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::makeCurrent):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::destroyContext):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::getCurrentContext):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::GLConnection):

2010-03-22  Jay Campan  <jcampan@google.com>

        Reviewed by Darin Fisher.

        Making Chromium select popups not steal activation from the browser.
        Select popups are now like autocomplete popups, shown in non-activated
        windows.
        https://bugs.webkit.org/show_bug.cgi?id=36062

        * public/WebViewClient.h:
        (WebKit::WebViewClient::createPopupMenu):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::popupOpened):
        (WebKit::ChromeClientImpl::popupClosed):
        * src/ChromeClientImpl.h:
        * src/WebViewImpl.cpp:
        (WebKit::):
        (WebKit::WebViewImpl::mouseDown):
        (WebKit::WebViewImpl::keyEvent):
        (WebKit::WebViewImpl::selectPopupHandleKeyEvent):
        (WebKit::WebViewImpl::hideSelectPopup):
        (WebKit::WebViewImpl::popupOpened):
        (WebKit::WebViewImpl::popupClosed):
        (WebKit::WebViewImpl::setFocus):
        (WebKit::WebViewImpl::applyAutoFillSuggestions):
        (WebKit::WebViewImpl::applyAutocompleteSuggestions):
        * src/WebViewImpl.h:

2010-03-22  Darin Fisher  <darin@chromium.org>

        Reviewed by Nate Chapin.

        [chromium] Renderer crashes when navigating to a reference fragment in
        a frame that has no current HistoryItem.

        https://bugs.webkit.org/show_bug.cgi?id=36443

        Test: fast/loader/crash-replacing-location-before-load.html

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDidNavigateWithinPage):

2010-03-22  Kevin Decker  <kdecker@apple.com>

        Reviewed by John Sullivan.

        https://bugs.webkit.org/show_bug.cgi?id=36328

        * src/LocalizedStrings.cpp:
        (WebCore::missingPluginText): Added

2010-03-22  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Fix inspected Page crash in destructor when Web Inspector is open.

        https://bugs.webkit.org/show_bug.cgi?id=36441

        * src/js/InjectDispatch.js:
        (inspectedPageDestroyed): Added stub for missing method.

2010-03-22  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Jeremy Orlow.

        Added methods to WebSecurityOrigin for invoking
        SecurityOrigin::canAccess and SecurityOrigin::Create
        https://bugs.webkit.org/show_bug.cgi?id=36356

        * public/WebSecurityOrigin.h:
        * src/WebSecurityOrigin.cpp:
        (WebKit::WebSecurityOrigin::create):
        (WebKit::WebSecurityOrigin::canAccess):

2010-03-20  Dimitri Glazkov  <dglazkov@chromium.org>

        No review, rolling out r56294.
        http://trac.webkit.org/changeset/56294
        https://bugs.webkit.org/show_bug.cgi?id=36262

        Broke compile on Chromium canaries.

        * WebKit.gyp:
        * public/WebGraphicsContext3D.h: Removed.
        * public/WebKitClient.h:
        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::):
        (WebCore::GraphicsContext3DInternal::GLConnection::chooseFBConfig):
        (WebCore::GraphicsContext3DInternal::GLConnection::createNewContext):
        (WebCore::GraphicsContext3DInternal::GLConnection::createPbuffer):
        (WebCore::GraphicsContext3DInternal::GLConnection::destroyPbuffer):
        (WebCore::GraphicsContext3DInternal::GLConnection::makeCurrent):
        (WebCore::GraphicsContext3DInternal::GLConnection::destroyContext):
        (WebCore::GraphicsContext3DInternal::GLConnection::getCurrentContext):
        (WebCore::GraphicsContext3DInternal::GLConnection::GLConnection):
        (WebCore::GraphicsContext3DInternal::GLConnection::create):
        (WebCore::GraphicsContext3DInternal::GLConnection::~GLConnection):
        (WebCore::GraphicsContext3DInternal::VertexAttribPointerState::VertexAttribPointerState):
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::~GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::makeContextCurrent):
        (WebCore::GraphicsContext3DInternal::platformGraphicsContext3D):
        (WebCore::GraphicsContext3DInternal::platformTexture):
        (WebCore::createTextureObject):
        (WebCore::GraphicsContext3DInternal::reshape):
        (WebCore::GraphicsContext3DInternal::flipVertically):
        (WebCore::GraphicsContext3DInternal::beginPaint):
        (WebCore::GraphicsContext3DInternal::activeTexture):
        (WebCore::GraphicsContext3DInternal::bindBuffer):
        (WebCore::GraphicsContext3DInternal::bindFramebuffer):
        (WebCore::GraphicsContext3DInternal::bindTexture):
        (WebCore::GraphicsContext3DInternal::bufferDataImpl):
        (WebCore::GraphicsContext3DInternal::disableVertexAttribArray):
        (WebCore::GraphicsContext3DInternal::enableVertexAttribArray):
        (WebCore::GraphicsContext3DInternal::getError):
        (WebCore::GraphicsContext3DInternal::getContextAttributes):
        (WebCore::GraphicsContext3DInternal::vertexAttribPointer):
        (WebCore::GraphicsContext3DInternal::viewportImpl):
        (WebCore::GraphicsContext3DInternal::synthesizeGLError):
        (WebCore::GraphicsContext3D::create):
        (WebCore::GraphicsContext3D::GraphicsContext3D):
        (WebCore::GraphicsContext3D::~GraphicsContext3D):
        (WebCore::GraphicsContext3D::platformGraphicsContext3D):
        (WebCore::GraphicsContext3D::platformTexture):
        (WebCore::GraphicsContext3D::makeContextCurrent):
        (WebCore::GraphicsContext3D::reshape):
        (WebCore::GraphicsContext3D::beginPaint):
        (WebCore::GraphicsContext3D::endPaint):
        (WebCore::GraphicsContext3D::sizeInBytes):
        (WebCore::GraphicsContext3D::createBuffer):
        (WebCore::GraphicsContext3D::createFramebuffer):
        (WebCore::GraphicsContext3D::createProgram):
        (WebCore::GraphicsContext3D::createRenderbuffer):
        (WebCore::GraphicsContext3D::createShader):
        (WebCore::GraphicsContext3D::createTexture):
        (WebCore::GraphicsContext3D::deleteBuffer):
        (WebCore::GraphicsContext3D::deleteFramebuffer):
        (WebCore::GraphicsContext3D::deleteProgram):
        (WebCore::GraphicsContext3D::deleteRenderbuffer):
        (WebCore::GraphicsContext3D::deleteShader):
        (WebCore::GraphicsContext3D::deleteTexture):
        (WebCore::GraphicsContext3D::activeTexture):
        (WebCore::GraphicsContext3D::bindAttribLocation):
        (WebCore::GraphicsContext3D::bindBuffer):
        (WebCore::GraphicsContext3D::bindFramebuffer):
        (WebCore::GraphicsContext3D::bindTexture):
        (WebCore::GraphicsContext3D::bufferData):
        (WebCore::GraphicsContext3D::bufferSubData):
        (WebCore::GraphicsContext3D::checkFramebufferStatus):
        (WebCore::GraphicsContext3D::detachShader):
        (WebCore::GraphicsContext3D::disableVertexAttribArray):
        (WebCore::GraphicsContext3D::drawArrays):
        (WebCore::GraphicsContext3D::drawElements):
        (WebCore::GraphicsContext3D::enableVertexAttribArray):
        (WebCore::GraphicsContext3D::generateMipmap):
        (WebCore::GraphicsContext3D::getActiveAttrib):
        (WebCore::GraphicsContext3D::getActiveUniform):
        (WebCore::GraphicsContext3D::getAttribLocation):
        (WebCore::GraphicsContext3D::getBooleanv):
        (WebCore::GraphicsContext3D::getBufferParameteriv):
        (WebCore::GraphicsContext3D::getContextAttributes):
        (WebCore::GraphicsContext3D::getError):
        (WebCore::GraphicsContext3D::getFloatv):
        (WebCore::GraphicsContext3D::getFramebufferAttachmentParameteriv):
        (WebCore::GraphicsContext3D::getIntegerv):
        (WebCore::GraphicsContext3D::getProgramiv):
        (WebCore::GraphicsContext3D::getProgramInfoLog):
        (WebCore::GraphicsContext3D::getRenderbufferParameteriv):
        (WebCore::GraphicsContext3D::getShaderiv):
        (WebCore::GraphicsContext3D::getShaderInfoLog):
        (WebCore::GraphicsContext3D::getShaderSource):
        (WebCore::GraphicsContext3D::getString):
        (WebCore::GraphicsContext3D::getTexParameterfv):
        (WebCore::GraphicsContext3D::getTexParameteriv):
        (WebCore::GraphicsContext3D::getUniformfv):
        (WebCore::GraphicsContext3D::getUniformiv):
        (WebCore::GraphicsContext3D::getUniformLocation):
        (WebCore::GraphicsContext3D::getVertexAttribfv):
        (WebCore::GraphicsContext3D::getVertexAttribiv):
        (WebCore::GraphicsContext3D::getVertexAttribOffset):
        (WebCore::GraphicsContext3D::isBuffer):
        (WebCore::GraphicsContext3D::isEnabled):
        (WebCore::GraphicsContext3D::isFramebuffer):
        (WebCore::GraphicsContext3D::isProgram):
        (WebCore::GraphicsContext3D::isRenderbuffer):
        (WebCore::GraphicsContext3D::isShader):
        (WebCore::GraphicsContext3D::isTexture):
        (WebCore::GraphicsContext3D::pixelStorei):
        (WebCore::GraphicsContext3D::readPixels):
        (WebCore::GraphicsContext3D::releaseShaderCompiler):
        (WebCore::GraphicsContext3D::shaderSource):
        (WebCore::GraphicsContext3D::synthesizeGLError):
        (WebCore::GraphicsContext3D::texImage2D):
        (WebCore::GraphicsContext3D::texSubImage2D):
        (WebCore::GraphicsContext3D::uniform1fv):
        (WebCore::GraphicsContext3D::uniform1iv):
        (WebCore::GraphicsContext3D::uniform2fv):
        (WebCore::GraphicsContext3D::uniform2iv):
        (WebCore::GraphicsContext3D::uniform3fv):
        (WebCore::GraphicsContext3D::uniform3iv):
        (WebCore::GraphicsContext3D::uniform4fv):
        (WebCore::GraphicsContext3D::uniform4iv):
        (WebCore::GraphicsContext3D::uniformMatrix2fv):
        (WebCore::GraphicsContext3D::uniformMatrix3fv):
        (WebCore::GraphicsContext3D::uniformMatrix4fv):
        (WebCore::GraphicsContext3D::vertexAttrib1fv):
        (WebCore::GraphicsContext3D::vertexAttrib2fv):
        (WebCore::GraphicsContext3D::vertexAttrib3fv):
        (WebCore::GraphicsContext3D::vertexAttrib4fv):
        (WebCore::GraphicsContext3D::vertexAttribPointer):
        (WebCore::GraphicsContext3D::viewport):
        * src/WebGraphicsContext3D.cpp: Removed.
        * src/WebGraphicsContext3DDefaultImpl.cpp: Removed.
        * src/WebGraphicsContext3DDefaultImpl.h: Removed.

2010-03-19  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Add GraphicsContext3D abstraction to WebKit API
        https://bugs.webkit.org/show_bug.cgi?id=36262

        Added WebGraphicsContext3D to the WebKit API and refactored Chromium's
        GraphicsContext3D implementation to use it. All of the OpenGL calls have
        been moved out of WebKit/chromium/src/GraphicsContext3D.cpp and into the
        WebGraphicsContext3D implementation. GraphicsContext3D is still
        responsible for the transfer of rendered output from the
        WebGraphicsContext3D to the HTMLCanvasElement.

        The GraphicsContext3DInternal class, which is a data member of
        GraphicsContext3D for the Chromium port, remains. It is possible to
        eliminate this class and thereby one level of delegation, but this is
        being deferred.

        The needed entry point for a Chrome implementation of
        WebGraphicsContext3D has been added to WebKitClient, but it is not being
        called yet by GraphicsContext3D. It will be once this patch lands and
        Chromium is rolled forward to support this entry point.

        This is a large patch, but the transformation is almost entirely
        mechanical and there is no change in functionality. Nearly all of
        GraphicsContext3D and GraphicsContext3DInternal has been moved to
        WebGraphicsContext3DDefaultImpl. The only area where the splitting of
        logic is less than mechanical is GraphicsContext3D::beginPaint() and its
        callees.

        Ran all WebGL layout tests and demos from Khronos site in Chromium.

        * WebKit.gyp:
        * public/WebGraphicsContext3D.h: Added.
        (WebKit::WebGraphicsContext3D::Attributes::Attributes):
        (WebKit::WebGraphicsContext3D::~WebGraphicsContext3D):
        * public/WebKitClient.h:
        (WebKit::WebKitClient::createGraphicsContext3D):
        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::~GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::initialize):
        (WebCore::GraphicsContext3DInternal::platformGraphicsContext3D):
        (WebCore::GraphicsContext3DInternal::platformTexture):
        (WebCore::GraphicsContext3DInternal::beginPaint):
        (WebCore::GraphicsContext3DInternal::endPaint):
        (WebCore::GraphicsContext3DInternal::reshape):
        (WebCore::GraphicsContext3DInternal::bindAttribLocation):
        (WebCore::GraphicsContext3DInternal::bindTexture):
        (WebCore::GraphicsContext3DInternal::bufferData):
        (WebCore::GraphicsContext3DInternal::bufferSubData):
        (WebCore::GraphicsContext3DInternal::getActiveAttrib):
        (WebCore::GraphicsContext3DInternal::getActiveUniform):
        (WebCore::GraphicsContext3DInternal::getAttribLocation):
        (WebCore::GraphicsContext3DInternal::getContextAttributes):
        (WebCore::GraphicsContext3DInternal::getProgramInfoLog):
        (WebCore::GraphicsContext3DInternal::getShaderInfoLog):
        (WebCore::GraphicsContext3DInternal::getShaderSource):
        (WebCore::GraphicsContext3DInternal::getString):
        (WebCore::GraphicsContext3DInternal::getUniformLocation):
        (WebCore::GraphicsContext3DInternal::readPixels):
        (WebCore::GraphicsContext3DInternal::shaderSource):
        (WebCore::GraphicsContext3DInternal::texImage2D):
        (WebCore::GraphicsContext3DInternal::texSubImage2D):
        (WebCore::GraphicsContext3DInternal::uniform1fv):
        (WebCore::GraphicsContext3DInternal::uniform1iv):
        (WebCore::GraphicsContext3DInternal::uniform2fv):
        (WebCore::GraphicsContext3DInternal::uniform2iv):
        (WebCore::GraphicsContext3DInternal::uniform3fv):
        (WebCore::GraphicsContext3DInternal::uniform3iv):
        (WebCore::GraphicsContext3DInternal::uniform4fv):
        (WebCore::GraphicsContext3DInternal::uniform4iv):
        (WebCore::GraphicsContext3DInternal::uniformMatrix2fv):
        (WebCore::GraphicsContext3DInternal::uniformMatrix3fv):
        (WebCore::GraphicsContext3DInternal::uniformMatrix4fv):
        (WebCore::GraphicsContext3D::GraphicsContext3D):
        (WebCore::GraphicsContext3D::~GraphicsContext3D):
        (WebCore::GraphicsContext3D::create):
        (WebCore::GraphicsContext3D::platformGraphicsContext3D):
        (WebCore::GraphicsContext3D::platformTexture):
        (WebCore::GraphicsContext3D::texImage2D):
        (WebCore::GraphicsContext3D::texSubImage2D):
        * src/WebGraphicsContext3D.cpp: Added.
        (WebKit::WebGraphicsContext3D::createDefault):
        * src/WebGraphicsContext3DDefaultImpl.cpp: Added.
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::create):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::~GLConnection):
        (WebKit::WebGraphicsContext3DDefaultImpl::VertexAttribPointerState::VertexAttribPointerState):
        (WebKit::WebGraphicsContext3DDefaultImpl::WebGraphicsContext3DDefaultImpl):
        (WebKit::WebGraphicsContext3DDefaultImpl::~WebGraphicsContext3DDefaultImpl):
        (WebKit::WebGraphicsContext3DDefaultImpl::initialize):
        (WebKit::WebGraphicsContext3DDefaultImpl::makeContextCurrent):
        (WebKit::WebGraphicsContext3DDefaultImpl::width):
        (WebKit::WebGraphicsContext3DDefaultImpl::height):
        (WebKit::WebGraphicsContext3DDefaultImpl::sizeInBytes):
        (WebKit::createTextureObject):
        (WebKit::WebGraphicsContext3DDefaultImpl::reshape):
        (WebKit::WebGraphicsContext3DDefaultImpl::flipVertically):
        (WebKit::WebGraphicsContext3DDefaultImpl::readBackFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::activeTexture):
        (WebKit::WebGraphicsContext3DDefaultImpl::bindBuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::bindFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::disableVertexAttribArray):
        (WebKit::WebGraphicsContext3DDefaultImpl::drawElements):
        (WebKit::WebGraphicsContext3DDefaultImpl::enableVertexAttribArray):
        (WebKit::WebGraphicsContext3DDefaultImpl::generateMipmap):
        (WebKit::WebGraphicsContext3DDefaultImpl::getActiveAttrib):
        (WebKit::WebGraphicsContext3DDefaultImpl::getActiveUniform):
        (WebKit::WebGraphicsContext3DDefaultImpl::getContextAttributes):
        (WebKit::WebGraphicsContext3DDefaultImpl::getError):
        (WebKit::WebGraphicsContext3DDefaultImpl::getProgramInfoLog):
        (WebKit::WebGraphicsContext3DDefaultImpl::getShaderInfoLog):
        (WebKit::WebGraphicsContext3DDefaultImpl::getShaderSource):
        (WebKit::WebGraphicsContext3DDefaultImpl::getString):
        (WebKit::WebGraphicsContext3DDefaultImpl::getVertexAttribOffset):
        (WebKit::WebGraphicsContext3DDefaultImpl::releaseShaderCompiler):
        (WebKit::WebGraphicsContext3DDefaultImpl::shaderSource):
        (WebKit::WebGraphicsContext3DDefaultImpl::vertexAttribPointer):
        (WebKit::WebGraphicsContext3DDefaultImpl::createBuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::createFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::createProgram):
        (WebKit::WebGraphicsContext3DDefaultImpl::createRenderbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::createTexture):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteBuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteFramebuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteProgram):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteRenderbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteShader):
        (WebKit::WebGraphicsContext3DDefaultImpl::deleteTexture):
        (WebKit::WebGraphicsContext3DDefaultImpl::synthesizeGLError):
        * src/WebGraphicsContext3DDefaultImpl.h: Added.
        (WebKit::WebGraphicsContext3DDefaultImpl::):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::chooseFBConfig):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::createNewContext):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::createPbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::destroyPbuffer):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::makeCurrent):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::destroyContext):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::getCurrentContext):
        (WebKit::WebGraphicsContext3DDefaultImpl::GLConnection::GLConnection):

2010-03-19  Dimitri Glazkov  <dglazkov@chromium.org>

        Unreviewed, build fix.

        Rename enqueueStorageEvent to enqueueEvent to match changes in
        http://trac.webkit.org/changeset/56249.

        * src/StorageAreaProxy.cpp:
        (WebCore::StorageAreaProxy::storageEvent): Renamed.

2010-03-19  Darin Fisher  <darin@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] querying the current history item during a back/forward
        navigation should not clobber the scroll offset, etc.
        https://bugs.webkit.org/show_bug.cgi?id=36347

        We should only allow the current history item to be modified if we are
        no longer loading or if the load is a new navigation (i.e., not a
        back/forward/reload variant).

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::currentHistoryItem):

2010-03-18  Vangelis Kokkevis  <vangelis@chromium.org>

        Reviewed by Adam Barth.

        Adding support for the ACCELERATED_COMPOSITING render path to Chromium.
        https://bugs.webkit.org/show_bug.cgi?id=35557
        Currently compositing of layers is performed via s/w compositor which relies on Skia. This is an initial check-in
        and it's only been tested on Windows. Compiling the code requires seting "use_accelerated_compositing=1"
        to GYP_DEFINES. The update of layer contents and compositing is fairly inefficient but this will be fixed in
        subsequent check-ins.

        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::attachRootGraphicsLayer):
        (WebKit::ChromeClientImpl::scheduleCompositingLayerSync):
        * src/ChromeClientImpl.h:
        (WebKit::ChromeClientImpl::setNeedsOneShotDrawingSynchronization):
         Added methods required by the RenderLayerCompositor

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::paintWithContext):
        (WebKit::WebFrameImpl::paint):
        * src/WebFrameImpl.h:
        Split WebFrameImpl::paint() into two methods to make it possible to call the paint
        routine with an existing GraphicsContext, which is necessary for painting the root layer into
        its own backing surface.

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):
        (WebKit::WebViewImpl::paint):
        Modified method to handle the accelerated compositing path. Now, when doing accelerated compositing,
        paint() results in repainting the contents of the root layer and then doing a composite operation.
        (WebKit::WebViewImpl::setRootGraphicsLayer):
        (WebKit::WebViewImpl::setAcceleratedCompositing):
        (WebKit::WebViewImpl::updateRootLayerContents):
        (WebKit::WebViewImpl::setRootLayerNeedsDisplay):
        * src/WebViewImpl.h:
        (WebKit::WebViewImpl::isAcceleratedCompositing):

2010-03-18  Jian Li  <jianli@chromium.org>

        Reviewed by Darin Fisher.

        Chromium interface change to support Blob.slice.
        https://bugs.webkit.org/show_bug.cgi?id=35318

        * features.gypi:
        * public/WebHTTPBody.h:
        * public/WebKitClient.h:
        (WebKit::WebKitClient::getFileModificationTime):
        * src/ChromiumBridge.cpp:
        (WebCore::ChromiumBridge::getFileModificationTime):
        * src/WebHTTPBody.cpp:
        (WebKit::WebHTTPBody::elementAt):
        (WebKit::WebHTTPBody::appendFile):
        (WebKit::WebHTTPBody::appendFileRange):

2010-03-12  Ojan Vafai  <ojan@chromium.org>

        Reviewed by David Levin.

        smartdelete should only occur after double-click
        https://bugs.webkit.org/show_bug.cgi?id=35314

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::selectWordAroundPosition):

2010-03-18  Nate Chapin  <japhet@chromium.org>

        Unreviewed, build fix.

        Left a parentheses unclosed somehow.

        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::jsShowContextMenu):

2010-03-18  Nate Chapin  <japhet@chromium.org>

        Reviewed by Dimitri Glazkov.
        
        Remove all references to V8Index.h and V8ClassIndex.
        
        https://bugs.webkit.org/show_bug.cgi?id=33477

        * src/WebBindings.cpp:
        (WebKit::getRangeImpl):
        * src/WebDevToolsAgentImpl.cpp:
        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::jsShowContextMenu):

2010-03-17  Garret Kelly  <gdk@chromium.org>

        Reviewed by Darin Fisher.

        PlatformTouchEventBuilder should not be resizing the touch point
        array before appending touch points to it.
        https://bugs.webkit.org/show_bug.cgi?id=36231

        * src/WebInputEventConversion.cpp:
        (WebKit::PlatformTouchEventBuilder::PlatformTouchEventBuilder):

2010-03-17  Dmitry Titov  <dimich@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] Roll Chromium builder's DEPS to current revs.
        https://bugs.webkit.org/show_bug.cgi?id=36241

        * DEPS:

2010-03-17  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Revert WebGL context attributes changes 33416 / r56074 and 36200 / r56093
        https://bugs.webkit.org/show_bug.cgi?id=36233

        The patch for bug 33416, which added multisampling support to the
        WebGL back buffer, uncovered some OpenGL driver bugs on the build
        bots which need further investigation to determine the appropriate
        workaround. Reverting this change, the minor build fix in 36189,
        and the skipping of the affected tests in bug 36200.

        Built and tested WebKit and Chromium and ran all WebGL layout
        tests in both.

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::~GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::reshape):
        (WebCore::GraphicsContext3DInternal::beginPaint):
        (WebCore::GraphicsContext3DInternal::bindFramebuffer):
        (WebCore::GraphicsContext3D::readPixels):

2010-03-16  James Hawkins  <jhawkins@chromium.org>

        Reviewed by David Levin.

        [Chromium] Size the WebVector of forms after determining how many
        forms are valid and will be returned.

        https://bugs.webkit.org/show_bug.cgi?id=36204

        No new tests, as this is only triggered by Chromium's use of the
        WebFormElement API.

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::forms):

2010-03-16  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Build breakage from 33416
        https://bugs.webkit.org/show_bug.cgi?id=36189

        No new tests. Built release Chromium.

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::reshape):

2010-03-16  Zhenyao Mo  <zmo@google.com>

        Reviewed by Darin Fisher.

        Hook up WebGLContextAttributes to OpenGL context creation code
        https://bugs.webkit.org/show_bug.cgi?id=33416

        Test: fast/canvas/webgl/context-attributes-alpha-depth-stencil-antialias.html

        * src/GraphicsContext3D.cpp: Hook up WebGLContextAttributes to OpenGL context creation code for Windows.

2010-03-16  Yury Semikhatsky  <yurys@chromium.org>

        Unreviewed.

        Fix Chromium Mac build: remove unused code.

        * src/WebDevToolsAgentImpl.cpp:
        (WebKit::WebDevToolsAgentImpl::createInspectorFrontendProxy):

2010-03-16  Yury Semikhatsky <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Introduce InspectorFrontendClient that provides InspectorFrontend with an interface to the embedder. InspectorClient now serves as a delegate for InspectorController and does not contain methods for managing inspector frontend window. That allows to create remote InspectorFrontendHost.

        Introduce InspectorFrontendClient that would provide InspectorFrontend with an interface to the embedder
        https://bugs.webkit.org/show_bug.cgi?id=35036

        * src/InspectorClientImpl.cpp:
        (WebKit::InspectorClientImpl::openInspectorFrontend):
        * src/InspectorClientImpl.h:
        * src/WebDevToolsAgentImpl.cpp:
        (WebKit::WebDevToolsAgentImpl::attach):
        (WebKit::WebDevToolsAgentImpl::didCommitProvisionalLoad):
        (WebKit::WebDevToolsAgentImpl::createInspectorFrontendProxy):
        (WebKit::WebDevToolsAgentImpl::setInspectorFrontendProxyToInspectorController):
        * src/WebDevToolsAgentImpl.h:
        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::WebDevToolsFrontendImpl):
        (WebKit::WebDevToolsFrontendImpl::jsBringToFront):
        (WebKit::WebDevToolsFrontendImpl::jsInspectedURLChanged):
        * src/WebDevToolsFrontendImpl.h:
        * src/js/InjectDispatch.js:
        (close):

2010-03-16  Pavel Feldman  <pfeldman@chromium.org>

        Not reviewed: chromium tests fix.

        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):

2010-03-16  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Web Inspector: migrate to native styles inspector in order to inspect styles from foreighn domains.

        https://bugs.webkit.org/show_bug.cgi?id=36117

        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):

2010-03-15  John Gregg  <johnnyg@google.com>

        Reviewed by David Levin.

        Notification object should expose absolute URL of icon
        https://bugs.webkit.org/show_bug.cgi?id=35800

        * public/WebNotification.h:
        * src/WebNotification.cpp:
        (WebKit::WebNotification::iconURL):

2010-03-15  Darin Fisher  <darin@chromium.org>

        Reviewed by Adam Barth.

        https://bugs.webkit.org/show_bug.cgi?id=36152
        [chromium] Add support for history.pushState and history.replaceState

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::didNavigateWithinPage): Move implementation of
        didChangeLocationWithinPage to here.  Only add to the redirect chain if
        we are performing a simple hash change (i.e., no state object on the
        history item).  Call the old didChangeLocationWithinPage for backwards
        compat with Chromium.  This will be removed in a subsequent patch.

        (WebKit::WebFrameClient::didChangeLocationWithinPage):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDidNavigateWithinPage):
        (WebKit::FrameLoaderClientImpl::dispatchDidChangeLocationWithinPage):
        Call the new version of didChangeLocationWithinPage without the
        parameter to indicate whether this is a new navigation or not.  We only
        need this method on WebFrameClient to support TestShell / DRT.

        (WebKit::FrameLoaderClientImpl::dispatchDidPushStateWithinPage):
        Call dispatchDidNavigateWithinPage since pushState is just a type of
        in-page navigation.  This is an in-page navigation that adds another
        entry to session history.

        (WebKit::FrameLoaderClientImpl::dispatchDidReplaceStateWithinPage):
        Call dispatchDidNavigateWithinPage since replaceState is just a type of
        in-page navigation.   This is an in-page navigation that replaces the
        current session history entry.

        (WebKit::FrameLoaderClientImpl::dispatchDidPopStateWithinPage): Do
        nothing since dispatchDidNavigateWithinPage is called in this case by
        the FrameLoader.

        (WebKit::FrameLoaderClientImpl::dispatchDecidePolicyForNavigationAction):
        (WebKit::FrameLoaderClientImpl::shouldGoToHistoryItem): Move the code
        for handling the dummy chrome-back-forward://go/ URLs from
        dispatchDecidePolicyForNavigationAction to shouldGoToHistoryItem, which
        prevents the URLs from leaking into session history.
        shouldGoToHistoryItem is called before any work is done by history
        traversal, so this is a better place for this hack.  Ultimately, this
        code should be eliminatd in favor of better integration with
        FrameLoader or HistoryController.

        * src/FrameLoaderClientImpl.h:

2010-03-15  Darin Fisher  <darin@chromium.org>

        Fix build bustage.  We also need to pull down "third_party/tcmalloc"

        * DEPS:

2010-03-15  Darin Fisher  <darin@chromium.org>

        Fix build bustage.  We also need to pull down "gfx"

        * DEPS:

2010-03-15  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        https://bugs.webkit.org/show_bug.cgi?id=36131
        Update include paths for chromium Rect, Point, and Size types.

        Update DEPS to pull latest chromium code that reflects the
        new location of these headers.

        * DEPS:
        * public/WebPoint.h:
        * public/WebRect.h:
        * public/WebSize.h:

2010-03-15  Marcus Bulach  <bulach@chromium.org>

        Reviewed by Jeremy Orlow.

        Send the frame URL on GeolocationServiceBridgeImpl::startUpdating.
        https://bugs.webkit.org/show_bug.cgi?id=36012

        * public/GeolocationServiceBridgeChromium.h:
        * src/GeolocationServiceBridgeChromium.cpp:
        (WebKit::GeolocationServiceBridgeImpl::startUpdating):

2010-03-15  Patrik Persson  <patrik.j.persson@ericsson.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=32369

        Revise iframe sandbox behavior to match the updated HTML5 spec.

        - Enables window.sessionStorage in sandboxed iframes.

        - Raises SECURITY_ERR exceptions when window.localStorage or
          window.openDatabase() is blocked by iframe sandboxing.

          Note: window.sessionStorage does not raise exceptions.

        WebKit would previously return null references in these cases.  The
        new behavior is in accordance with HTML5:

          http://dev.w3.org/html5/webstorage/   (sections 4.2 and 4.3)
          http://dev.w3.org/html5/webdatabase/  (section 4.1)
          http://www.mail-archive.com/whatwg@lists.whatwg.org/msg19786.html

        * src/StorageAreaProxy.cpp:
        (WebCore::StorageAreaProxy::storageEvent): exception handling
        * src/StorageEventDispatcherImpl.cpp:
        (WebCore::StorageEventDispatcherImpl::dispatchStorageEvent): exception handling

2010-03-15  Tony Chang  <tony@chromium.org>

        Reviewed by Darin Adler.

        option-pageup/down should move cursor on chromium mac
        https://bugs.webkit.org/show_bug.cgi?id=36108

        * src/EditorClientImpl.cpp:
        (WebKit::):

2010-03-13  Eric Roman  <eroman@chromium.org>

        Reviewed by Adam Barth.

        Add a firstPartyForCookies() property to WebDocument.
        https://bugs.webkit.org/show_bug.cgi?id=35592

        * public/WebDocument.h:
        * src/WebDocument.cpp:
        (WebKit::WebDocument::firstPartyForCookies):

2010-03-12  Garret Kelly  <gdk@chromium.org>

        Unreiviewed.

        Fix Chromium Mac build. Last patch did not apply properly.
        (Garret assures me this patch will actually work.)

        * src/WebInputEventConversion.cpp:
        (WebKit::toPlatformTouchEventType):
        (WebKit::toPlatformTouchPointState):

2010-03-12  Garret Kelly  <gdk@chromium.org>

        Unreviewed.

        Fix Chromium Mac build. This time, with actual fixing goodness.

        * src/WebInputEventConversion.cpp:
        (WebKit::toPlatformTouchEventType):
        (WebKit::toPlatformTouchPointState):

2010-03-12  Garret Kelly  <gdk@chromium.org>

        Unreviewed.

        Fix Chromium Mac build.

        * src/WebInputEventConversion.cpp:
        (WebKit::toPlatformTouchEventType):
        (WebKit::toPlatformTouchPointState):

2010-03-12  Garret Kelly  <gdk@chromium.org>

        Reviewed by Eric Seidel.

        Enable touch events in Chromium features gypi file.
        https://bugs.webkit.org/show_bug.cgi?id=35994

        * features.gypi:

2010-03-12  Darin Fisher  <darin@chromium.org>

        Fix Chromium build bustage.

        Wrap usage of WebPrivatePtr from WebNode.h in a #if
        WEBKIT_IMPLEMENTATION guard.

        * public/WebNode.h:

2010-03-12  Nicolas Weber  <thakis@chromium.org>

        Reviewed by David Levin.

        [Chromium] Cmd-clicking submit buttons should submit in new tab 
        https://bugs.webkit.org/show_bug.cgi?id=36023

        Take modifiers into account when clicking form buttons. E.g.
        cmd-clicking a submit button will submit in a new background tab,
        cmd-shift-clicking in a new foreground tab, shift-clicking in a new
        window. (On windows/linux, it's ctrl instead of cmd.)

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::actionSpecifiesNavigationPolicy):

2010-03-12  Kavita Kanetkar  <kkanetkar@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Fix memory leak in WebImageDecoder API
        https://bugs.webkit.org/show_bug.cgi?id=35946

        * src/WebImageDecoder.cpp:
        (WebKit::WebImageDecoder::setData):
        (WebKit::WebImageDecoder::getFrameAtIndex):

2010-03-11  Aaron Boodman  <aa@chromium.org>

        Kill WebDocument::applicationID() (part 1).

        Modify interface to WebCore::NotificationPresenter::checkPermission()
        and remove implementation of WebDocument::applicationID(). Breaking
        API changes will be in a subsequent change.
        https://bugs.webkit.org/show_bug.cgi?id=35846

        * public/WebNotificationPresenter.h:
        * src/NotificationPresenterImpl.cpp:
        (WebKit::NotificationPresenterImpl::checkPermission):
        * src/NotificationPresenterImpl.h:
        * src/WebDocument.cpp:
        (WebKit::WebDocument::applicationID):

2010-03-11  Stuart Morgan  <stuartmorgan@chromium.org>

        Reviewed by Darin Fisher.

        Fix the screen coordinate conversion of Chromium Mac mouse events for
        multiple-moniter setups. Also changes the global coordinate values
        to be computed from the event, rather than the instantaneous mouse
        location, and reduces code duplication for location conversion.

        Dual-sided patch with http://codereview.chromium.org/751002

        https://bugs.webkit.org/show_bug.cgi?id=35950

        * src/mac/WebInputEventFactory.mm:
        (WebKit::setWebEventLocationFromEventInView):
        (WebKit::WebInputEventFactory::mouseEvent):
        (WebKit::WebInputEventFactory::mouseWheelEvent):

2010-03-11  Anders Carlsson  <andersca@apple.com>

        Reviewed by David Hyatt.

        Remove invalidateContents, it isn't used and it never makes sense to only invalidate the contents.

        * src/ChromeClientImpl.cpp:
        * src/ChromeClientImpl.h:

2010-03-10  Darin Fisher  <darin@chromium.org>

        Reviewed by Jeremy Orlow.

        Use WebPrivatePtr for WebNode
        https://bugs.webkit.org/show_bug.cgi?id=36005

        * public/WebElement.h:
        * public/WebFormElement.h:
        * public/WebInputElement.h:
        * public/WebLabelElement.h:
        * public/WebNode.h:
        (WebKit::WebNode::WebNode):
        (WebKit::WebNode::isNull):
        (WebKit::WebNode::unwrap):
        (WebKit::WebNode::constUnwrap):
        * public/WebPrivatePtr.h:
        (WebKit::WebPrivatePtr::assign):
        * src/WebDocument.cpp:
        (WebKit::WebDocument::WebDocument):
        (WebKit::WebDocument::operator=):
        (WebKit::WebDocument::operator PassRefPtr<Document>):
        * src/WebElement.cpp:
        (WebKit::WebElement::hasTagName):
        (WebKit::WebElement::WebElement):
        (WebKit::WebElement::operator=):
        (WebKit::WebElement::operator PassRefPtr<Element>):
        * src/WebFormElement.cpp:
        (WebKit::WebFormElement::WebFormElement):
        (WebKit::WebFormElement::operator=):
        (WebKit::WebFormElement::operator PassRefPtr<HTMLFormElement>):
        * src/WebInputElement.cpp:
        (WebKit::WebInputElement::WebInputElement):
        (WebKit::WebInputElement::operator=):
        (WebKit::WebInputElement::operator PassRefPtr<HTMLInputElement>):
        * src/WebLabelElement.cpp:
        (WebKit::WebLabelElement::correspondingControl):
        (WebKit::WebLabelElement::operator=):
        (WebKit::WebLabelElement::operator PassRefPtr<HTMLLabelElement>):
        * src/WebNode.cpp:
        (WebKit::WebNode::reset):
        (WebKit::WebNode::assign):
        (WebKit::WebNode::equals):
        (WebKit::WebNode::parentNode):
        (WebKit::WebNode::createMarkup):
        (WebKit::WebNode::addEventListener):
        (WebKit::WebNode::removeEventListener):
        (WebKit::WebNode::simulateClick):
        (WebKit::WebNode::WebNode):
        (WebKit::WebNode::operator=):
        (WebKit::WebNode::operator PassRefPtr<Node>):

2010-03-10  Darin Fisher  <darin@chromium.org>

        Reviewed by Jeremy Orlow.

        Add API wrapper for WebCore::SerializedScriptValue
        https://bugs.webkit.org/show_bug.cgi?id=35988

        WebSerializedScriptValue is a wrapper around SerializedScriptValue.

        WebPrivatePtr is used to simplify wrapping reference counted WebCore
        types.  This class is used to cleanup WebHistoryItem, and will be used
        to clean up other classes in the WebKit API in a follow-up patch.

        * WebKit.gyp:
        * public/WebHistoryItem.h:
        * public/WebPrivatePtr.h: Added.
        * public/WebSerializedScriptValue.h: Added.
        * src/WebHistoryItem.cpp:
        * src/WebSerializedScriptValue.cpp: Added.

2010-03-10  Sanjeev Radhakrishnan  <sanjeevr@chromium.org>

        Reviewed by Darin Fisher.

        Allow a plugin to participate in the browser's print workflow.
        https://bugs.webkit.org/show_bug.cgi?id=35550

        * public/WebFrame.h:
        * public/WebPlugin.h:
        * src/WebFrameImpl.cpp:
        * src/WebFrameImpl.h:
        * src/WebPluginContainerImpl.cpp:
        * src/WebPluginContainerImpl.h:

2010-03-10  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Nate Chapin.

        [chromium]: Fix regression in mouse capture on Mac/Linux
        https://bugs.webkit.org/show_bug.cgi?id=35987

        * src/WebViewImpl.cpp:

2010-03-10  Evan Stade  <estade@chromium.org>

        Reviewed by David Levin.

        [chromium] add functionality to activate the focused node in a WebView
        https://bugs.webkit.org/show_bug.cgi?id=35407

        * public/WebDocument.h:
        * public/WebNode.h:
        * src/WebDocument.cpp:
        (WebKit::WebDocument::focusedNode): Added
        * src/WebNode.cpp:
        (WebKit::WebNode::simulateClick): Added

2010-03-10  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        https://bugs.webkit.org/show_bug.cgi?id=35952
        Propagate mouse wheel events to Pepper plugins.

        * src/WebInputEventConversion.cpp:
        (WebKit::WebMouseWheelEventBuilder::WebMouseWheelEventBuilder):
        * src/WebInputEventConversion.h:
        * src/WebPluginContainerImpl.cpp:
        (WebKit::WebPluginContainerImpl::handleEvent):
        (WebKit::WebPluginContainerImpl::handleMouseEvent):
        (WebKit::WebPluginContainerImpl::handleWheelEvent):
        (WebKit::WebPluginContainerImpl::handleKeyboardEvent):
        * src/WebPluginContainerImpl.h:

2010-03-10  Garret Kelly  <gdk@chromium.org>

        Reviewed by Darin Fisher.

        Add support for converting WebTouchEvents to PlatformTouchEvents and
        routing them into the EventHandler for the frame in which they
        originate.
        https://bugs.webkit.org/show_bug.cgi?id=35874

        * src/ChromeClientImpl.h:
        (WebKit::ChromeClientImpl::needTouchEvents):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::touchEvent): Handle incoming WebTouchEvents,
        converting them to PlatformTouchEvents and sending them to the
        EventHandler.
        (WebKit::WebViewImpl::handleInputEvent): Now routes WebTouchEvents to
        the touchEvent handler.
        * src/WebViewImpl.h:

2010-03-10  Nate Chapin  <japhet@chromium.org>

        Reviewed by Dimitri Glazkov.

        Wrap and unwrap v8 objects with WrapperTypeInfo instead of V8ClassIndex::V8WrapperType.

        https://bugs.webkit.org/show_bug.cgi?id=35941

        * src/WebBindings.cpp:
        (WebKit::getRangeImpl):
        * src/WebDevToolsAgentImpl.cpp:
        (WebKit::WebDevToolsAgentImpl::createInspectorBackendV8Wrapper):
        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::jsShowContextMenu):

2010-03-10  Garret Kelly  <gdk@chromium.org>

        Reviewed by Darin Fisher.

        Fixing build warning caused by using 0 instead of NULL as the sentiel
        in a varargs call.
        https://bugs.webkit.org/show_bug.cgi?id=35898

        * src/gtk/WebInputEventFactory.cpp:

2010-03-10  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        Add IndexedDatabase class and hook it up.
        https://bugs.webkit.org/show_bug.cgi?id=35927

        This change is mostly just adding the plumbing necessary for
        the IndexedDatabaseRequest and IndexedDatabaseSync (not written
        yet).

        * WebKit.gyp:
        * public/WebIndexedDatabase.h: Added.
        (WebKit::WebIndexedDatabase::~WebIndexedDatabase):
        * public/WebKitClient.h:
        (WebKit::WebKitClient::getIndexedDatabase):
        * src/ChromiumBridge.cpp:
        (WebCore::ChromiumBridge::getIndexedDatabase):
        * src/IndexedDatabaseProxy.cpp: Added.
        (WebCore::IndexedDatabaseProxy::create):
        (WebCore::IndexedDatabaseProxy::IndexedDatabaseProxy):
        (WebCore::IndexedDatabaseProxy::~IndexedDatabaseProxy):
        (WebCore::IndexedDatabaseProxy::open):
        * src/IndexedDatabaseProxy.h: Added.

2010-03-10  Andrey Kosyakov  <caseq@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: display list of active workers & support debugging
        with fake workers
        https://bugs.webkit.org/show_bug.cgi?id=35568

        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):

2010-03-10  Tony Chang  <tony@chromium.org>

        Reviewed by Darin Fisher.

        https://bugs.webkit.org/show_bug.cgi?id=35956
        Create a grd file upstream for resources that chromium uses
        that are pulled directly from the upstream repository.

        * WebKit.grd: Added.

2010-03-10  Roland Steiner  <rolandsteiner@chromium.org>

        Reviewed by David Levin.

        Bug 28293 -  [Chromium] event.datatransfer.getdata("text/uri-list") is treated the same as getdata("URL")
        https://bugs.webkit.org/show_bug.cgi?id=28293
        
        Change ChromiumDataObject such that it treats types "URL" and "text/uri-list"
        correctly for event.dataTransfer.getData/setData. Currently both are treated
        as synonyms, but for "URL", getData is supposed to only return the first valid URL
        contained within the data for "text/uri-list" (see HTML5 spec).

        Tests: editing/pasteboard/dataTransfer-setData-getData.html

        * src/WebDragData.cpp:
        (WebKit::WebDragData::url):
        (WebKit::WebDragData::setURL):

2010-03-08  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        Need to send mouse events to plugin when it has mouse capture
        https://bugs.webkit.org/show_bug.cgi?id=35900

        * public/WebInputEvent.h:
        (WebKit::WebInputEvent::isMouseEventType):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):
        (WebKit::WebViewImpl::mouseDown):
        (WebKit::WebViewImpl::mouseUp):
        (WebKit::WebViewImpl::handleInputEvent):
        * src/WebViewImpl.h:

2010-03-09  Anton Muhin  <antonm@chromium.org>

        Reviewed by Darin Fisher.

        Accept and bailout NULL widgets in ChromiumBridge
        https://bugs.webkit.org/show_bug.cgi?id=35796

        * src/ChromiumBridge.cpp:
        (WebCore::toChromeClientImpl):

2010-03-09  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Use clean global object for devtools utility context instead of
        trying to simulate inspected context. 
    
        https://bugs.webkit.org/show_bug.cgi?id=35923

        * src/DebuggerAgentImpl.cpp:
        * src/DebuggerAgentImpl.h:
        * src/WebDevToolsAgentImpl.cpp:
        (WebKit::WebDevToolsAgentImpl::resetInspectorFrontendProxy):

2010-03-08  Alexey Proskuryakov  <ap@apple.com>

        Chromium build fix.

        Updated for the removal of "mightDownloadFromHandle".

        * src/ResourceHandle.cpp:
        (WebCore::ResourceHandle::ResourceHandle):
        (WebCore::ResourceHandle::create):

2010-03-08  Dimitri Glazkov  <dglazkov@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Reset multiple form submission protection on mouse events.
        https://bugs.webkit.org/show_bug.cgi?id=35128

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::mouseDown):

2010-03-08  Michael Nordman  <michaeln@google.com>

        Reviewed by Darin Fisher.

        Quick fix for a chromium unit test failures around r55675 (repaint refactoring).
        This change restores the tests for empty rects that were deleted.

        https://bugs.webkit.org/show_bug.cgi?id=35878

        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::invalidateContentsAndWindow):
        * src/WebPopupMenuImpl.cpp:
        (WebKit::WebPopupMenuImpl::invalidateContentsAndWindow):

2010-03-02  Adam Treat  <atreat@rim.com>

        Reviewed by Dave Hyatt.

        Adapt the chromium port to the refactoring of repaint methods.

        https://bugs.webkit.org/show_bug.cgi?id=34214

        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::invalidateContents):
        (WebKit::ChromeClientImpl::invalidateWindow):
        (WebKit::ChromeClientImpl::invalidateContentsAndWindow):
        (WebKit::ChromeClient::invalidateContentsForSlowScroll):
        * src/ChromeClientImpl.h:

2010-03-08  Jian Li  <jianli@chromium.org>

        Reviewed by Dmitry Titov.

        Blob.slice support.
        https://bugs.webkit.org/show_bug.cgi?id=32993

        Add ENABLE_BLOB_SLICE feature define.

        * features.gypi:

2010-03-08  Eric Uhrhane  <ericu@chromium.org>

        Reviewed by David Levin.

        Remove the now-redundant Settings fields for the Database
        https://bugs.webkit.org/show_bug.cgi?id=35763

        No new tests; this code isn't called.

        * public/WebSettings.h:
        * src/WebSettingsImpl.cpp:
        * src/WebSettingsImpl.h:

2010-03-08  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        Pass the WebFrame into WebStorageArea::setItem so we can figure out the routing ID
        https://bugs.webkit.org/show_bug.cgi?id=35758

        This is necessary since setItem is sometimes blocked and the embedder might need
        to display some piece of UI associated with such an event.

        * public/WebStorageArea.h:
        (WebKit::WebStorageArea::setItem):
        * src/StorageAreaProxy.cpp:
        (WebCore::StorageAreaProxy::setItem):
        * src/WebStorageAreaImpl.cpp:
        (WebKit::WebStorageAreaImpl::setItem):
        * src/WebStorageAreaImpl.h:

2010-03-07  Mark Rowe  <mrowe@apple.com>

        Chromium build fix.

        * src/ChromiumBridge.cpp: Include SharedBuffer.h since WebCore::SharedBuffer is being used.

2010-03-07  Mark Rowe  <mrowe@apple.com>

        Chromium build fix.

        * src/ResourceHandle.cpp: Include SharedBuffer.h since WebCore::SharedBuffer is being used.

2010-03-06  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Chromium: Restore devtools window activate upon node search complete.

        https://bugs.webkit.org/show_bug.cgi?id=35832

        * src/js/DevTools.js:

2010-03-06  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        [Chromium] Embedder initiated loads should not always stop existing loads
        https://bugs.webkit.org/show_bug.cgi?id=33862

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::reload):
        (WebKit::WebFrameImpl::loadRequest):
        (WebKit::WebFrameImpl::loadHistoryItem):
        (WebKit::WebFrameImpl::loadData):

2010-03-06  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        [Chromium] spurious WebViewClient::didStopLoading if changing
        location.hash while a subframe is still loading

        https://bugs.webkit.org/show_bug.cgi?id=33884

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDidChangeLocationWithinPage):
        Call isLoadingInAPISense, which checks subframes.

2010-03-06  Hironori Bono  <hbono@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] Typing into Flash with wmode = opaque|transparent and
        non-latin language active outputs as if US keyboard layout active

        https://bugs.webkit.org/show_bug.cgi?id=34936

        This change is a WebKit-side change for this issue. It dispatches
        Char events to plug-ins so plug-ins can receive non-ASCII characters
        as well as ASCII characters.

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::keyEvent):

2010-03-06  Kavita Kanetkar  <kkanetkar@chromium.org>

        Reviewed by Darin Fisher.

        Create WebKit API for  WebCore::ImageDecoder
        https://bugs.webkit.org/show_bug.cgi?id=35415

        * WebKit.gyp:
        * public/WebImageDecoder.h: Added.
        * src/WebImageDecoder.cpp: Added.

2010-03-05  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        Take out code hack that flips the result of NPP_HandleEvent.  This needs to move to
        the NPAPI code so that Pepper plugins don't hit it.
        https://bugs.webkit.org/show_bug.cgi?id=35779

        * public/WebPluginContainer.h:
        * src/WebPluginContainerImpl.cpp:
        (WebKit::WebPluginContainerImpl::handleMouseEvent):
        (WebKit::WebPluginContainerImpl::handleKeyboardEvent):

2010-03-05  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: Do not show link helper in popovers and/or for external resources.

        https://bugs.webkit.org/show_bug.cgi?id=35785

        * src/js/DebuggerAgent.js:
        (devtools.DebuggerAgent.prototype.initUI):
        (devtools.DebuggerAgent.prototype.addScriptInfo_):

2010-03-04  Garret Kelly  <gdk@chromium.org>

        Reviewed by Darin Fisher.

        Adding PlatformTouchEventBuilder and PlatformTouchPointBuilder for
        converting Chromium WebTouchEvent and WebTouchPoint types to
        corresponding WebCore types.
        https://bugs.webkit.org/show_bug.cgi?id=35760

        * src/WebInputEventConversion.cpp:
        (WebKit::toPlatformTouchEventType):
        (WebKit::toPlatformTouchPointState):
        (WebKit::PlatformTouchPointBuilder::PlatformTouchPointBuilder):
        (WebKit::PlatformTouchEventBuilder::PlatformTouchEventBuilder):
        * src/WebInputEventConversion.h:

2010-03-04  John Gregg  <johnnyg@google.com>

        Reviewed by Darin Fisher.

        [chromium] WebDocument:applicationID() crashes on <meta> tag with no http-equiv attribute
        https://bugs.webkit.org/show_bug.cgi?id=35771

        * src/WebDocument.cpp:
        (WebKit::WebDocument::applicationID):
        check for presence of http-equiv attribute before lower()ing it.

2010-03-04  Darin Fisher  <darin@chromium.org>

        Reviewed by Dmitry Titov.

        [chromium] make history.{push,replace}State enabled at runtime
        https://bugs.webkit.org/show_bug.cgi?id=35753

        * public/WebRuntimeFeatures.h:
        * src/WebRuntimeFeatures.cpp:
        (WebKit::WebRuntimeFeatures::enablePushState):
        (WebKit::WebRuntimeFeatures::isPushStateEnabled):

2010-03-04  Pavel Feldman  <pfeldman@chromium.org>

        Not reviewed: chromium tests fix.

        * src/js/Tests.js:

2010-03-03  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Web Inspector: Remove two last synchronous calls from front-end to InspectorBackend.
        
        https://bugs.webkit.org/show_bug.cgi?id=35720

        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):
        (devtools.InspectorBackendImpl.prototype.setPauseOnExceptionsState):

2010-03-03  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Web Inspector: Remove sync access to resourceTrackingEnabled.

        https://bugs.webkit.org/show_bug.cgi?id=35693

        * src/js/DevTools.js:

2010-03-04  Darin Fisher  <darin@chromium.org>

        Reviewed by Pavel Feldman.

        Fix failing DevToolsSanityTest.TestResourceContentLength
        https://bugs.webkit.org/show_bug.cgi?id=35725

        http://trac.webkit.org/changeset/55466 missed one more spot
        where contentLength needed to be renamed resourceSize.

        * src/js/Tests.js:

2010-03-03  Garret Kelly  <gdk@chromium.org>

        Reviewed by Darin Fisher.

        Adding touch event type and point type. Tested against the try bots.
        https://bugs.webkit.org/show_bug.cgi?id=35691

        * public/WebInputEvent.h:
        (WebKit::WebInputEvent::):
        (WebKit::WebInputEvent::isTouchEventType):
        (WebKit::WebTouchEvent::WebTouchEvent):
        * public/WebTouchPoint.h: Added.
        (WebKit::WebTouchPoint::WebTouchPoint):
        (WebKit::WebTouchPoint::):

2010-03-02  Tony Chang  <tony@chromium.org>

        Reviewed by Darin Fisher.

        add a flag to WebURLResponse so we can identify multipart content
        https://bugs.webkit.org/show_bug.cgi?id=35628

        * public/WebURLResponse.h:
        * src/WebURLResponse.cpp:
        (WebKit::WebURLResponse::isMultipartPayload):
        (WebKit::WebURLResponse::setIsMultipartPayload):

2010-03-02  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Fisher.

        Google Analytics triggers "blocked plugin" UI
        https://bugs.webkit.org/show_bug.cgi?id=35565

        Plumb didNotAllowPlugins to the client.

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::didNotAllowPlugins):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::didNotAllowPlugins):
        * src/FrameLoaderClientImpl.h:

2010-03-02  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        aria-label isn't respected on option elements
        https://bugs.webkit.org/show_bug.cgi?id=35400

        * src/SuggestionsPopupMenuClient.h:
        (WebKit::SuggestionsPopupMenuClient::itemAccessibilityText):

2010-03-02  Mads Ager  <ager@chromium.org>

        Reviewed by Adam Barth.

        [V8] V8 should be notified of context disposals
        https://bugs.webkit.org/show_bug.cgi?id=35526

        Update V8 DEPS in order to get V8 API changes needed for context
        disposal notifications.

        * DEPS:

2010-03-02  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Add EnabledAtRuntime attribute to WebGLArray constructors
        https://bugs.webkit.org/show_bug.cgi?id=35558

        * public/WebRuntimeFeatures.h:
        * src/WebRuntimeFeatures.cpp:
        (WebKit::WebRuntimeFeatures::enableWebGL):
        (WebKit::WebRuntimeFeatures::isWebGLEnabled):

2010-03-02  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Implement WebNode::equals and add inline operators for ==
        and !=.

        https://bugs.webkit.org/show_bug.cgi?id=35543

        * public/WebNode.h:
        (WebKit::operator==):
        (WebKit::operator!=):
        * src/WebNode.cpp:
        (WebKit::WebNode::equals):

2010-03-01  Jakob Petsovits  <jpetsovits@rim.com>

        Reviewed by Adam Barth.

        Adapt to the new ZoomMode enum.
        https://bugs.webkit.org/show_bug.cgi?id=35347

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::setZoomLevel):

2010-03-01  Thatcher Ulrich  <tulrich@google.com>

        Reviewed by Darin Fisher.

        Fix chromium iframe shims.  Add another test case to the
        iframes-shims test.  After r53637, the plugin widget doesn't get
        moved every paint.  This used to hide the bug that if an iframe
        gets added, the plugin's cutout rectangles don't get updated until
        a layout happens.
        https://bugs.webkit.org/show_bug.cgi?id=35184

        * src/WebPluginContainerImpl.cpp:
        (WebKit::WebPluginContainerImpl::widgetPositionsUpdated): do reportGeometry() to ensure that
            the plugin is aware of the positions of cutouts on the page (for iframe shim behavior).
        * src/WebPluginContainerImpl.h:

2010-02-27  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Chromium: remove DevTools part that has been upstreamed.

        * src/js/DevTools.js:

2010-02-26  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Web Inspector: reload inspected page on Cmd+R / Ctrl+R / F5 key event in inspector.

        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::WebDevToolsFrontendImpl):
        (WebKit::WebDevToolsFrontendImpl::jsCanAttachWindow):
        * src/WebDevToolsFrontendImpl.h:
        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl):
        (devtools.InspectorBackendImpl.prototype.toggleNodeSearch):

2010-02-26  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Verify that the Nodes being enumerated are HTML elements.

        https://bugs.webkit.org/show_bug.cgi?id=35463

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::forms):

2010-02-26  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Fisher.

        Expose an API for ports to add schemes to the mixed content whitelist
        https://bugs.webkit.org/show_bug.cgi?id=35438

        Expose registerURLSchemeAsSecure via the WebKit API.

        * public/WebSecurityPolicy.h:
        * src/WebSecurityPolicy.cpp:
        (WebKit::WebSecurityPolicy::registerURLSchemeAsSecure):

2010-02-26  Brett Wilson  <brettw@chromium.org>

        Fix chromium build. This test's expectation became obsolete with
        recent changes to KURL which my previous change brings Chromium's
        port in compliance with.

        * tests/KURLTest.cpp:
        (ComponentCase::TEST):

2010-02-26  Yaar Schnitman  <yaar@chromium.org>

        Chromium build fix.

        * features.gypi: Added missing new variable enable_svg.

2010-02-26  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Dimitri Glazkov.

        [V8] Auto-generate and split DerivedSourcesAllInOne.cpp
        https://bugs.webkit.org/show_bug.cgi?id=33048

        * DEPS: Incremented gyp revision.

2010-02-26  Darin Fisher  <darin@chromium.org>

        Fix mac warning (that gets treated as an error in the chromium build).

        * src/ChromiumBridge.cpp:
        (WebCore::ChromiumBridge::cookiesEnabled):

2010-02-25  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        Remove deprecated cookie methods.
        https://bugs.webkit.org/show_bug.cgi?id=35420

        * public/WebFrameClient.h:
        * public/WebKitClient.h:
        * src/ChromiumBridge.cpp:
        (WebCore::ChromiumBridge::setCookies):
        (WebCore::ChromiumBridge::cookies):
        (WebCore::ChromiumBridge::cookieRequestHeaderFieldValue):
        (WebCore::ChromiumBridge::rawCookies):
        (WebCore::ChromiumBridge::deleteCookie):
        (WebCore::ChromiumBridge::cookiesEnabled):

2010-02-25  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Implement WebLabelElement.

        https://bugs.webkit.org/show_bug.cgi?id=35317

        * WebKit.gyp:
        * public/WebLabelElement.h: Added.
        * src/WebLabelElement.cpp: Added.

2010-02-25  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Dimitri Glazkov.

        Web Inspector: make script lines count calculation lazy.

        https://bugs.webkit.org/show_bug.cgi?id=35392

        * src/js/Tests.js:
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh.waitUntilScriptIsParsed):
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh.checkScriptsPanel):
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.checkScriptsPanel):
        (.TestSuite.prototype.testAutoContinueOnSyntaxError.checkScriptsList):
        (.TestSuite.prototype._executeFunctionForStepTest):

2010-02-24  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        Add a missing WebString.h include.
        https://bugs.webkit.org/show_bug.cgi?id=35360

        This is required since some of the methods have implementations that
        return a WebString.

        * public/WebCookieJar.h:

2010-02-24  Jay Campan  <jcampan@google.com>

        Reviewed by David Levin.

        Don't show the autofill popup when the input text is disabled or read only.

        https://bugs.webkit.org/show_bug.cgi?id=35129

        * src/EditorClientImpl.cpp:
        (WebKit::EditorClientImpl::autofill):

2010-02-24  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Fisher.

        [Chromium API] Disambiguate allowJavaScript from didNotAllowScript
        https://bugs.webkit.org/show_bug.cgi?id=35205

        Plumb didNotAllowScript through Chromium's WebKit API.

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::didNotAllowScript):
        * src/DebuggerAgentImpl.cpp:
        (WebKit::DebuggerAgentImpl::createUtilityContext):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::didNotAllowScript):
        * src/FrameLoaderClientImpl.h:
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::bindToWindowObject):

2010-02-23  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Implement WebDocument::getElementsByTagName.

        https://bugs.webkit.org/show_bug.cgi?id=35272

        * public/WebDocument.h:
        * src/WebDocument.cpp:
        (WebKit::WebDocument::getElementsByTagName):

2010-02-23  Steve Block  <steveblock@google.com>

        Reviewed by Jeremy Orlow.

        Removes redundant Settings::setGeolocationEnabled and Settings::geolocationEnabled
        https://bugs.webkit.org/show_bug.cgi?id=35242

        This removes Chromium's WebSettings::setGeolocationEnabled

        * public/WebSettings.h:
        * src/WebSettingsImpl.cpp:
        * src/WebSettingsImpl.h:

2010-02-23  Dmitriy Belenko  <dbelenko@google.com>

        Reviewed by Darin Fisher.

        Chromium: Need to be able to get the bounds of selection
        rectangle(s)
        https://bugs.webkit.org/show_bug.cgi?id=34915

        This change will enable about 30 test cases to pass in Chromium.
        All of these test cases are related to selection rect boundaries.
        This change will enable the test cases to retrieve the selection
        rect boundary rectangle for the current selection.

        * public/WebFrame.h:
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::selectionBoundsRect):
        * src/WebFrameImpl.h:

2010-02-23  Steve Block  <steveblock@google.com>

        Reviewed by Darin Adler.

        Adds ChromeClient::cancelGeolocationPermissionRequestForFrame
        https://bugs.webkit.org/show_bug.cgi?id=34962

        This method is required so that a Geolocation object can cancel an
        asynchronous permission request. This allows the chrome client to cancel
        any UI it is showing for the permission request.

        * src/ChromeClientImpl.h:
        (WebKit::ChromeClientImpl::cancelGeolocationPermissionRequestForFrame):

2009-02-22  Adam Langley  <agl@google.com>

        Reviewed by Darin Fisher.

        fontconfig on Linux can change the render preferences on a per strike
        basis (a strike a combination of face and size). Because of this, we
        need to query fontconfig each time a new FontPlatformData is created
        for a new size.

        This patch adds support for querying this via ChromiumBridge.

        https://bugs.webkit.org/show_bug.cgi?id=33065

        * WebKit.gyp:
        * public/gtk/WebFontInfo.h:
        * public/linux/WebSandboxSupport.h:
        * src/ChromiumBridge.cpp:
        (WebCore::ChromiumBridge::getRenderStyleForStrike):
        * src/gtk/WebFontInfo.cpp:
        (WebKit::WebFontInfo::renderStyleForStrike):

2010-02-22  Alexander Pavlov  <apavlov@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: there should be a way to "deactivate" or "skip" all breakpoints while debugging.
        https://bugs.webkit.org/show_bug.cgi?id=33217

        * src/js/DebuggerAgent.js:
        (devtools.DebuggerAgent):
        (devtools.DebuggerAgent.prototype.setBreakpointsActivated):
        (devtools.DebuggerAgent.prototype.handleBreakEvent_):
        (devtools.DebuggerAgent.prototype.handleExceptionEvent_):
        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl.prototype.activateBreakpoints):
        (devtools.InspectorBackendImpl.prototype.deactivateBreakpoints):

2010-02-21  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Chromium DevTools: kepp debugger API in sync with inspector.

        https://bugs.webkit.org/show_bug.cgi?id=28799

        * src/js/DebuggerAgent.js:
        * src/js/InspectorControllerImpl.js:
        (devtools.InspectorBackendImpl.prototype.setBreakpoint):

2010-02-19  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by David Levin.

        Add an ENABLE flag for sandboxed iframes to make it possible to disable it in releases
        https://bugs.webkit.org/show_bug.cgi?id=35147

        * features.gypi:

2010-02-19  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Call WebViewClient::didAcceptAutoFillSuggestion when the
        user selects a suggestion from the AutoFill suggestions popup.

        https://bugs.webkit.org/show_bug.cgi?id=35174

        * public/WebViewClient.h:
        (WebKit::WebViewClient::didAcceptAutoFillSuggestion):
        * src/AutoFillPopupMenuClient.cpp:
        (WebKit::AutoFillPopupMenuClient::valueChanged):
        * src/AutoFillPopupMenuClient.h:

2010-02-19  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] Use the m_suggestionsPopupClient pointer to refer to the
        popup client, as the Autocomplete popup might not be the current
        popup.

        https://bugs.webkit.org/show_bug.cgi?id=35172

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::autocompleteHandleKeyEvent):
        (WebKit::WebViewImpl::refreshSuggestionsPopup):

2010-02-19  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] Rename EditorClientImpl::onAutofillSuggestionAccepted to
        onAutocompleteSuggestionAccepted to better match the purpose of the
        function.

        https://bugs.webkit.org/show_bug.cgi?id=35171

        * src/EditorClientImpl.cpp:
        (WebKit::EditorClientImpl::onAutocompleteSuggestionAccepted):
        * src/EditorClientImpl.h:
        * src/SuggestionsPopupMenuClient.cpp:
        (WebKit::SuggestionsPopupMenuClient::valueChanged):

2010-02-18  Peter Kasting  <pkasting@google.com>

        Reviewed by Darin Fisher.

        Add an isImageBlocked bool to the WebContextMenuData struct.
        https://bugs.webkit.org/show_bug.cgi?id=35136
        
        This lets us properly enable/disable the "Copy Image" context menu entry
        (and, in the future, maybe add a "Load Image" function).

        * public/WebContextMenuData.h:
        * src/ContextMenuClientImpl.cpp:
        (WebKit::ContextMenuClientImpl::getCustomMenuFromDefaultItems):

2010-02-19  Marcus Bulach  <bulach@chromium.org>

        Reviewed by Jeremy Orlow.

        Fixes GeolocationServiceBridgeImpl::stopUpdating (it can be called multiple times).

        * src/GeolocationServiceBridgeChromium.cpp:
        (WebKit::GeolocationServiceBridgeImpl::stopUpdating):

2010-02-19  Pavel Feldman  <pfeldman@chromium.org>

        Not reviewed. Chromium build fix: reverting r54997 and r54998.

        * DEPS:

2010-02-19  Pavel Feldman  <pfeldman@chromium.org>

        Not reviewed. Chromium tests fix: update devtools code to match new
        web inspector object proxy format.

        * src/js/DebuggerAgent.js:
        (devtools.DebuggerAgent.prototype.formatCallFrame_):
        (devtools.DebuggerAgent.formatObjectProxy_):

2010-02-12  Kent Tamura  <tkent@chromium.org>

        Unreviewed. Fix Chromium build.

        * DEPS: Bump Google URL revision to 123.

2010-02-18  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Don't truncate long lines when evaluating expressions on a breakpoint.

        https://bugs.webkit.org/show_bug.cgi?id=35102

        * src/js/DebuggerAgent.js:

2010-02-18  Jay Campan  <jcampan@google.com>

        Reviewed by Adam Barth.

        Exposing the title in WebDocument.
        
        https://bugs.webkit.org/show_bug.cgi?id=35058

        * public/WebDocument.h:
        * src/WebDocument.cpp:
        (WebKit::WebDocument::title):

2010-02-17  Dmitry Titov  <dimich@chromium.org>

        Reviewed by David Levin, Darin Fisher, Simon Hausmann.

        When a live iframe element is moved between pages, it still depends on the old page.
        https://bugs.webkit.org/show_bug.cgi?id=34382

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::detachedFromParent3):
        (WebKit::FrameLoaderClientImpl::didTransferChildFrameToNewDocument):
        Since Chromium's WebFrameClient is destroyed once a window is closed,
        if Frame moves between Pages, the client of corresponding WebFrame
        should be replaced as well.

        * src/FrameLoaderClientImpl.h:
        * src/WebFrameImpl.h:
        (WebKit::WebFrameImpl::setClient):

2010-02-17  Evan Martin  <evan@chromium.org>

        Reviewed by Eric Seidel.

        [chromium] expose cache-bypass flag in reload() API
        https://bugs.webkit.org/show_bug.cgi?id=34969

        This flag is used to force a reload to ignore caches.
        (Aka "shift-reload".)

        * public/WebFrame.h:
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::reload):
        * src/WebFrameImpl.h:

2010-02-17  Kent Tamura  <tkent@chromium.org>

        Reviewed by Eric Seidel.

        Introduces new Icon loading interface in order to support
        asynchronous loading.
        https://bugs.webkit.org/show_bug.cgi?id=32054

        Add an empty implementation of ChromeClient::iconForFiles().

        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::iconForFiles):
        * src/ChromeClientImpl.h:

2010-02-17  Kenneth Russell  <kbr@google.com>

        Reviewed by Oliver Hunt.

        Refactor texImage2D and texSubImage2D taking Image to use common code
        https://bugs.webkit.org/show_bug.cgi?id=34458

        Merged the Safari and Chromium code which extracts the data from
        Image objects into common entry points on GraphicsContext3D. This
        immediately fixes the following three problems:
          - Chromium not implementing texSubImage2D taking Image.
          - Safari not obeying the flipY parameter to texImage2D or
            texSubImage2D taking Image.
          - Safari not obeying the premultipyAlpha parameter to texImage2D
            or texSubImage2D taking Image.
        Added new test verifying the behavior of texImage2D and
        texSubImage2D and the flipY parameter. The premultiplyAlpha
        parameter can not be tested yet as the implementation is not yet
        spec compliant. This will be fixed in a follow-on bug.

        Ran all WebGL demos in demo repository on Safari and Chromium;
        textures are now the right way up in both browsers, and
        transparent textures in Particles demo now look correct in Safari.

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3D::texImage2D):
        (WebCore::GraphicsContext3D::texSubImage2D):

2010-02-17  Alok Priyadarshi  <alokp@chromium.org>

        Reviewed by Ariya Hidayat.

        Bug 34900: Implement accelerated compositing for chromium.
        https://bugs.webkit.org/show_bug.cgi?id=34900

        * features.gypi: Added WTF_USE_ACCELERATED_COMPOSITING flag.

2010-02-17  Jian Li  <jianli@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Remove the obsolete chromium interface for handling DownloadURL.
        https://bugs.webkit.org/show_bug.cgi?id=34982

        * public/WebDragData.h:
        * src/WebDragData.cpp:

2010-02-16  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] Remove calls to releaseRef when passing PassRefPtrs to base
        classes.  releaseRef releases the original pointer without decreasing
        the reference count, and the base class constructor increases the
        reference count, leading to a leak.

        https://bugs.webkit.org/show_bug.cgi?id=35000

        * src/WebDocument.cpp:
        (WebKit::WebDocument::WebDocument):
        * src/WebElement.cpp:
        (WebKit::WebElement::WebElement):
        * src/WebFormElement.cpp:
        (WebKit::WebFormElement::WebFormElement):
        * src/WebInputElement.cpp:
        (WebKit::WebInputElement::WebInputElement):

2010-02-15  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Fix StorageNamespaceProxy::copy() for test shell
        https://bugs.webkit.org/show_bug.cgi?id=34949

        Chromium passes back NULL when you call WebStorageNamespace::proxy()
        but TestShell returns a valid object.  Both need to work via
        the WebStorageNamespace.

        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespaceProxy::copy):

2010-02-14  Vangelis Kokkevis  <vangelis@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Add support for the showDebugBorders setting to Chromium.

        https://bugs.webkit.org/show_bug.cgi?id=34906

        * public/WebSettings.h: Add declaration for setShowDebugBorders
        * src/WebSettingsImpl.cpp:
        (WebKit::WebSettingsImpl::setShowDebugBorders): Add method implementation
        * src/WebSettingsImpl.h: Added declaration for setShowDebugBorders

2010-02-11  Darin Fisher  <darin@chromium.org>

        Reviewed by Jeremy Orlow.

        Introduce WebCookieJar, and provide for a frame specific cookie jar.

        https://bugs.webkit.org/show_bug.cgi?id=34878

        * WebKit.gyp:
        * public/WebCookieJar.h: Added.
        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::cookieJar):
        * public/WebKitClient.h:
        (WebKit::WebKitClient::cookieJar):
        (WebKit::WebKitClient::setCookies):
        (WebKit::WebKitClient::cookies):
        (WebKit::WebKitClient::rawCookies):
        (WebKit::WebKitClient::deleteCookie):
        (WebKit::WebKitClient::cookiesEnabled):
        * src/ChromiumBridge.cpp:
        (WebCore::getCookieJar):
        (WebCore::ChromiumBridge::setCookies):
        (WebCore::ChromiumBridge::cookies):
        (WebCore::ChromiumBridge::rawCookies):
        (WebCore::ChromiumBridge::deleteCookie):
        (WebCore::ChromiumBridge::cookiesEnabled):

2010-02-12  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by David Levin.

        Chromium: provide theme overrides for Chromium devtools on Mac.

        https://bugs.webkit.org/show_bug.cgi?id=34856

        * src/js/devTools.css:

2010-02-12  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Add a blockedByPolicy output to WebStorageArea::setItem.
        https://bugs.webkit.org/show_bug.cgi?id=34897

        * public/WebStorageArea.h:
        (WebKit::WebStorageArea::setItem):
        * src/WebStorageAreaImpl.cpp:
        (WebKit::WebStorageAreaImpl::setItem):
        * src/WebStorageAreaImpl.h:

2010-02-11  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by David Levin.

        [Chromium] Add ENABLE_RUBY to the feature defines gypi
        https://bugs.webkit.org/show_bug.cgi?id=34841

        * features.gypi:

2010-02-12  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Chromium: Web Inspector on an element in a page where JS is blocked crashes the renderer

        https://bugs.webkit.org/show_bug.cgi?id=34890

        * src/DebuggerAgentImpl.cpp:
        (WebKit::DebuggerAgentImpl::createUtilityContext):

2010-02-11  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        [Chromium] Ignore subsequent requests of the same profiler log
        chunks. This eliminates emission of several instances for the same
        heap snapshot.

        https://bugs.webkit.org/show_bug.cgi?id=34833

        * src/js/ProfilerAgent.js:
        (devtools.ProfilerAgent):
        (devtools.ProfilerAgent.prototype.initializeProfiling):
        (devtools.ProfilerAgent.prototype._getNextLogLines):
        (devtools.ProfilerAgent.prototype.startProfiling):
        (devtools.ProfilerAgent.prototype._didGetActiveProfilerModules):
        (devtools.ProfilerAgent.prototype._didGetLogLines):

2010-02-10  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] Remove code from SuggestionsPopup that was removed in a
        previous revision of AutocompletePopup and accidentally added back in
        the refactoring.

        https://bugs.webkit.org/show_bug.cgi?id=34818

        * src/AutoFillPopupMenuClient.cpp:
        * src/AutoFillPopupMenuClient.h: Added property svn:eol-style.
        * src/SuggestionsPopupMenuClient.cpp:
        (WebKit::SuggestionsPopupMenuClient::popupDidHide):
        (WebKit::SuggestionsPopupMenuClient::setTextFromItem):
        (WebKit::SuggestionsPopupMenuClient::initialize):
        * src/SuggestionsPopupMenuClient.h:

2010-02-10  Nate Chapin  <japhet@chromium.org>

        Reviewed by Adam Barth.

        Update call to V8DOMWrapper::lookupDOMWrapper() to match new parameters.

        https://bugs.webkit.org/show_bug.cgi?id=34768

        * src/DebuggerAgentImpl.cpp:
        (WebKit::DebuggerAgentImpl::createUtilityContext):

2010-02-10  Kenneth Russell  <kbr@google.com>

        Reviewed by Oliver Hunt.

        Remove automatic viewport resizing
        https://bugs.webkit.org/show_bug.cgi?id=34766

        Removed automatic viewport resizing per conclusions on the WebGL
        mailing list. Added test verifying new behavior and updated a
        couple of previous tests failing after this change.

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::reshape):

2010-02-10  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Chromium Win build fix. Add third_party/nss to the dependencies list on Windows.

        https://bugs.webkit.org/show_bug.cgi?id=34789

        * DEPS:

2010-02-10  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Rolling Chromium dependencies to match Chromium revision 38580.

        https://bugs.webkit.org/show_bug.cgi?id=34789

        * DEPS:

2010-02-10  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Use v8::Debug::ProcessDebugMessages instead of executing an empty function

        https://bugs.webkit.org/show_bug.cgi?id=34704

        * src/DebuggerAgent.h:
        * src/DebuggerAgentImpl.cpp:
        (WebKit::DebuggerAgentImpl::processDebugCommands):
        * src/DebuggerAgentImpl.h:
        * src/ToolsAgent.h:
        * src/WebDevToolsAgentImpl.cpp:
        * src/WebDevToolsAgentImpl.h:
        * src/js/DebuggerAgent.js:
        (devtools.DebuggerAgent.prototype.addBreakpoint):
        * src/js/DevToolsHostStub.js:
        (.RemoteDebuggerAgentStub.prototype.processDebugCommands):
        * src/js/InjectDispatch.js:
        (dispatch):
        * src/js/ProfilerAgent.js:
        (devtools.ProfilerAgent.prototype.startProfiling):
        (devtools.ProfilerAgent.prototype.stopProfiling):
        * src/js/Tests.js:

2010-02-10  Tony Chang  <tony@chromium.org>

        Unreviewed, build fix for Chromium Mac take 2.

        * src/AutoFillPopupMenuClient.cpp:
        (WebKit::AutoFillPopupMenuClient::removeSuggestionAtIndex):

2010-02-10  Tony Chang  <tony@chromium.org>

        Unreviewed, build fix for Chromium Mac.

        * src/AutoFillPopupMenuClient.cpp:
        (WebKit::AutoFillPopupMenuClient::removeSuggestionAtIndex):

2010-02-09  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Refactor AutocompletePopupMenuClient into a base class,
        SuggestionsPopupMenuClient, and two derived classes,
        AutocompletePopupMenuClient and AutoFillPopupMenuClient.  Currently
        the behavior of suggestions popups has not changed.

        https://bugs.webkit.org/show_bug.cgi?id=34721

        * WebKit.gyp:
        * public/WebView.h:
        * src/AutoFillPopupMenuClient.cpp: Added.
        * src/AutoFillPopupMenuClient.h: Added.
        * src/AutocompletePopupMenuClient.cpp:
        (WebKit::AutocompletePopupMenuClient::getSuggestionsCount):
        (WebKit::AutocompletePopupMenuClient::getSuggestion):
        (WebKit::AutocompletePopupMenuClient::removeSuggestionAtIndex):
        (WebKit::AutocompletePopupMenuClient::initialize):
        (WebKit::AutocompletePopupMenuClient::setSuggestions):
        * src/AutocompletePopupMenuClient.h:
        * src/SuggestionsPopupMenuClient.cpp: Added.
        * src/SuggestionsPopupMenuClient.h: Added.
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):
        (WebKit::WebViewImpl::keyEvent):
        (WebKit::WebViewImpl::autocompleteHandleKeyEvent):
        (WebKit::WebViewImpl::applyAutofillSuggestions):
        (WebKit::WebViewImpl::applyAutoFillSuggestions):
        (WebKit::WebViewImpl::applyAutocompleteSuggestions):
        * src/WebViewImpl.h:

2010-02-09  Chris Guillory  <ctguil@google.com>

        Reviewed by Darin Fisher.

        [Chromium] Add function for accessibility object state change notifications.
        
        https://bugs.webkit.org/show_bug.cgi?id=34464

        * gyp_webkit:
        * public/WebViewClient.h:
        (WebKit::WebViewClient::didChangeAccessibilityObjectState):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::didChangeAccessibilityObjectState):
        * src/ChromeClientImpl.h:

2010-02-09  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        Continuing debugger and profiler unforking: narrow scope of JSC-specific ifdefs.
        Also, enable JAVASCRIPT_DEBUGGER explicitly in features, it appears to be required
        for really enabling it in V8 bindings generation.

        https://bugs.webkit.org/show_bug.cgi?id=34706

        * features.gypi:

2010-02-09  Jian Li  <jianli@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Add the chromium interface to support Blob.slice.
        https://bugs.webkit.org/show_bug.cgi?id=34652

        * WebKit.gyp:
        * public/WebFileInfo.h: Added.
        * public/WebHTTPBody.h:
        * src/WebHTTPBody.cpp:
        (WebKit::WebHTTPBody::elementAt):
        (WebKit::WebHTTPBody::appendFile):

2010-02-09  Yury Semikhatsky  <yurys@chromium.org>

        Unreviewed. Follow-up fix.

        Add missing devTools.css file.

        https://bugs.webkit.org/show_bug.cgi?id=34756

        * src/js/devTools.css: Added.

2010-02-09  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Upstream DevTools Images and .css files.

        https://bugs.webkit.org/show_bug.cgi?id=34756

        * WebKit.gypi:
        * src/js/DevTools.css: Added.
        * src/js/Images/segmentChromium.png: Added.
        * src/js/Images/segmentHoverChromium.png: Added.
        * src/js/Images/segmentHoverEndChromium.png: Added.
        * src/js/Images/segmentSelectedChromium.png: Added.
        * src/js/Images/segmentSelectedEndChromium.png: Added.
        * src/js/Images/statusbarBackgroundChromium.png: Added.
        * src/js/Images/statusbarBottomBackgroundChromium.png: Added.
        * src/js/Images/statusbarButtonsChromium.png: Added.
        * src/js/Images/statusbarMenuButtonChromium.png: Added.
        * src/js/Images/statusbarMenuButtonSelectedChromium.png: Added.

2010-02-09  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Upstream JavaScript part of DevTools WebKit API implementation(now
        with the added files).

        https://bugs.webkit.org/show_bug.cgi?id=34744

        * WebKit.gypi: Added.
        * src/js/DebuggerAgent.js: Added.
        (devtools.DebuggerAgent):
        (devtools.DebuggerAgent.prototype.reset):
        (devtools.DebuggerAgent.prototype.initUI):
        (devtools.DebuggerAgent.prototype.resolveScriptSource.this.requestSeqToCallback_.cmd.getSequenceNumber):
        (devtools.DebuggerAgent.prototype.resolveScriptSource):
        (devtools.DebuggerAgent.prototype.pauseExecution):
        (devtools.DebuggerAgent.prototype.addBreakpoint):
        (devtools.DebuggerAgent.prototype.removeBreakpoint):
        (devtools.DebuggerAgent.prototype.updateBreakpoint):
        (devtools.DebuggerAgent.prototype.stepIntoStatement):
        (devtools.DebuggerAgent.prototype.stepOutOfFunction):
        (devtools.DebuggerAgent.prototype.stepOverStatement):
        (devtools.DebuggerAgent.prototype.resumeExecution):
        (devtools.DebuggerAgent.prototype.createExceptionMessage_):
        (devtools.DebuggerAgent.prototype.showPendingExceptionMessage_):
        (devtools.DebuggerAgent.prototype.clearExceptionMessage_):
        (devtools.DebuggerAgent.prototype.pauseOnExceptions):
        (devtools.DebuggerAgent.prototype.setPauseOnExceptions):
        (devtools.DebuggerAgent.prototype.requestEvaluate):
        (devtools.DebuggerAgent.prototype.resolveChildren):
        (devtools.DebuggerAgent.prototype.resolveScope.this.requestSeqToCallback_.cmd.getSequenceNumber):
        (devtools.DebuggerAgent.prototype.resolveScope):
        (devtools.DebuggerAgent.prototype.resolveFrameVariables_.scopeResponseHandler):
        (devtools.DebuggerAgent.prototype.resolveFrameVariables_):
        (devtools.DebuggerAgent.prototype.resolveCompletionsOnFrame):
        (devtools.DebuggerAgent.prototype.getScriptContextType):
        (devtools.DebuggerAgent.prototype.requestClearBreakpoint_):
        (devtools.DebuggerAgent.prototype.requestChangeBreakpoint_):
        (devtools.DebuggerAgent.prototype.requestBacktrace_):
        (devtools.DebuggerAgent.sendCommand_):
        (devtools.DebuggerAgent.prototype.stepCommand_):
        (devtools.DebuggerAgent.prototype.requestLookup_):
        (devtools.DebuggerAgent.prototype.setContextId_.this.requestSeqToCallback_.cmd.getSequenceNumber):
        (devtools.DebuggerAgent.prototype.setContextId_):
        (devtools.DebuggerAgent.prototype.handleDebuggerOutput_):
        (devtools.DebuggerAgent.prototype.handleBreakEvent_):
        (devtools.DebuggerAgent.prototype.handleExceptionEvent_):
        (devtools.DebuggerAgent.prototype.handleScriptsResponse_):
        (devtools.DebuggerAgent.prototype.isScriptFromInspectedContext_):
        (devtools.DebuggerAgent.prototype.handleSetBreakpointResponse_):
        (devtools.DebuggerAgent.prototype.handleAfterCompileEvent_):
        (devtools.DebuggerAgent.prototype.addScriptInfo_):
        (devtools.DebuggerAgent.prototype.handleClearBreakpointResponse_):
        (devtools.DebuggerAgent.prototype.handleBacktraceResponse_):
        (devtools.DebuggerAgent.prototype.doHandleBacktraceResponse_):
        (devtools.DebuggerAgent.prototype.evaluateInCallFrame):
        (devtools.DebuggerAgent.prototype.invokeCallbackForResponse_):
        (devtools.DebuggerAgent.prototype.formatCallFrame_):
        (devtools.DebuggerAgent.formatObjectProperties_):
        (devtools.DebuggerAgent.propertiesToProxies_):
        (devtools.DebuggerAgent.formatObjectProxy_):
        (devtools.DebuggerAgent.webkitToV8LineNumber_):
        (devtools.DebuggerAgent.v8ToWwebkitLineNumber_):
        (devtools.ScriptInfo):
        (devtools.ScriptInfo.prototype.getLineOffset):
        (devtools.ScriptInfo.prototype.getContextType):
        (devtools.ScriptInfo.prototype.getUrl):
        (devtools.ScriptInfo.prototype.isUnresolved):
        (devtools.ScriptInfo.prototype.getBreakpointInfo):
        (devtools.ScriptInfo.prototype.addBreakpointInfo):
        (devtools.ScriptInfo.prototype.removeBreakpointInfo):
        (devtools.BreakpointInfo):
        (devtools.BreakpointInfo.prototype.getLine):
        (devtools.BreakpointInfo.prototype.getV8Id):
        (devtools.BreakpointInfo.prototype.setV8Id):
        (devtools.BreakpointInfo.prototype.markAsRemoved):
        (devtools.BreakpointInfo.prototype.isRemoved):
        (devtools.CallFrame):
        (devtools.CallFrame.prototype.evaluate_):
        (devtools.DebugCommand):
        (devtools.DebugCommand.prototype.getSequenceNumber):
        (devtools.DebugCommand.prototype.toJSONProtocol):
        (devtools.DebuggerMessage):
        (devtools.DebuggerMessage.prototype.getType):
        (devtools.DebuggerMessage.prototype.getEvent):
        (devtools.DebuggerMessage.prototype.getCommand):
        (devtools.DebuggerMessage.prototype.getRequestSeq):
        (devtools.DebuggerMessage.prototype.isRunning):
        (devtools.DebuggerMessage.prototype.isSuccess):
        (devtools.DebuggerMessage.prototype.getMessage):
        (devtools.DebuggerMessage.prototype.getBody):
        (devtools.DebuggerMessage.prototype.lookup):
        * src/js/DevTools.js: Added.
        (devtools.dispatch):
        (devtools.ToolsAgent):
        (devtools.ToolsAgent.prototype.reset):
        (devtools.ToolsAgent.prototype.evaluateJavaScript):
        (devtools.ToolsAgent.prototype.getDebuggerAgent):
        (devtools.ToolsAgent.prototype.getProfilerAgent):
        (devtools.ToolsAgent.prototype.frameNavigate_):
        (devtools.ToolsAgent.prototype.dispatchOnClient_):
        (devtools.ToolsAgent.prototype.evaluate):
        (WebInspector.setResourcesPanelEnabled):
        (debugPrint):
        (devtools):
        (WebInspector.loaded):
        ():
        (WebInspector.ScriptView.prototype.setupSourceFrameIfNeeded):
        (WebInspector.ScriptView.prototype.didResolveScriptSource_):
        (WebInspector.UnresolvedPropertyValue):
        (WebInspector.UIString):
        (WebInspector.resourceTrackingWasEnabled):
        (WebInspector.resourceTrackingWasDisabled):
        (WebInspector.TestController.prototype.runAfterPendingDispatches):
        (WebInspector.queuesAreEmpty):
        (WebInspector.pausedScript):
        * src/js/DevToolsHostStub.js: Added.
        (.RemoteDebuggerAgentStub):
        (.RemoteDebuggerAgentStub.prototype.getContextId):
        (.RemoteProfilerAgentStub):
        (.RemoteProfilerAgentStub.prototype.getActiveProfilerModules):
        (.RemoteProfilerAgentStub.prototype.getLogLines):
        (.RemoteToolsAgentStub):
        (.RemoteToolsAgentStub.prototype.dispatchOnInjectedScript):
        (.RemoteToolsAgentStub.prototype.dispatchOnInspectorController):
        (.RemoteToolsAgentStub.prototype.executeVoidJavaScript):
        (.ProfilerStubHelper):
        (.ProfilerStubHelper.GetInstance):
        (.ProfilerStubHelper.prototype.StopProfiling):
        (.ProfilerStubHelper.prototype.StartProfiling):
        (.ProfilerStubHelper.prototype.getActiveProfilerModules):
        (.ProfilerStubHelper.prototype.getLogLines):
        (.RemoteDebuggerCommandExecutorStub):
        (.RemoteDebuggerCommandExecutorStub.prototype.DebuggerCommand):
        (.RemoteDebuggerCommandExecutorStub.prototype.DebuggerPauseScript):
        (.RemoteDebuggerCommandExecutorStub.prototype.sendResponse_):
        (.DevToolsHostStub):
        (.DevToolsHostStub.prototype.reset):
        (.DevToolsHostStub.prototype.setting):
        (.DevToolsHostStub.prototype.setSetting):
        * src/js/HeapProfilerPanel.js: Added.
        (WebInspector.ProfilesPanel.prototype.addSnapshot):
        (WebInspector.HeapSnapshotView):
        (WebInspector.HeapSnapshotView.prototype.get statusBarItems):
        (WebInspector.HeapSnapshotView.prototype.get profile):
        (WebInspector.HeapSnapshotView.prototype.set profile):
        (WebInspector.HeapSnapshotView.prototype.show):
        (WebInspector.HeapSnapshotView.prototype.hide):
        (WebInspector.HeapSnapshotView.prototype.resize):
        (WebInspector.HeapSnapshotView.prototype.refresh):
        (WebInspector.HeapSnapshotView.prototype.refreshShowAsPercents):
        (WebInspector.HeapSnapshotView.prototype._deleteSearchMatchedFlags):
        (WebInspector.HeapSnapshotView.prototype.searchCanceled):
        (WebInspector.HeapSnapshotView.prototype.performSearch):
        (WebInspector.HeapSnapshotView.prototype.jumpToFirstSearchResult.WebInspector.CPUProfileView.prototype.jumpToFirstSearchResult.jumpToLastSearchResult.WebInspector.CPUProfileView.prototype.jumpToLastSearchResult.jumpToNextSearchResult.WebInspector.CPUProfileView.prototype.jumpToNextSearchResult.jumpToPreviousSearchResult.WebInspector.CPUProfileView.prototype.jumpToPreviousSearchResult.showingFirstSearchResult.WebInspector.CPUProfileView.prototype.showingFirstSearchResult.showingLastSearchResult.WebInspector.CPUProfileView.prototype.showingLastSearchResult._jumpToSearchResult.WebInspector.CPUProfileView.prototype._jumpToSearchResult.refreshVisibleData):
        (WebInspector.HeapSnapshotView.prototype._changeBase):
        (WebInspector.HeapSnapshotView.prototype._createSnapshotDataGridList):
        (WebInspector.HeapSnapshotView.prototype._mouseDownInDataGrid):
        (WebInspector.HeapSnapshotView.prototype.get _isShowingAsPercent):
        (WebInspector.HeapSnapshotView.prototype._percentClicked):
        (WebInspector.HeapSnapshotView.prototype._resetDataGridList):
        (WebInspector.HeapSnapshotView.prototype._sortData):
        (WebInspector.HeapSnapshotView.prototype._updateBaseOptions):
        (WebInspector.HeapSnapshotView.prototype._updatePercentButton):
        (WebInspector.HeapSnapshotView.prototype._updateSummaryGraph):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.LESS):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.LESS_OR_EQUAL):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.EQUAL):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.GREATER_OR_EQUAL):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.GREATER):
        (WebInspector.HeapSnapshotView.SearchHelper.parseOperationAndNumber):
        (WebInspector.HeapSummaryCalculator):
        (WebInspector.HeapSummaryCalculator.prototype.computeSummaryValues):
        (WebInspector.HeapSummaryCalculator.prototype.formatValue):
        (WebInspector.HeapSummaryCalculator.prototype.get showAsPercent):
        (WebInspector.HeapSummaryCalculator.prototype.set showAsPercent):
        (WebInspector.HeapSummaryCountCalculator):
        (WebInspector.HeapSummaryCountCalculator.prototype._highFromLow):
        (WebInspector.HeapSummaryCountCalculator.prototype._valueToString):
        (WebInspector.HeapSummarySizeCalculator):
        (WebInspector.HeapSummarySizeCalculator.prototype._highFromLow):
        (WebInspector.HeapSnapshotSidebarTreeElement):
        (WebInspector.HeapSnapshotSidebarTreeElement.prototype.get mainTitle):
        (WebInspector.HeapSnapshotSidebarTreeElement.prototype.set mainTitle):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get _hasRetainers):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get _parent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype._populate.if):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype._populate):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.produceDiff):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.sort):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.signForDelta):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.showDeltaAsPercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.getTotalCount):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.getTotalSize):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get countPercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get sizePercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get countDeltaPercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get sizeDeltaPercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get data):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.createCell):
        (WebInspector.HeapSnapshotDataGridNode):
        (WebInspector.HeapSnapshotDataGridList):
        (WebInspector.HeapSnapshotDataGridList.prototype.appendChild):
        (WebInspector.HeapSnapshotDataGridList.prototype.insertChild):
        (WebInspector.HeapSnapshotDataGridList.prototype.removeChildren):
        (WebInspector.HeapSnapshotDataGridList.prototype.populateChildren):
        (WebInspector.HeapSnapshotDataGridList.propertyComparator.comparator):
        (WebInspector.HeapSnapshotDataGridList.propertyComparator):
        (WebInspector.HeapSnapshotDataGridRetainerNode):
        (WebInspector.HeapSnapshotDataGridRetainerNode.prototype.get sizePercent):
        (WebInspector.HeapSnapshotDataGridRetainerNode.prototype.get sizeDeltaPercent):
        (WebInspector.HeapSnapshotDataGridRetainerNode.prototype._calculateRetainers):
        (WebInspector.HeapSnapshotProfileType):
        (WebInspector.HeapSnapshotProfileType.prototype.get buttonTooltip):
        (WebInspector.HeapSnapshotProfileType.prototype.get buttonStyle):
        (WebInspector.HeapSnapshotProfileType.prototype.buttonClicked):
        (WebInspector.HeapSnapshotProfileType.prototype.get welcomeMessage):
        (WebInspector.HeapSnapshotProfileType.prototype.createSidebarTreeElementForProfile):
        (WebInspector.HeapSnapshotProfileType.prototype.createView):
        ():
        * src/js/InjectDispatch.js: Added.
        (InspectorControllerDispatcher.dispatch):
        (ApuAgentDispatcher.dispatchToApu):
        (dispatch):
        (devtools):
        * src/js/InspectorControllerImpl.js: Added.
        (devtools.InspectorBackendImpl):
        (devtools.InspectorBackendImpl.prototype.toggleNodeSearch):
        (devtools.InspectorBackendImpl.prototype.debuggerEnabled):
        (devtools.InspectorBackendImpl.prototype.profilerEnabled):
        (devtools.InspectorBackendImpl.prototype.addBreakpoint):
        (devtools.InspectorBackendImpl.prototype.removeBreakpoint):
        (devtools.InspectorBackendImpl.prototype.updateBreakpoint):
        (devtools.InspectorBackendImpl.prototype.pauseInDebugger):
        (devtools.InspectorBackendImpl.prototype.resumeDebugger):
        (devtools.InspectorBackendImpl.prototype.stepIntoStatementInDebugger):
        (devtools.InspectorBackendImpl.prototype.stepOutOfFunctionInDebugger):
        (devtools.InspectorBackendImpl.prototype.stepOverStatementInDebugger):
        (devtools.InspectorBackendImpl.prototype.setPauseOnExceptionsState):
        (devtools.InspectorBackendImpl.prototype.pauseOnExceptionsState):
        (devtools.InspectorBackendImpl.prototype.pauseOnExceptions):
        (devtools.InspectorBackendImpl.prototype.setPauseOnExceptions):
        (devtools.InspectorBackendImpl.prototype.startProfiling):
        (devtools.InspectorBackendImpl.prototype.stopProfiling):
        (devtools.InspectorBackendImpl.prototype.getProfileHeaders):
        (devtools.InspectorBackendImpl.prototype.addFullProfile):
        (devtools.InspectorBackendImpl.prototype.getProfile):
        (devtools.InspectorBackendImpl.prototype.takeHeapSnapshot):
        (devtools.InspectorBackendImpl.prototype.dispatchOnInjectedScript):
        (devtools.InspectorBackendImpl.prototype.installInspectorControllerDelegate_):
        (devtools.InspectorBackendImpl.prototype.callInspectorController_):
        * src/js/ProfilerAgent.js: Added.
        (devtools.ProfilerAgent):
        (devtools.ProfilerAgent.prototype.setupProfilerProcessorCallbacks):
        (devtools.ProfilerAgent.prototype.initializeProfiling):
        (devtools.ProfilerAgent.prototype.startProfiling):
        (devtools.ProfilerAgent.prototype.stopProfiling):
        (devtools.ProfilerAgent.prototype.didGetActiveProfilerModules_):
        (devtools.ProfilerAgent.prototype.didGetLogLines_):
        * src/js/ProfilerProcessor.js: Added.
        (devtools.profiler.WebKitViewBuilder):
        (devtools.profiler.WebKitViewBuilder.prototype.createViewNode):
        (devtools.profiler.WebKitViewNode):
        (set get devtools.profiler.WebKitViewNode.prototype.initFuncInfo_):
        (devtools.profiler.JsProfile):
        (devtools.profiler.JsProfile.prototype.skipThisFunction):
        (devtools.profiler.Processor):
        (devtools.profiler.Processor.prototype.printError):
        (devtools.profiler.Processor.prototype.skipDispatch):
        (devtools.profiler.Processor.prototype.setCallbacks):
        (devtools.profiler.Processor.prototype.setNewProfileCallback):
        (devtools.profiler.Processor.prototype.processProfiler_.switch.break):
        (devtools.profiler.Processor.prototype.processProfiler_):
        (devtools.profiler.Processor.prototype.processCodeCreation_):
        (devtools.profiler.Processor.prototype.processCodeMove_):
        (devtools.profiler.Processor.prototype.processCodeDelete_):
        (devtools.profiler.Processor.prototype.processFunctionCreation_):
        (devtools.profiler.Processor.prototype.processFunctionMove_):
        (devtools.profiler.Processor.prototype.processFunctionDelete_):
        (devtools.profiler.Processor.prototype.processTick_):
        (devtools.profiler.Processor.prototype.processTickV2_):
        (devtools.profiler.Processor.prototype.processHeapSampleBegin_):
        (devtools.profiler.Processor.prototype.processHeapSampleStats_):
        (devtools.profiler.Processor.prototype.processHeapSampleItem_):
        (devtools.profiler.Processor.prototype.processHeapJsConsItem_):
        (devtools.profiler.Processor.prototype.processHeapJsRetItem_.mergeRetainers):
        (devtools.profiler.Processor.prototype.processHeapJsRetItem_):
        (devtools.profiler.Processor.prototype.processHeapSampleEnd_):
        (devtools.profiler.Processor.prototype.createProfileForView):
        * src/js/Tests.js: Added.
        (.TestSuite):
        (.TestSuite.prototype.fail):
        (.TestSuite.prototype.assertEquals):
        (.TestSuite.prototype.assertTrue):
        (.TestSuite.prototype.assertContains):
        (.TestSuite.prototype.takeControl):
        (.TestSuite.prototype.releaseControl):
        (.TestSuite.prototype.reportOk_):
        (.TestSuite.prototype.reportFailure_):
        (.TestSuite.prototype.runTest):
        (.TestSuite.prototype.showPanel):
        (.TestSuite.prototype.addSniffer.receiver.methodName):
        (.TestSuite.prototype.addSniffer):
        (.TestSuite.prototype.testHostIsPresent):
        (.TestSuite.prototype.testElementsTreeRoot):
        (.TestSuite.prototype.testMainResource):
        (.TestSuite.prototype.testResourceContentLength.this.addSniffer.):
        (.TestSuite.prototype.testResourceHeaders):
        (.TestSuite.prototype.testCachedResourceMimeType.this.addSniffer.):
        (.TestSuite.prototype.testCachedResourceMimeType):
        (.TestSuite.prototype.testProfilerTab):
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh.waitUntilScriptIsParsed):
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh.checkScriptsPanel):
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.switchToElementsTab):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.switchToScriptsTab):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.checkScriptsPanel):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.checkNoDuplicates):
        (.TestSuite.prototype.testPauseOnException):
        (.TestSuite.prototype.testPauseWhenLoadingDevTools):
        (.TestSuite.prototype.testPauseWhenScriptIsRunning.testScriptPauseAfterDelay):
        (.TestSuite.prototype.testPauseWhenScriptIsRunning.testScriptPause):
        (.TestSuite.prototype.testPauseWhenScriptIsRunning):
        (.TestSuite.prototype.optionsToString_):
        (.TestSuite.prototype.evaluateInConsole_):
        (.TestSuite.prototype.waitForSetBreakpointResponse_):
        (.TestSuite.prototype.testEvalOnCallFrame.setBreakpointCallback):
        (.TestSuite.prototype.testEvalOnCallFrame.waitForBreakpointHit):
        (.TestSuite.prototype.testCompletionOnPause):
        (.TestSuite.prototype.testCompletionOnPause.testLocalsCompletion):
        (.TestSuite.prototype.testCompletionOnPause.testThisCompletion):
        (.TestSuite.prototype.testCompletionOnPause.testFieldCompletion):
        (.TestSuite.prototype.testCompletionOnPause.checkCompletions):
        (.TestSuite.prototype.testAutoContinueOnSyntaxError.checkScriptsList):
        (.TestSuite.prototype.testAutoContinueOnSyntaxError.waitForExceptionEvent.test):
        (.TestSuite.prototype.testAutoContinueOnSyntaxError.waitForExceptionEvent):
        (.TestSuite.prototype._checkExecutionLine):
        (.TestSuite.prototype._scriptsAreParsed):
        (.TestSuite.prototype._waitForScriptPause):
        (.TestSuite.prototype._checkSourceFrameWhenLoaded.checkExecLine):
        (.TestSuite.prototype._checkSourceFrameWhenLoaded):
        (.TestSuite.prototype._performSteps.doNextAction):
        (.TestSuite.prototype._performSteps):
        (.TestSuite.prototype._executeCodeWhenScriptsAreParsed.executeFunctionInInspectedPage):
        (.TestSuite.prototype._waitUntilScriptsAreParsed.waitForAllScripts):
        (.TestSuite.prototype._waitUntilScriptsAreParsed):
        (.TestSuite.prototype._executeFunctionForStepTest):
        (.TestSuite.prototype.testStepOver):
        (.TestSuite.prototype.testStepOut):
        (.TestSuite.prototype.testStepIn):
        (.TestSuite.prototype._evaluateXpath):
        (.TestSuite.prototype._findNode):
        (.TestSuite.prototype._findText):
        (.TestSuite.prototype._nodeIterator):
        (.TestSuite.prototype._checkScopeSectionDiv):
        (.TestSuite.prototype._expandScopeSections.updateListener):
        (.TestSuite.prototype._expandScopeSections):
        (.TestSuite.prototype.testExpandScope):
        (.TestSuite.prototype.testExpandScope.examineScopes):
        (.TestSuite.prototype._findChildProperty):
        (.TestSuite.prototype._hookGetPropertiesCallback.accessor.getProperties):
        (.TestSuite.prototype._hookGetPropertiesCallback.try):
        (.TestSuite.prototype._hookGetPropertiesCallback):
        (.TestSuite.prototype.testDebugIntrinsicProperties.expandLocalScope):
        (.TestSuite.prototype.testDebugIntrinsicProperties):
        (.TestSuite.prototype.testDebugIntrinsicProperties.expandAndCheckNextProperty):
        (.TestSuite.prototype.testDebugIntrinsicProperties.checkProperty):
        (.TestSuite.createKeyEvent):
        (.TestSuite.prototype.testConsoleLog.assertNext):
        (.TestSuite.prototype.testConsoleLog):
        (.TestSuite.prototype.testEvalGlobal.initEval):
        (.TestSuite.prototype.testEvalGlobal):
        (.TestSuite.prototype.testShowStoragePanel.this.addSniffer.):
        (.TestSuite.prototype.testShowStoragePanel.this.addSniffer):
        (.uiTests.runAllTests):
        (.uiTests.runTest):

2010-02-09  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Upstream JavaScript part of DevTools WebKit API implementation

        https://bugs.webkit.org/show_bug.cgi?id=34744

        * WebKit.gypi: Added.
        * src/js/DebuggerAgent.js: Added.
        (devtools.DebuggerAgent):
        (devtools.DebuggerAgent.prototype.reset):
        (devtools.DebuggerAgent.prototype.initUI):
        (devtools.DebuggerAgent.prototype.resolveScriptSource.this.requestSeqToCallback_.cmd.getSequenceNumber):
        (devtools.DebuggerAgent.prototype.resolveScriptSource):
        (devtools.DebuggerAgent.prototype.pauseExecution):
        (devtools.DebuggerAgent.prototype.addBreakpoint):
        (devtools.DebuggerAgent.prototype.removeBreakpoint):
        (devtools.DebuggerAgent.prototype.updateBreakpoint):
        (devtools.DebuggerAgent.prototype.stepIntoStatement):
        (devtools.DebuggerAgent.prototype.stepOutOfFunction):
        (devtools.DebuggerAgent.prototype.stepOverStatement):
        (devtools.DebuggerAgent.prototype.resumeExecution):
        (devtools.DebuggerAgent.prototype.createExceptionMessage_):
        (devtools.DebuggerAgent.prototype.showPendingExceptionMessage_):
        (devtools.DebuggerAgent.prototype.clearExceptionMessage_):
        (devtools.DebuggerAgent.prototype.pauseOnExceptions):
        (devtools.DebuggerAgent.prototype.setPauseOnExceptions):
        (devtools.DebuggerAgent.prototype.requestEvaluate):
        (devtools.DebuggerAgent.prototype.resolveChildren):
        (devtools.DebuggerAgent.prototype.resolveScope.this.requestSeqToCallback_.cmd.getSequenceNumber):
        (devtools.DebuggerAgent.prototype.resolveScope):
        (devtools.DebuggerAgent.prototype.resolveFrameVariables_.scopeResponseHandler):
        (devtools.DebuggerAgent.prototype.resolveFrameVariables_):
        (devtools.DebuggerAgent.prototype.resolveCompletionsOnFrame):
        (devtools.DebuggerAgent.prototype.getScriptContextType):
        (devtools.DebuggerAgent.prototype.requestClearBreakpoint_):
        (devtools.DebuggerAgent.prototype.requestChangeBreakpoint_):
        (devtools.DebuggerAgent.prototype.requestBacktrace_):
        (devtools.DebuggerAgent.sendCommand_):
        (devtools.DebuggerAgent.prototype.stepCommand_):
        (devtools.DebuggerAgent.prototype.requestLookup_):
        (devtools.DebuggerAgent.prototype.setContextId_.this.requestSeqToCallback_.cmd.getSequenceNumber):
        (devtools.DebuggerAgent.prototype.setContextId_):
        (devtools.DebuggerAgent.prototype.handleDebuggerOutput_):
        (devtools.DebuggerAgent.prototype.handleBreakEvent_):
        (devtools.DebuggerAgent.prototype.handleExceptionEvent_):
        (devtools.DebuggerAgent.prototype.handleScriptsResponse_):
        (devtools.DebuggerAgent.prototype.isScriptFromInspectedContext_):
        (devtools.DebuggerAgent.prototype.handleSetBreakpointResponse_):
        (devtools.DebuggerAgent.prototype.handleAfterCompileEvent_):
        (devtools.DebuggerAgent.prototype.addScriptInfo_):
        (devtools.DebuggerAgent.prototype.handleClearBreakpointResponse_):
        (devtools.DebuggerAgent.prototype.handleBacktraceResponse_):
        (devtools.DebuggerAgent.prototype.doHandleBacktraceResponse_):
        (devtools.DebuggerAgent.prototype.evaluateInCallFrame):
        (devtools.DebuggerAgent.prototype.invokeCallbackForResponse_):
        (devtools.DebuggerAgent.prototype.formatCallFrame_):
        (devtools.DebuggerAgent.formatObjectProperties_):
        (devtools.DebuggerAgent.propertiesToProxies_):
        (devtools.DebuggerAgent.formatObjectProxy_):
        (devtools.DebuggerAgent.webkitToV8LineNumber_):
        (devtools.DebuggerAgent.v8ToWwebkitLineNumber_):
        (devtools.ScriptInfo):
        (devtools.ScriptInfo.prototype.getLineOffset):
        (devtools.ScriptInfo.prototype.getContextType):
        (devtools.ScriptInfo.prototype.getUrl):
        (devtools.ScriptInfo.prototype.isUnresolved):
        (devtools.ScriptInfo.prototype.getBreakpointInfo):
        (devtools.ScriptInfo.prototype.addBreakpointInfo):
        (devtools.ScriptInfo.prototype.removeBreakpointInfo):
        (devtools.BreakpointInfo):
        (devtools.BreakpointInfo.prototype.getLine):
        (devtools.BreakpointInfo.prototype.getV8Id):
        (devtools.BreakpointInfo.prototype.setV8Id):
        (devtools.BreakpointInfo.prototype.markAsRemoved):
        (devtools.BreakpointInfo.prototype.isRemoved):
        (devtools.CallFrame):
        (devtools.CallFrame.prototype.evaluate_):
        (devtools.DebugCommand):
        (devtools.DebugCommand.prototype.getSequenceNumber):
        (devtools.DebugCommand.prototype.toJSONProtocol):
        (devtools.DebuggerMessage):
        (devtools.DebuggerMessage.prototype.getType):
        (devtools.DebuggerMessage.prototype.getEvent):
        (devtools.DebuggerMessage.prototype.getCommand):
        (devtools.DebuggerMessage.prototype.getRequestSeq):
        (devtools.DebuggerMessage.prototype.isRunning):
        (devtools.DebuggerMessage.prototype.isSuccess):
        (devtools.DebuggerMessage.prototype.getMessage):
        (devtools.DebuggerMessage.prototype.getBody):
        (devtools.DebuggerMessage.prototype.lookup):
        * src/js/DevTools.js: Added.
        (devtools.dispatch):
        (devtools.ToolsAgent):
        (devtools.ToolsAgent.prototype.reset):
        (devtools.ToolsAgent.prototype.evaluateJavaScript):
        (devtools.ToolsAgent.prototype.getDebuggerAgent):
        (devtools.ToolsAgent.prototype.getProfilerAgent):
        (devtools.ToolsAgent.prototype.frameNavigate_):
        (devtools.ToolsAgent.prototype.dispatchOnClient_):
        (devtools.ToolsAgent.prototype.evaluate):
        (WebInspector.setResourcesPanelEnabled):
        (debugPrint):
        (devtools):
        (WebInspector.loaded):
        ():
        (WebInspector.ScriptView.prototype.setupSourceFrameIfNeeded):
        (WebInspector.ScriptView.prototype.didResolveScriptSource_):
        (WebInspector.UnresolvedPropertyValue):
        (WebInspector.UIString):
        (WebInspector.resourceTrackingWasEnabled):
        (WebInspector.resourceTrackingWasDisabled):
        (WebInspector.TestController.prototype.runAfterPendingDispatches):
        (WebInspector.queuesAreEmpty):
        (WebInspector.pausedScript):
        * src/js/DevToolsHostStub.js: Added.
        (.RemoteDebuggerAgentStub):
        (.RemoteDebuggerAgentStub.prototype.getContextId):
        (.RemoteProfilerAgentStub):
        (.RemoteProfilerAgentStub.prototype.getActiveProfilerModules):
        (.RemoteProfilerAgentStub.prototype.getLogLines):
        (.RemoteToolsAgentStub):
        (.RemoteToolsAgentStub.prototype.dispatchOnInjectedScript):
        (.RemoteToolsAgentStub.prototype.dispatchOnInspectorController):
        (.RemoteToolsAgentStub.prototype.executeVoidJavaScript):
        (.ProfilerStubHelper):
        (.ProfilerStubHelper.GetInstance):
        (.ProfilerStubHelper.prototype.StopProfiling):
        (.ProfilerStubHelper.prototype.StartProfiling):
        (.ProfilerStubHelper.prototype.getActiveProfilerModules):
        (.ProfilerStubHelper.prototype.getLogLines):
        (.RemoteDebuggerCommandExecutorStub):
        (.RemoteDebuggerCommandExecutorStub.prototype.DebuggerCommand):
        (.RemoteDebuggerCommandExecutorStub.prototype.DebuggerPauseScript):
        (.RemoteDebuggerCommandExecutorStub.prototype.sendResponse_):
        (.DevToolsHostStub):
        (.DevToolsHostStub.prototype.reset):
        (.DevToolsHostStub.prototype.setting):
        (.DevToolsHostStub.prototype.setSetting):
        * src/js/HeapProfilerPanel.js: Added.
        (WebInspector.ProfilesPanel.prototype.addSnapshot):
        (WebInspector.HeapSnapshotView):
        (WebInspector.HeapSnapshotView.prototype.get statusBarItems):
        (WebInspector.HeapSnapshotView.prototype.get profile):
        (WebInspector.HeapSnapshotView.prototype.set profile):
        (WebInspector.HeapSnapshotView.prototype.show):
        (WebInspector.HeapSnapshotView.prototype.hide):
        (WebInspector.HeapSnapshotView.prototype.resize):
        (WebInspector.HeapSnapshotView.prototype.refresh):
        (WebInspector.HeapSnapshotView.prototype.refreshShowAsPercents):
        (WebInspector.HeapSnapshotView.prototype._deleteSearchMatchedFlags):
        (WebInspector.HeapSnapshotView.prototype.searchCanceled):
        (WebInspector.HeapSnapshotView.prototype.performSearch):
        (WebInspector.HeapSnapshotView.prototype.jumpToFirstSearchResult.WebInspector.CPUProfileView.prototype.jumpToFirstSearchResult.jumpToLastSearchResult.WebInspector.CPUProfileView.prototype.jumpToLastSearchResult.jumpToNextSearchResult.WebInspector.CPUProfileView.prototype.jumpToNextSearchResult.jumpToPreviousSearchResult.WebInspector.CPUProfileView.prototype.jumpToPreviousSearchResult.showingFirstSearchResult.WebInspector.CPUProfileView.prototype.showingFirstSearchResult.showingLastSearchResult.WebInspector.CPUProfileView.prototype.showingLastSearchResult._jumpToSearchResult.WebInspector.CPUProfileView.prototype._jumpToSearchResult.refreshVisibleData):
        (WebInspector.HeapSnapshotView.prototype._changeBase):
        (WebInspector.HeapSnapshotView.prototype._createSnapshotDataGridList):
        (WebInspector.HeapSnapshotView.prototype._mouseDownInDataGrid):
        (WebInspector.HeapSnapshotView.prototype.get _isShowingAsPercent):
        (WebInspector.HeapSnapshotView.prototype._percentClicked):
        (WebInspector.HeapSnapshotView.prototype._resetDataGridList):
        (WebInspector.HeapSnapshotView.prototype._sortData):
        (WebInspector.HeapSnapshotView.prototype._updateBaseOptions):
        (WebInspector.HeapSnapshotView.prototype._updatePercentButton):
        (WebInspector.HeapSnapshotView.prototype._updateSummaryGraph):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.LESS):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.LESS_OR_EQUAL):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.EQUAL):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.GREATER_OR_EQUAL):
        (WebInspector.HeapSnapshotView.SearchHelper.operations.GREATER):
        (WebInspector.HeapSnapshotView.SearchHelper.parseOperationAndNumber):
        (WebInspector.HeapSummaryCalculator):
        (WebInspector.HeapSummaryCalculator.prototype.computeSummaryValues):
        (WebInspector.HeapSummaryCalculator.prototype.formatValue):
        (WebInspector.HeapSummaryCalculator.prototype.get showAsPercent):
        (WebInspector.HeapSummaryCalculator.prototype.set showAsPercent):
        (WebInspector.HeapSummaryCountCalculator):
        (WebInspector.HeapSummaryCountCalculator.prototype._highFromLow):
        (WebInspector.HeapSummaryCountCalculator.prototype._valueToString):
        (WebInspector.HeapSummarySizeCalculator):
        (WebInspector.HeapSummarySizeCalculator.prototype._highFromLow):
        (WebInspector.HeapSnapshotSidebarTreeElement):
        (WebInspector.HeapSnapshotSidebarTreeElement.prototype.get mainTitle):
        (WebInspector.HeapSnapshotSidebarTreeElement.prototype.set mainTitle):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get _hasRetainers):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get _parent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype._populate.if):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype._populate):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.produceDiff):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.sort):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.signForDelta):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.showDeltaAsPercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.getTotalCount):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.getTotalSize):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get countPercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get sizePercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get countDeltaPercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get sizeDeltaPercent):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.get data):
        (WebInspector.HeapSnapshotDataGridNodeWithRetainers.prototype.createCell):
        (WebInspector.HeapSnapshotDataGridNode):
        (WebInspector.HeapSnapshotDataGridList):
        (WebInspector.HeapSnapshotDataGridList.prototype.appendChild):
        (WebInspector.HeapSnapshotDataGridList.prototype.insertChild):
        (WebInspector.HeapSnapshotDataGridList.prototype.removeChildren):
        (WebInspector.HeapSnapshotDataGridList.prototype.populateChildren):
        (WebInspector.HeapSnapshotDataGridList.propertyComparator.comparator):
        (WebInspector.HeapSnapshotDataGridList.propertyComparator):
        (WebInspector.HeapSnapshotDataGridRetainerNode):
        (WebInspector.HeapSnapshotDataGridRetainerNode.prototype.get sizePercent):
        (WebInspector.HeapSnapshotDataGridRetainerNode.prototype.get sizeDeltaPercent):
        (WebInspector.HeapSnapshotDataGridRetainerNode.prototype._calculateRetainers):
        (WebInspector.HeapSnapshotProfileType):
        (WebInspector.HeapSnapshotProfileType.prototype.get buttonTooltip):
        (WebInspector.HeapSnapshotProfileType.prototype.get buttonStyle):
        (WebInspector.HeapSnapshotProfileType.prototype.buttonClicked):
        (WebInspector.HeapSnapshotProfileType.prototype.get welcomeMessage):
        (WebInspector.HeapSnapshotProfileType.prototype.createSidebarTreeElementForProfile):
        (WebInspector.HeapSnapshotProfileType.prototype.createView):
        ():
        * src/js/InjectDispatch.js: Added.
        (InspectorControllerDispatcher.dispatch):
        (ApuAgentDispatcher.dispatchToApu):
        (dispatch):
        (devtools):
        * src/js/InspectorControllerImpl.js: Added.
        (devtools.InspectorBackendImpl):
        (devtools.InspectorBackendImpl.prototype.toggleNodeSearch):
        (devtools.InspectorBackendImpl.prototype.debuggerEnabled):
        (devtools.InspectorBackendImpl.prototype.profilerEnabled):
        (devtools.InspectorBackendImpl.prototype.addBreakpoint):
        (devtools.InspectorBackendImpl.prototype.removeBreakpoint):
        (devtools.InspectorBackendImpl.prototype.updateBreakpoint):
        (devtools.InspectorBackendImpl.prototype.pauseInDebugger):
        (devtools.InspectorBackendImpl.prototype.resumeDebugger):
        (devtools.InspectorBackendImpl.prototype.stepIntoStatementInDebugger):
        (devtools.InspectorBackendImpl.prototype.stepOutOfFunctionInDebugger):
        (devtools.InspectorBackendImpl.prototype.stepOverStatementInDebugger):
        (devtools.InspectorBackendImpl.prototype.setPauseOnExceptionsState):
        (devtools.InspectorBackendImpl.prototype.pauseOnExceptionsState):
        (devtools.InspectorBackendImpl.prototype.pauseOnExceptions):
        (devtools.InspectorBackendImpl.prototype.setPauseOnExceptions):
        (devtools.InspectorBackendImpl.prototype.startProfiling):
        (devtools.InspectorBackendImpl.prototype.stopProfiling):
        (devtools.InspectorBackendImpl.prototype.getProfileHeaders):
        (devtools.InspectorBackendImpl.prototype.addFullProfile):
        (devtools.InspectorBackendImpl.prototype.getProfile):
        (devtools.InspectorBackendImpl.prototype.takeHeapSnapshot):
        (devtools.InspectorBackendImpl.prototype.dispatchOnInjectedScript):
        (devtools.InspectorBackendImpl.prototype.installInspectorControllerDelegate_):
        (devtools.InspectorBackendImpl.prototype.callInspectorController_):
        * src/js/ProfilerAgent.js: Added.
        (devtools.ProfilerAgent):
        (devtools.ProfilerAgent.prototype.setupProfilerProcessorCallbacks):
        (devtools.ProfilerAgent.prototype.initializeProfiling):
        (devtools.ProfilerAgent.prototype.startProfiling):
        (devtools.ProfilerAgent.prototype.stopProfiling):
        (devtools.ProfilerAgent.prototype.didGetActiveProfilerModules_):
        (devtools.ProfilerAgent.prototype.didGetLogLines_):
        * src/js/ProfilerProcessor.js: Added.
        (devtools.profiler.WebKitViewBuilder):
        (devtools.profiler.WebKitViewBuilder.prototype.createViewNode):
        (devtools.profiler.WebKitViewNode):
        (set get devtools.profiler.WebKitViewNode.prototype.initFuncInfo_):
        (devtools.profiler.JsProfile):
        (devtools.profiler.JsProfile.prototype.skipThisFunction):
        (devtools.profiler.Processor):
        (devtools.profiler.Processor.prototype.printError):
        (devtools.profiler.Processor.prototype.skipDispatch):
        (devtools.profiler.Processor.prototype.setCallbacks):
        (devtools.profiler.Processor.prototype.setNewProfileCallback):
        (devtools.profiler.Processor.prototype.processProfiler_.switch.break):
        (devtools.profiler.Processor.prototype.processProfiler_):
        (devtools.profiler.Processor.prototype.processCodeCreation_):
        (devtools.profiler.Processor.prototype.processCodeMove_):
        (devtools.profiler.Processor.prototype.processCodeDelete_):
        (devtools.profiler.Processor.prototype.processFunctionCreation_):
        (devtools.profiler.Processor.prototype.processFunctionMove_):
        (devtools.profiler.Processor.prototype.processFunctionDelete_):
        (devtools.profiler.Processor.prototype.processTick_):
        (devtools.profiler.Processor.prototype.processTickV2_):
        (devtools.profiler.Processor.prototype.processHeapSampleBegin_):
        (devtools.profiler.Processor.prototype.processHeapSampleStats_):
        (devtools.profiler.Processor.prototype.processHeapSampleItem_):
        (devtools.profiler.Processor.prototype.processHeapJsConsItem_):
        (devtools.profiler.Processor.prototype.processHeapJsRetItem_.mergeRetainers):
        (devtools.profiler.Processor.prototype.processHeapJsRetItem_):
        (devtools.profiler.Processor.prototype.processHeapSampleEnd_):
        (devtools.profiler.Processor.prototype.createProfileForView):
        * src/js/Tests.js: Added.
        (.TestSuite):
        (.TestSuite.prototype.fail):
        (.TestSuite.prototype.assertEquals):
        (.TestSuite.prototype.assertTrue):
        (.TestSuite.prototype.assertContains):
        (.TestSuite.prototype.takeControl):
        (.TestSuite.prototype.releaseControl):
        (.TestSuite.prototype.reportOk_):
        (.TestSuite.prototype.reportFailure_):
        (.TestSuite.prototype.runTest):
        (.TestSuite.prototype.showPanel):
        (.TestSuite.prototype.addSniffer.receiver.methodName):
        (.TestSuite.prototype.addSniffer):
        (.TestSuite.prototype.testHostIsPresent):
        (.TestSuite.prototype.testElementsTreeRoot):
        (.TestSuite.prototype.testMainResource):
        (.TestSuite.prototype.testResourceContentLength.this.addSniffer.):
        (.TestSuite.prototype.testResourceHeaders):
        (.TestSuite.prototype.testCachedResourceMimeType.this.addSniffer.):
        (.TestSuite.prototype.testCachedResourceMimeType):
        (.TestSuite.prototype.testProfilerTab):
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh.waitUntilScriptIsParsed):
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh.checkScriptsPanel):
        (.TestSuite.prototype.testScriptsTabIsPopulatedOnInspectedPageRefresh):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.switchToElementsTab):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.switchToScriptsTab):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.checkScriptsPanel):
        (.TestSuite.prototype.testNoScriptDuplicatesOnPanelSwitch.checkNoDuplicates):
        (.TestSuite.prototype.testPauseOnException):
        (.TestSuite.prototype.testPauseWhenLoadingDevTools):
        (.TestSuite.prototype.testPauseWhenScriptIsRunning.testScriptPauseAfterDelay):
        (.TestSuite.prototype.testPauseWhenScriptIsRunning.testScriptPause):
        (.TestSuite.prototype.testPauseWhenScriptIsRunning):
        (.TestSuite.prototype.optionsToString_):
        (.TestSuite.prototype.evaluateInConsole_):
        (.TestSuite.prototype.waitForSetBreakpointResponse_):
        (.TestSuite.prototype.testEvalOnCallFrame.setBreakpointCallback):
        (.TestSuite.prototype.testEvalOnCallFrame.waitForBreakpointHit):
        (.TestSuite.prototype.testCompletionOnPause):
        (.TestSuite.prototype.testCompletionOnPause.testLocalsCompletion):
        (.TestSuite.prototype.testCompletionOnPause.testThisCompletion):
        (.TestSuite.prototype.testCompletionOnPause.testFieldCompletion):
        (.TestSuite.prototype.testCompletionOnPause.checkCompletions):
        (.TestSuite.prototype.testAutoContinueOnSyntaxError.checkScriptsList):
        (.TestSuite.prototype.testAutoContinueOnSyntaxError.waitForExceptionEvent.test):
        (.TestSuite.prototype.testAutoContinueOnSyntaxError.waitForExceptionEvent):
        (.TestSuite.prototype._checkExecutionLine):
        (.TestSuite.prototype._scriptsAreParsed):
        (.TestSuite.prototype._waitForScriptPause):
        (.TestSuite.prototype._checkSourceFrameWhenLoaded.checkExecLine):
        (.TestSuite.prototype._checkSourceFrameWhenLoaded):
        (.TestSuite.prototype._performSteps.doNextAction):
        (.TestSuite.prototype._performSteps):
        (.TestSuite.prototype._executeCodeWhenScriptsAreParsed.executeFunctionInInspectedPage):
        (.TestSuite.prototype._waitUntilScriptsAreParsed.waitForAllScripts):
        (.TestSuite.prototype._waitUntilScriptsAreParsed):
        (.TestSuite.prototype._executeFunctionForStepTest):
        (.TestSuite.prototype.testStepOver):
        (.TestSuite.prototype.testStepOut):
        (.TestSuite.prototype.testStepIn):
        (.TestSuite.prototype._evaluateXpath):
        (.TestSuite.prototype._findNode):
        (.TestSuite.prototype._findText):
        (.TestSuite.prototype._nodeIterator):
        (.TestSuite.prototype._checkScopeSectionDiv):
        (.TestSuite.prototype._expandScopeSections.updateListener):
        (.TestSuite.prototype._expandScopeSections):
        (.TestSuite.prototype.testExpandScope):
        (.TestSuite.prototype.testExpandScope.examineScopes):
        (.TestSuite.prototype._findChildProperty):
        (.TestSuite.prototype._hookGetPropertiesCallback.accessor.getProperties):
        (.TestSuite.prototype._hookGetPropertiesCallback.try):
        (.TestSuite.prototype._hookGetPropertiesCallback):
        (.TestSuite.prototype.testDebugIntrinsicProperties.expandLocalScope):
        (.TestSuite.prototype.testDebugIntrinsicProperties):
        (.TestSuite.prototype.testDebugIntrinsicProperties.expandAndCheckNextProperty):
        (.TestSuite.prototype.testDebugIntrinsicProperties.checkProperty):
        (.TestSuite.createKeyEvent):
        (.TestSuite.prototype.testConsoleLog.assertNext):
        (.TestSuite.prototype.testConsoleLog):
        (.TestSuite.prototype.testEvalGlobal.initEval):
        (.TestSuite.prototype.testEvalGlobal):
        (.TestSuite.prototype.testShowStoragePanel.this.addSniffer.):
        (.TestSuite.prototype.testShowStoragePanel.this.addSniffer):
        (.uiTests.runAllTests):
        (.uiTests.runTest):

2010-02-09  Avi Drissman  <avi@chromium.org>

        Reviewed by David Levin.

        Chromium Mac: Control-A shouldn't select all/Control-C shouldn't copy
        https://bugs.webkit.org/show_bug.cgi?id=34615

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::keyEventDefault):

2010-02-08  Evan Martin  <evan@chromium.org>

        dlopen() knows how to search the library search path, so just rely on
        it.  While I'm at it, print out the dlerror() error message on failure.

        [chromium] webgl shouldn't hard code library search path
        https://bugs.webkit.org/show_bug.cgi?id=34659

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GLConnection::GLConnection):
        (WebCore::GraphicsContext3DInternal::GLConnection::create):

2010-02-08  Charlie Reis  <creis@chromium.org>

        Reviewed by Darin Adler.

        onbeforeunload not called at window close + frame or iframe focused
        https://bugs.webkit.org/show_bug.cgi?id=27481
        http://code.google.com/p/chromium/issues/detail?id=32615
        http://code.google.com/p/chromium/issues/detail?id=17157

        Chromium and WebKit on Windows will now fire beforeunload handlers
        even if an inner frame is focused.

        Layout tests aren't able to test this bug, since it requires closing
        the actual browser window, not calling window.close().  Instead,
        test with WebCore/manual-tests/onbeforeunload-focused-iframe.html.

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::dispatchBeforeUnloadEvent):

2010-02-08  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by David Levin.

        WebKit/chromium: Custom context menu does not work in inspector.
        https://bugs.webkit.org/show_bug.cgi?id=34711

        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::jsShowContextMenu):

2010-02-08  Nate Chapin  <japhet@chromium.org>

        Reviewed by Darin Fisher.

        Check that the index passed into BackForwardListClientImpl::itemAtIndex()
        is valid, and return null if it isn't.

        https://bugs.webkit.org/show_bug.cgi?id=34722

        * src/BackForwardListClientImpl.cpp:
        (WebKit::BackForwardListClientImpl::itemAtIndex):

2010-02-05  Dumitru Daniliuc  <dumi@chromium.org>

        Reviewed by Jeremy Orlow.

        Adding a way to close all database handles pointing to a certain
        database as soon as possible.
        https://bugs.webkit.org/show_bug.cgi?id=34619

        * public/WebDatabase.h:
        * src/WebDatabase.cpp:
        (WebKit::WebDatabase::closeDatabaseImmediately):

2010-02-08  Dirk Schulze  <krit@webkit.org>

        Reviewed by Nikolas Zimmermann.

        Add back an AffineTransform class for use by SVG
        https://bugs.webkit.org/show_bug.cgi?id=33750

        Use AffineTransform instead of TransformationMatrix here.

        * tests/TransparencyWinTest.cpp:
        (WebCore::TEST):

2010-02-07  Jian Li  <jianli@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Change chromium interface to handle DownloadURL format.
        https://bugs.webkit.org/show_bug.cgi?id=34655

        * public/WebDragData.h:
        * src/WebDragData.cpp:
        (WebKit::WebDragData::downloadMetadata):
        (WebKit::WebDragData::setDownloadMetadata):

2010-02-06  Dimitri Glazkov  <dglazkov@chromium.org>

        No review, rolling out r54364.
        http://trac.webkit.org/changeset/54364
        https://bugs.webkit.org/show_bug.cgi?id=34464

        Introduced asserts in layout tests, needs more testing
        locally.

        * public/WebViewClient.h:
        * src/ChromeClientImpl.cpp:
        * src/ChromeClientImpl.h:

2010-02-05  James Hawkins  <jhawkins@chromium.org>

        Reviewed by David Levin.

        [Chromium] Rename autocomplete* to suggestions* to prepare for the
        refactoring of AutocompletePopupMenuClient.

        https://bugs.webkit.org/show_bug.cgi?id=34664

        * public/WebView.h:
        * src/AutocompletePopupMenuClient.cpp:
        (WebKit::AutocompletePopupMenuClient::popupDidHide):
        * src/EditorClientImpl.cpp:
        (WebKit::EditorClientImpl::textFieldDidEndEditing):
        (WebKit::EditorClientImpl::doAutofill):
        * src/WebViewImpl.cpp:
        (WebKit::):
        (WebKit::WebViewImpl::WebViewImpl):
        (WebKit::WebViewImpl::mouseDown):
        (WebKit::WebViewImpl::autocompleteHandleKeyEvent):
        (WebKit::WebViewImpl::setFocus):
        (WebKit::WebViewImpl::applyAutofillSuggestions):
        (WebKit::WebViewImpl::hideAutofillPopup):
        (WebKit::WebViewImpl::hideSuggestionsPopup):
        (WebKit::WebViewImpl::refreshSuggestionsPopup):
        * src/WebViewImpl.h:
        (WebKit::WebViewImpl::suggestionsPopupDidHide):

2010-02-05  James Hawkins  <jhawkins@chromium.org>

        Reviewed by David Levin.

        [Chromium] Remove an unused forward declaration in WebKitClient.h.

        https://bugs.webkit.org/show_bug.cgi?id=34622

        * public/WebKitClient.h:

2010-02-05  James Hawkins  <jhawkins@chromium.org>

        Reviewed by Darin Fisher.

        Implement WebInputElement::isActivatedSubmit().

        https://bugs.webkit.org/show_bug.cgi?id=34623

        * public/WebInputElement.h:
        * src/WebInputElement.cpp:
        (WebKit::WebInputElement::isActivatedSubmit):

2010-02-05  Nate Chapin  <japhet@chromium.org>

        Reviewed by Dimitri Glazkov.

        Update code for getting a v8::FunctionTemplate.

        https://bugs.webkit.org/show_bug.cgi?id=34606

        * src/WebDevToolsAgentImpl.cpp:
        (WebKit::WebDevToolsAgentImpl::createInspectorBackendV8Wrapper):

2010-02-05  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        Enable JAVASCRIPT_DEBUGGER in chromium port.

        https://bugs.webkit.org/show_bug.cgi?id=34638

        * features.gypi:

2010-02-04  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Darin Fisher.

        Upstreaming gtests from chromium: UniscribeHelper and TransparencyWin
        https://bugs.webkit.org/show_bug.cgi?id=34509

        Resubmit: The previous commit (r54333) was rolled back.

        * WebKit.gyp:
        * tests/TransparencyWinTest.cpp: Added.
        (WebCore::RECTToFloatRect):
        (WebCore::drawNativeRect):
        (WebCore::getPixelAt):
        (WebCore::clearTopLayerAlphaChannel):
        (WebCore::clearTopLayerAlphaPixel):
        (WebCore::operator<<):
        (WebCore::TEST):
        * tests/UniscribeHelperTest.cpp: Added.
        (WebCore::UniscribeTest::UniscribeTest):
        (WebCore::UniscribeTest::MakeFont):
        (WebCore::UniscribeTest::SetUp):
        (WebCore::UniscribeTest::TearDown):
        (TEST_F):

2010-02-04  Drew Wilson  <atwilson@chromium.org>

        Reviewed by David Levin.

        WorkerContext.close() does not work in the chromium port
        https://bugs.webkit.org/show_bug.cgi?id=34551

        Test: Adding new downstream test.

        * src/WebWorkerBase.cpp:
        (WebKit::WebWorkerBase::workerContextClosedTask):
        Now shuts down the worker thread when WorkerContext::close() is invoked.

2010-02-04  Chris Guillory  <chris.guillory@google.com>

        Reviewed by Darin Fisher.

        [Chromium] Add function for AccessibilityObject state change notifications.
        
        https://bugs.webkit.org/show_bug.cgi?id=34464

        * public/WebViewClient.h:
        (WebKit::WebViewClient::didChangeAccessibilityObjectState):
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::didChangeAccessibilityObjectState):
        * src/ChromeClientImpl.h:

2010-02-04  Jeremy Moskovich  <jeremy@chromium.org>

        Reviewed by Darin Fisher.

        Update comments to better document the possible values of the
        writing direction menu state variables.

        * public/WebContextMenuData.h:

2010-02-04  Nate Chapin  <japhet@chromium.org>

        Reviewed by Dimitri Glazkov.

        Remove references to V8Custom.

        https://bugs.webkit.org/show_bug.cgi?id=32638

        * src/DebuggerAgentImpl.cpp:
        * src/WebDevToolsFrontendImpl.cpp:

2010-02-04  Yury Semikhatsky  <yurys@chromium.org>

        Unreviewed. Revert 54333 which broke Chromium build.

        * WebKit.gyp:
        * tests/TransparencyWinTest.cpp: Removed.
        * tests/UniscribeHelperTest.cpp: Removed.

2010-02-04  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Darin Fisher.

        Upstreaming gtests from chromium: UniscribeHelper and TransparencyWin.
        https://bugs.webkit.org/show_bug.cgi?id=34509

        * WebKit.gyp:
        * tests/TransparencyWinTest.cpp: Added.
        (WebCore::RECTToFloatRect):
        (WebCore::drawNativeRect):
        (WebCore::getPixelAt):
        (WebCore::clearTopLayerAlphaChannel):
        (WebCore::clearTopLayerAlphaPixel):
        (WebCore::operator<<):
        (WebCore::TEST):
        * tests/UniscribeHelperTest.cpp: Added.
        (WebCore::UniscribeTest::UniscribeTest):
        (WebCore::UniscribeTest::MakeFont):
        (WebCore::UniscribeTest::SetUp):
        (WebCore::UniscribeTest::TearDown):
        (WebCore::TEST_F):

2010-02-04  Jeremy Moskovich  <jeremy@chromium.org>

        Reviewed by David Levin.

        [Chromium] WebKit side of "Writing direction" context menu on OS X.
        https://bugs.webkit.org/show_bug.cgi?id=34524

        * public/WebContextMenuData.h:
        (WebKit::WebContextMenuData::):
        * src/ContextMenuClientImpl.cpp:
        (WebKit::ContextMenuClientImpl::getCustomMenuFromDefaultItems):

2010-02-03  Drew Wilson  <atwilson@chromium.org>

        Reviewed by Alexey Proskuryakov.

        SharedWorkerScriptLoader should not be an ActiveDOMObject
        https://bugs.webkit.org/show_bug.cgi?id=34513

        * src/SharedWorkerRepository.cpp:
        (WebCore::SharedWorkerScriptLoader::SharedWorkerScriptLoader):
        Changed SharedWorkerScriptLoader to manage its own lifecycle without using ActiveDOMObject.
        (WebCore::SharedWorkerScriptLoader::parentContext):
        (WebCore::pendingLoaders):
        Now we manually track pending loads so we can shut them down when the parent context shuts down.
        (WebCore::SharedWorkerScriptLoader::contextDetached):
        Shuts down/frees any pending worker loads.
        (WebCore::SharedWorkerScriptLoader::~SharedWorkerScriptLoader):
        Marks the SharedWorker object as not having pending activity if there was a load active (handles case where load was pending when parent document exits).
        (WebCore::SharedWorkerScriptLoader::load):
        (WebCore::SharedWorkerRepository::documentDetached):
        Now calls SharedWorkerScriptLoader::contextDetached() to shutdown any pending worker loads.

2010-02-03  Alexander Pavlov  <apavlov@chromium.org>

        Reviewed by Timothy Hatcher.

        [Chromium] Return a consistent set of platforms from WebDevToolsFrontendImpl
        https://bugs.webkit.org/show_bug.cgi?id=34523

        * src/WebDevToolsFrontendImpl.cpp:
        (WebKit::WebDevToolsFrontendImpl::jsPlatform):

2010-02-02  Joel Stanley  <joel@jms.id.au>

        Reviewed by David Levin.

        [Chromium] Add API method for setting caret blink frequency.
        https://bugs.webkit.org/show_bug.cgi?id=31704

        This enables the RenderThemeChromiumLinux::setCaretBlinkInterval method
        to be called Chromium's API.  The API is linux-only as it is currently
        the only port to implement RenderTheme::setCaretBlinkInterval.

        * WebKit.gyp:  Add WebRenderTheme.{h,cpp}
        * public/linux/WebRenderTheme.h: Added.
        * src/linux/WebRenderTheme.cpp: Added.
        (WebKit::setCaretBlinkInterval): Exposed API

2010-02-02  Shinichiro Hamaji  <hamaji@chromium.org>

        Reviewed by Dimitri Glazkov.

        [Chromium] Implement WebFrameImpl::pageNumberForElementById
        https://bugs.webkit.org/show_bug.cgi?id=34471

        * public/WebFrame.h:
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::pageNumberForElementById):
        * src/WebFrameImpl.h:

2010-02-02  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Upstream DevTools code.

        https://bugs.webkit.org/show_bug.cgi?id=34326

        * WebKit.gyp:
        * src/APUAgentDelegate.h: Added.
        * src/BoundObject.cpp: Added.
        (WebKit::BoundObject::BoundObject):
        (WebKit::BoundObject::~BoundObject):
        (WebKit::BoundObject::addProtoFunction):
        (WebKit::BoundObject::build):
        * src/BoundObject.h: Added.
        * src/DebuggerAgent.h: Added.
        * src/DebuggerAgentImpl.cpp: Added.
        (WebKit::DebuggerAgentImpl::DebuggerAgentImpl):
        (WebKit::DebuggerAgentImpl::~DebuggerAgentImpl):
        (WebKit::DebuggerAgentImpl::getContextId):
        (WebKit::DebuggerAgentImpl::debuggerOutput):
        (WebKit::DebuggerAgentImpl::createUtilityContext):
        (WebKit::DebuggerAgentImpl::executeUtilityFunction):
        (WebKit::DebuggerAgentImpl::executeVoidJavaScript):
        (WebKit::DebuggerAgentImpl::page):
        * src/DebuggerAgentImpl.h: Added.
        (WebKit::DebuggerAgentImpl::setAutoContinueOnException):
        (WebKit::DebuggerAgentImpl::autoContinueOnException):
        (WebKit::DebuggerAgentImpl::webdevtoolsAgent):
        (WebKit::DebuggerAgentImpl::webView):
        * src/DebuggerAgentManager.cpp: Added.
        (WebKit::DebuggerAgentManager::debugHostDispatchHandler):
        (WebKit::DebuggerAgentManager::debugAttach):
        (WebKit::DebuggerAgentManager::debugDetach):
        (WebKit::DebuggerAgentManager::onV8DebugMessage):
        (WebKit::DebuggerAgentManager::pauseScript):
        (WebKit::DebuggerAgentManager::executeDebuggerCommand):
        (WebKit::DebuggerAgentManager::setMessageLoopDispatchHandler):
        (WebKit::DebuggerAgentManager::setHostId):
        (WebKit::DebuggerAgentManager::onWebViewClosed):
        (WebKit::DebuggerAgentManager::onNavigate):
        (WebKit::DebuggerAgentManager::sendCommandToV8):
        (WebKit::DebuggerAgentManager::sendContinueCommandToV8):
        (WebKit::DebuggerAgentManager::findAgentForCurrentV8Context):
        (WebKit::DebuggerAgentManager::debuggerAgentForHostId):
        * src/DebuggerAgentManager.h: Added.
        (WebKit::DebuggerAgentManager::UtilityContextScope::UtilityContextScope):
        (WebKit::DebuggerAgentManager::UtilityContextScope::~UtilityContextScope):
        * src/DevToolsRPC.h: Added.
        (WebKit::):
        (WebKit::DevToolsRPC::Delegate::Delegate):
        (WebKit::DevToolsRPC::Delegate::~Delegate):
        (WebKit::DevToolsRPC::DevToolsRPC):
        (WebKit::DevToolsRPC::~DevToolsRPC):
        (WebKit::DevToolsRPC::sendRpcMessage):
        * src/DevToolsRPCJS.h: Added.
        * src/ProfilerAgent.h: Added.
        * src/ProfilerAgentImpl.cpp: Added.
        (WebKit::ProfilerAgentImpl::getActiveProfilerModules):
        (WebKit::ProfilerAgentImpl::getLogLines):
        * src/ProfilerAgentImpl.h: Added.
        (WebKit::ProfilerAgentImpl::ProfilerAgentImpl):
        (WebKit::ProfilerAgentImpl::~ProfilerAgentImpl):
        * src/ToolsAgent.h: Added.
        * src/WebDevToolsAgentImpl.cpp: Added.
        (WebKit::):
        (WebKit::WebDevToolsAgentImpl::WebDevToolsAgentImpl):
        (WebKit::WebDevToolsAgentImpl::~WebDevToolsAgentImpl):
        (WebKit::WebDevToolsAgentImpl::disposeUtilityContext):
        (WebKit::WebDevToolsAgentImpl::unhideResourcesPanelIfNecessary):
        (WebKit::WebDevToolsAgentImpl::attach):
        (WebKit::WebDevToolsAgentImpl::detach):
        (WebKit::WebDevToolsAgentImpl::didNavigate):
        (WebKit::WebDevToolsAgentImpl::didCommitProvisionalLoad):
        (WebKit::WebDevToolsAgentImpl::didClearWindowObject):
        (WebKit::WebDevToolsAgentImpl::forceRepaint):
        (WebKit::WebDevToolsAgentImpl::dispatchOnInspectorController):
        (WebKit::WebDevToolsAgentImpl::dispatchOnInjectedScript):
        (WebKit::WebDevToolsAgentImpl::executeVoidJavaScript):
        (WebKit::WebDevToolsAgentImpl::dispatchMessageFromFrontend):
        (WebKit::WebDevToolsAgentImpl::inspectElementAt):
        (WebKit::WebDevToolsAgentImpl::setRuntimeFeatureEnabled):
        (WebKit::WebDevToolsAgentImpl::sendRpcMessage):
        (WebKit::WebDevToolsAgentImpl::compileUtilityScripts):
        (WebKit::WebDevToolsAgentImpl::initDevToolsAgentHost):
        (WebKit::WebDevToolsAgentImpl::createInspectorBackendV8Wrapper):
        (WebKit::WebDevToolsAgentImpl::resetInspectorFrontendProxy):
        (WebKit::WebDevToolsAgentImpl::setApuAgentEnabled):
        (WebKit::WebDevToolsAgentImpl::jsDispatchOnClient):
        (WebKit::WebDevToolsAgentImpl::jsDispatchToApu):
        (WebKit::WebDevToolsAgentImpl::jsEvaluateOnSelf):
        (WebKit::WebDevToolsAgentImpl::jsOnRuntimeFeatureStateChanged):
        (WebKit::WebDevToolsAgentImpl::inspectorController):
        (WebKit::WebDevToolsAgentImpl::identifierForInitialRequest):
        (WebKit::WebDevToolsAgentImpl::willSendRequest):
        (WebKit::WebDevToolsAgentImpl::didReceiveData):
        (WebKit::WebDevToolsAgentImpl::didReceiveResponse):
        (WebKit::WebDevToolsAgentImpl::didFinishLoading):
        (WebKit::WebDevToolsAgentImpl::didFailLoading):
        (WebKit::WebDevToolsAgentImpl::evaluateInWebInspector):
        (WebKit::WebDevToolsAgentImpl::setTimelineProfilingEnabled):
        (WebKit::WebDevToolsAgent::create):
        (WebKit::WebDevToolsAgent::executeDebuggerCommand):
        (WebKit::WebDevToolsAgent::debuggerPauseScript):
        (WebKit::WebDevToolsAgent::setMessageLoopDispatchHandler):
        (WebKit::WebDevToolsAgent::dispatchMessageFromFrontendOnIOThread):
        * src/WebDevToolsAgentImpl.h: Added.
        (WebKit::WebDevToolsAgentImpl::hostId):
        * src/WebDevToolsFrontendImpl.cpp: Added.
        (WebKit::ToV8String):
        (WebKit::WebDevToolsFrontend::create):
        (WebKit::WebDevToolsFrontendImpl::WebDevToolsFrontendImpl):
        (WebKit::WebDevToolsFrontendImpl::~WebDevToolsFrontendImpl):
        (WebKit::WebDevToolsFrontendImpl::dispatchMessageFromAgent):
        (WebKit::WebDevToolsFrontendImpl::executeScript):
        (WebKit::WebDevToolsFrontendImpl::dispatchOnWebInspector):
        (WebKit::WebDevToolsFrontendImpl::sendRpcMessage):
        (WebKit::WebDevToolsFrontendImpl::contextMenuItemSelected):
        (WebKit::WebDevToolsFrontendImpl::contextMenuCleared):
        (WebKit::WebDevToolsFrontendImpl::jsLoaded):
        (WebKit::WebDevToolsFrontendImpl::jsPlatform):
        (WebKit::WebDevToolsFrontendImpl::jsPort):
        (WebKit::WebDevToolsFrontendImpl::jsCopyText):
        (WebKit::WebDevToolsFrontendImpl::jsActivateWindow):
        (WebKit::WebDevToolsFrontendImpl::jsCloseWindow):
        (WebKit::WebDevToolsFrontendImpl::jsDockWindow):
        (WebKit::WebDevToolsFrontendImpl::jsUndockWindow):
        (WebKit::WebDevToolsFrontendImpl::jsLocalizedStringsURL):
        (WebKit::WebDevToolsFrontendImpl::jsHiddenPanels):
        (WebKit::WebDevToolsFrontendImpl::jsDebuggerCommand):
        (WebKit::WebDevToolsFrontendImpl::jsSetting):
        (WebKit::WebDevToolsFrontendImpl::jsSetSetting):
        (WebKit::WebDevToolsFrontendImpl::jsDebuggerPauseScript):
        (WebKit::WebDevToolsFrontendImpl::jsWindowUnloading):
        (WebKit::WebDevToolsFrontendImpl::jsShowContextMenu):
        * src/WebDevToolsFrontendImpl.h: Added.
        (WebKit::WebDevToolsFrontendImpl::MenuProvider::create):
        (WebKit::WebDevToolsFrontendImpl::MenuProvider::~MenuProvider):
        (WebKit::WebDevToolsFrontendImpl::MenuProvider::disconnect):
        (WebKit::WebDevToolsFrontendImpl::MenuProvider::populateContextMenu):
        (WebKit::WebDevToolsFrontendImpl::MenuProvider::contextMenuItemSelected):
        (WebKit::WebDevToolsFrontendImpl::MenuProvider::contextMenuCleared):
        (WebKit::WebDevToolsFrontendImpl::MenuProvider::MenuProvider):

2010-02-01  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Add WebSecurityOrigin::createFromString factory
        https://bugs.webkit.org/show_bug.cgi?id=34460

        * public/WebSecurityOrigin.h:
        * src/WebSecurityOrigin.cpp:
        (WebKit::WebSecurityOrigin::createFromString):

2010-02-02  Kent Tamura  <tkent@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Should not select a word on right-click.
        https://bugs.webkit.org/show_bug.cgi?id=33364

        For non-Mac platforms, do not select a word around the caret when
        a context menu is opening. This behavior is not common in non-Mac
        platforms, and it prevents pasting with a context menu.

        In order that the spell checker works without the selection, we
        introduce WebFrame::selectWordAroundCaret(). We can replace a word
        around the caret with selectWordAroundCaret() + replaceSelection().

        * public/WebFrame.h: Add pure selectWordAroundCaret() declaration.
        * src/ContextMenuClientImpl.cpp:
        (WebKit::selectMisspelledWord): Move word-selection code to
        WebFrameImpl::selectWordAroundPosition(), and clear the selection
        on non-Mac.
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::selectWordAroundPosition):
        (WebKit::WebFrameImpl::selectWordAroundCaret):
        * src/WebFrameImpl.h: Add selectWordAroundCaret() declaration.

2010-02-01  Shinichiro Hamaji  <hamaji@chromium.org>

        Unreviewed attempt to fix the broken build.

        This was introduced in http://trac.webkit.org/changeset/54182

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::performMediaPlayerAction):

2010-01-27  Matt Perry  <mpcomplete@chromium.org>

        Reviewed by Eric Seidel.

        Add support for addUserScript to chromium port.

        * public/WebView.h:
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::addUserScript):
        (WebKit::WebViewImpl::removeAllUserContent):
        * src/WebViewImpl.h:

2010-01-29  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Eric Carlson.

        [GTK] set playbin mute property depending on volume value
        https://bugs.webkit.org/show_bug.cgi?id=31586

        New API in MediaPlayer for mute control

        * public/WebMediaPlayerClient.h:
        * src/WebMediaPlayerClientImpl.cpp:
        (WebKit::WebMediaPlayerClientImpl::volumeChanged):
        (WebKit::WebMediaPlayerClientImpl::muteChanged):
        * src/WebMediaPlayerClientImpl.h:

2010-01-31  Kent Tamura  <tkent@chromium.org>

        Reviewed by Jeremy Orlow.

        [Chromium] Fix a bug that a selected word is not recognized as a
        spell-check source.
        https://bugs.webkit.org/show_bug.cgi?id=33660

        * src/ContextMenuClientImpl.cpp:
        (WebKit::isASingleWord): Use wordBreakIterator(), and correctly check
        the return value of textBreakNext().

2010-01-29  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] Clean up WebStorageArea
        https://bugs.webkit.org/show_bug.cgi?id=34353

        Get rid of legacy glue code and fix a typo.

        * public/WebStorageArea.h:

2010-01-29  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Dimitri Glazkov.

        A first step towards the Indexed Database API
        https://bugs.webkit.org/show_bug.cgi?id=34342

        Add runtime enable support for Indexed Database API.

        * features.gypi:
        * public/WebRuntimeFeatures.h:
        * src/WebRuntimeFeatures.cpp:
        (WebKit::WebRuntimeFeatures::enableIndexedDatabase):
        (WebKit::WebRuntimeFeatures::isIndexedDatabaseEnabled):

2010-01-29  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Add API methods for loading inspector utility scripts.

        https://bugs.webkit.org/show_bug.cgi?id=34326

        * public/WebDevToolsAgentClient.h:
        (WebKit::WebDevToolsAgentClient::injectedScriptSource):
        (WebKit::WebDevToolsAgentClient::injectedScriptDispatcherSource):

2010-01-29  Darin Fisher  <darin@chromium.org>

        Reviewed by Adam Barth.

        Add FrameLoaderClient::allowImages method to allow the client to
        overrule image loading policy on a per frame basis.

        https://bugs.webkit.org/show_bug.cgi?id=34225

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::allowImages):
        * public/WebSettings.h:
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::allowImages):
        * src/FrameLoaderClientImpl.h:
        * src/WebSettingsImpl.cpp:
        (WebKit::WebSettingsImpl::setImagesEnabled):
        * src/WebSettingsImpl.h:

2010-01-28  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        StorageNamespaceProxy::copy() should be a no-op
        https://bugs.webkit.org/show_bug.cgi?id=34298

        The comment in the code should make clear why.

        * public/WebViewClient.h:
        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespaceProxy::copy):

2010-01-28  Michael Nordman  <michaeln@google.com>

        Reviewed by Alexey Proskuryakov.

        ApplicationCache events should be deferred until after Document onload has fired.
        https://bugs.webkit.org/show_bug.cgi?id=29690

        * src/ApplicationCacheHost.cpp:
        (WebCore::ApplicationCacheHost::ApplicationCacheHost): Initialize m_isDeferringEvents to true.
        (WebCore::ApplicationCacheHost::notifyDOMApplicationCache): Depending, defer or raise the event.
        (WebCore::ApplicationCacheHost::stopDeferringEvents): Raise any deferred events and reset the flag.

2010-01-27  Aaron Boodman  <aa@chromium.org>

        Reviewed by Darin Adler.

        Send full URL and application id of requesting context to Chromium
        when checking notification permissions.

        https://bugs.webkit.org/show_bug.cgi?id=34238

        * public/WebDocument.h:
        * src/WebDocument.cpp:
        (WebKit::WebDocument::applicationID):
        Implement applicationID() method.

        * public/WebNotificationPresenter.h:
        * src/NotificationPresenterImpl.cpp:
        (WebKit::NotificationPresenterImpl::checkPermission):
        * src/NotificationPresenterImpl.h:
        Send applicationID and full URL through to Chromium.

2010-01-27  Darin Fisher  <darin@chromium.org>

        Reviewed by Pavel Feldman.

        Expose HistoryItem::documentSequenceNumber
        https://bugs.webkit.org/show_bug.cgi?id=34243

        * public/WebHistoryItem.h:
        * src/WebHistoryItem.cpp:
        (WebKit::WebHistoryItem::documentSequenceNumber):
        (WebKit::WebHistoryItem::setDocumentSequenceNumber):

2010-01-26  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        Add methods to support running a nested modal loop outside of WebKit.
        https://bugs.webkit.org/show_bug.cgi?id=34199

        * public/WebView.h:
        * src/WebViewImpl.cpp:
        (WebKit::WebView::willEnterModalLoop): Create PageGroupLoadDeferrer
        (WebKit::WebView::didExitModalLoop): Destroy PageGroupLoadDeferrer

2010-01-27  Darin Fisher  <darin@chromium.org>

        Reviewed by Dimitri Glazkov.

        Adding missing WebMutationEvent.cpp file to fix build bustage. 
        https://bugs.webkit.org/show_bug.cgi?id=33882

        * public/WebMutationEvent.h: Remove unnecessary constructor.
        * src/WebEvent.cpp: Remove unnecessary include of WebMutationEvent.h.
        * src/WebMutationEvent.cpp: Added.

2010-01-27  Jay Campan  <jcampan@google.com>

        Reviewed by Darin Fisher.

        Adding EventListeners to the chromium API.

        https://bugs.webkit.org/show_bug.cgi?id=33882

        * WebKit.gyp:
        * public/WebEvent.h: Added.
        * public/WebEventListener.h: Added.
        * public/WebMutationEvent.h: Added.
        * public/WebNode.h:
        * public/WebString.h:
        (WebKit::operator==):
        (WebKit::operator!=):
        * src/EventListenerWrapper.cpp: Added.
        * src/EventListenerWrapper.h: Added.
        * src/WebEvent.cpp: Added.
        * src/WebEventListener.cpp: Added.
        * src/WebEventListenerPrivate.cpp: Added.
        * src/WebEventListenerPrivate.h: Added.
        * src/WebNode.cpp:
        (WebKit::WebNode::addEventListener):
        (WebKit::WebNode::removeEventListener):
        * src/WebString.cpp:
        (WebKit::WebString::equals):

2010-01-26  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Darin Fisher.

        Add KeyboardTest to WebKit API tests
        https://bugs.webkit.org/show_bug.cgi?id=34178

        * WebKit.gyp:
        * tests/KeyboardTest.cpp: Added.

2010-01-22  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Adler.

        Make storage events match the spec.
        https://bugs.webkit.org/show_bug.cgi?id=30546

        Update the storageEvent algorithm to match the change in WebCore.

        * src/StorageAreaProxy.cpp:
        (WebCore::StorageAreaProxy::storageEvent):

2010-01-22  Elliot Glaysher  <erg@chromium.org>

        Reviewed by David Levin.

        Chromium: theme selection colors to match gtk theme
        Add functions to RenderThemeChromiumLinux to change the selection color
        according to the current GTK+ theme.

        Since the change is to the Chromium WebKit API layer, testing is done
        in Chromium's test shell (see Chromium side of this patch:
        http://codereview.chromium.org/554004)

        https://bugs.webkit.org/show_bug.cgi?id=33921

        * public/WebView.h: Adds interface to change the selection colors
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::setSelectionColors): Implements new interface.
        * src/WebViewImpl.h:

2010-01-22  Steve VanDeBogart  <vandebo@chromium.org>

        Reviewed by David Levin.

        Middle clicking the main scroll bars should not trigger a paste event
        in Linux chromium.
        https://bugs.webkit.org/show_bug.cgi?id=33062

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::mouseUp):

2010-01-22  Albert J. Wong  <ajwong@chromium.org>

        Not reviewed.  backout.

        Backout r53705.
        Causes ui_tests to timeout, and browser_tests to fail with
        TestConnectToBadPort and WindowOpenInvalidExtension.

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDidChangeLocationWithinPage):
        (WebKit::FrameLoaderClientImpl::postProgressStartedNotification):
        (WebKit::FrameLoaderClientImpl::postProgressFinishedNotification):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):
        * src/WebViewImpl.h:

2010-01-22  Peter Kasting  <pkasting@google.com>

        Not reviewed, backout.

        Back out r52673, which caused several regressions.
        https://bugs.webkit.org/show_bug.cgi?id=32533

        * src/AutocompletePopupMenuClient.cpp:
        (WebKit::AutocompletePopupMenuClient::initialize):
        (WebKit::AutocompletePopupMenuClient::popupDidHide):
        (WebKit::AutocompletePopupMenuClient::setTextFromItem):
        * src/AutocompletePopupMenuClient.h:

2010-01-21  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        The Chromium WebKit API needs to expose storage event related data
        https://bugs.webkit.org/show_bug.cgi?id=33985

        setItem and removeItem on WebStorageArea need to expose what the previous
        value was for the key being modified.  Clear needs to return whether it
        actually cleared anything.

        * public/WebStorageArea.h:
        (WebKit::WebStorageArea::setItem):
        (WebKit::WebStorageArea::removeItem):
        (WebKit::WebStorageArea::clear):
        * src/StorageAreaProxy.cpp:
        (WebCore::StorageAreaProxy::StorageAreaProxy):
        (WebCore::StorageAreaProxy::setItem):
        (WebCore::StorageAreaProxy::removeItem):
        (WebCore::StorageAreaProxy::clear):
        (WebCore::StorageAreaProxy::storageEvent):
        * src/StorageAreaProxy.h:
        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespace::localStorageNamespace):
        (WebCore::StorageNamespace::sessionStorageNamespace):
        (WebCore::StorageNamespaceProxy::StorageNamespaceProxy):
        (WebCore::StorageNamespaceProxy::copy):
        (WebCore::StorageNamespaceProxy::storageArea):
        * src/StorageNamespaceProxy.h:
        * src/WebStorageAreaImpl.cpp:
        (WebKit::WebStorageAreaImpl::setItem):
        (WebKit::WebStorageAreaImpl::removeItem):
        (WebKit::WebStorageAreaImpl::clear):
        * src/WebStorageAreaImpl.h:

2010-01-21  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        [Chromium] spurious WebViewClient::didStopLoading if changing
        location.hash while a subframe is still loading

        https://bugs.webkit.org/show_bug.cgi?id=33884

        This is a refinement of http://trac.webkit.org/changeset/51548

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchDidChangeLocationWithinPage):
        (WebKit::FrameLoaderClientImpl::postProgressStartedNotification):
        (WebKit::FrameLoaderClientImpl::postProgressFinishedNotification):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):
        (WebKit::WebViewImpl::didStartLoading):
        (WebKit::WebViewImpl::didStopLoading):
        * src/WebViewImpl.h:

2010-01-21  Adam Barth  <abarth@webkit.org>

        Unreviewed.  Added a blank line requested by the great an powerful
        fishd.

        * public/WebFrameClient.h:

2010-01-21  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        [chromium] Add allowPlugins callback to allow per-site enabling of plugins
        https://bugs.webkit.org/show_bug.cgi?id=33974

        Forward the new allowPlugins callback to WebKitClient so that it can
        make the policy decision.

        * public/WebFrameClient.h:
        (WebKit::WebFrameClient::allowPlugins):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::allowJavaScript):
        (WebKit::FrameLoaderClientImpl::allowPlugins):
        * src/FrameLoaderClientImpl.h:

2010-01-21  James Robinson  <jamesr@chromium.org>

        Reviewed by Darin Fisher.

        Bumps the refcount when WebNode::toElement/toConstElement are called.
        https://bugs.webkit.org/show_bug.cgi?id=33977
        
        Ensures that when a wrapper around a WebNode is create via the
        toElement() or toConstElement() calls that the refcount on the WebNode
        is increased, by forcing a call to WebNode::assign().  This is needed
        so that the following code:
        {
          WebNode n = someNode();
          WebElement e = n.toElement<WebElement>();
        }
        does not decrease the overall refcount on the Node that someNode()
        returns.

        This caused crashes in the 'Save page as..' feature.

        * public/WebNode.h:
        (WebKit::WebNode::toElement):
        (WebKit::WebNode::toConstElement):

2010-01-21  Michael Nordman  <michaeln@google.com>

        Reviewed by Darin Fisher.

        Adds WebKit::WebDataSource::applicationCacheHost() to the API.
        https://bugs.webkit.org/show_bug.cgi?id=33880

        * WebKit.gyp:
        * public/WebDataSource.h:
        * src/ApplicationCacheHost.cpp:
        * src/ApplicationCacheHostInternal.h: Copied from WebKit/chromium/src/ApplicationCacheHost.cpp.
        (WebCore::ApplicationCacheHostInternal::notifyEventListener):
        (WebCore::ApplicationCacheHostInternal::toWebApplicationCacheHost):
        * src/WebDataSourceImpl.cpp:
        (WebKit::WebDataSourceImpl::applicationCacheHost):
        * src/WebDataSourceImpl.h:

2010-01-21  Eric Uhrhane  <ericu@chromium.org>

        Reviewed by Dmitry Titov.

        Add changes missing from r53595, without which Chromium has no database.

        https://bugs.webkit.org/show_bug.cgi?id=33966

        No new tests - fixes database layout tests in Chromium.

        * src/WebRuntimeFeatures.cpp:
        (WebKit::WebRuntimeFeatures::enableDatabase):
        (WebKit::WebRuntimeFeatures::isDatabaseEnabled):

2010-01-21  Kenneth Russell  <kbr@google.com>

        Reviewed by Oliver Hunt.

        [Chromium] Implement texSubImage2D taking WebGLArray
        https://bugs.webkit.org/show_bug.cgi?id=33932

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3D::texSubImage2D):

2010-01-20  Vitaly Repeshko  <vitalyr@chromium.org>

        Reviewed by Pavel Feldman.

        [V8] Support SerializedScriptValue.
        https://bugs.webkit.org/show_bug.cgi?id=32920
        http://crbug.com/30620

        Updated uses of SerializedScriptValue:
        * src/PlatformMessagePortChannel.cpp:
        (WebCore::PlatformMessagePortChannel::postMessageToRemote):
        (WebCore::PlatformMessagePortChannel::tryGetMessageFromRemote):
        * src/WebWorkerBase.cpp:
        (WebKit::WebWorkerBase::postMessageToWorkerObject):
        * src/WebWorkerClientImpl.cpp:
        (WebKit::WebWorkerClientImpl::postMessageToWorkerContext):
        (WebKit::WebWorkerClientImpl::postMessageToWorkerObjectTask):
        * src/WebWorkerImpl.cpp:
        (WebKit::WebWorkerImpl::postMessageToWorkerContextTask):

2010-01-20  Shinichiro Hamaji  <hamaji@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] computePageRectsForFrame seems to be unnecessary
        https://bugs.webkit.org/show_bug.cgi?id=33881

        * src/WebFrameImpl.cpp: Stop including FrameChromium.h

2010-01-19  Jon Honeycutt  <jhoneycutt@apple.com>

        Chromium build fix.

        * public/WebAccessibilityRole.h:
        (WebKit::):
        Correct enum names.

        * src/LocalizedStrings.cpp:
        (WebCore::AXMenuListPopupActionVerb):
        Stubbed.
        (WebCore::AXMenuListActionVerb):
        Stubbed.

2010-01-19  Jon Honeycutt  <jhoneycutt@apple.com>

        Chromium build fix.

        * public/WebAccessibilityRole.h:
        (WebKit::):

        * src/AssertMatchingEnums.cpp:

2010-01-18  Jonathan Dixon  <joth@chromium.org>

        Reviewed by Adam Barth.

        Add support for enabling navigator.geolocation at runtime in the V8 bindings.
        Adds the [EnabledAtRuntime] modifier to the navigator IDL.
        https://bugs.webkit.org/show_bug.cgi?id=33467

        * public/WebRuntimeFeatures.h:
        * src/WebRuntimeFeatures.cpp:
        (WebKit::WebRuntimeFeatures::enableGeolocation):
        (WebKit::WebRuntimeFeatures::isGeolocationEnabled):

2010-01-17  Kent Tamura  <tkent@chromium.org>

        Reviewed by Shinichiro Hamaji.

        [Chromium] Remove an old runFileChooser() method.
        https://bugs.webkit.org/show_bug.cgi?id=33778
        
        Chromium code switched to new runFileChooser() introduced by
        r53269. The old one is not needed anymore.

        * public/WebViewClient.h:
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::runOpenPanel):

2010-01-15  Eric Seidel  <eric@webkit.org>

        No review, rolling out r53344.
        http://trac.webkit.org/changeset/53344
        https://bugs.webkit.org/show_bug.cgi?id=32920

        Broke the Chromium Mac builder.

        * src/PlatformMessagePortChannel.cpp:
        (WebCore::PlatformMessagePortChannel::postMessageToRemote):
        (WebCore::PlatformMessagePortChannel::tryGetMessageFromRemote):
        * src/WebWorkerBase.cpp:
        (WebKit::WebWorkerBase::postMessageToWorkerObject):
        * src/WebWorkerClientImpl.cpp:
        (WebKit::WebWorkerClientImpl::postMessageToWorkerContext):
        (WebKit::WebWorkerClientImpl::postMessageToWorkerObjectTask):
        * src/WebWorkerImpl.cpp:
        (WebKit::WebWorkerImpl::postMessageToWorkerContextTask):

2010-01-15  Vitaly Repeshko  <vitalyr@chromium.org>

        Reviewed by David Levin.

        [V8] Support SerializedScriptValue.
        https://bugs.webkit.org/show_bug.cgi?id=32920
        http://crbug.com/30620

        Updated uses of SerializedScriptValue:
        * src/PlatformMessagePortChannel.cpp:
        (WebCore::PlatformMessagePortChannel::postMessageToRemote):
        (WebCore::PlatformMessagePortChannel::tryGetMessageFromRemote):
        * src/WebWorkerBase.cpp:
        (WebKit::WebWorkerBase::postMessageToWorkerObject):
        * src/WebWorkerClientImpl.cpp:
        (WebKit::WebWorkerClientImpl::postMessageToWorkerContext):
        (WebKit::WebWorkerClientImpl::postMessageToWorkerObjectTask):
        * src/WebWorkerImpl.cpp:
        (WebKit::WebWorkerImpl::postMessageToWorkerContextTask):

2010-01-14  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Oliver Hunt.

        [Chromium] Forgot to adopt a ref counted object in StorageNamespaceProxy
        https://bugs.webkit.org/show_bug.cgi?id=33704

        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespace::localStorageNamespace):
        (WebCore::StorageNamespace::sessionStorageNamespace):

2010-01-14  Marcus Bulach  <bulach@chromium.org>

        Reviewed by Dimitri Glazkov.

        Adds WebKit::WebSecurityOrigin::createFromDatabaseIdentifier.
        https://bugs.webkit.org/show_bug.cgi?id=33648

        * public/WebSecurityOrigin.h:
        * src/WebSecurityOrigin.cpp:
        (WebKit::WebSecurityOrigin::createFromDatabaseIdentifier):

2010-01-14  Brian Weinstein  <bweinstein@apple.com>

        Reviewed by Adam Roben.

        Drag and Drop source/destination code needs cleanup.
        <https://bugs.webkit.org/show_bug.cgi?id=33691>.
        
        Update to new way of calling sourceOperation.

        * src/DragClientImpl.cpp:
        (WebKit::DragClientImpl::startDrag):

2010-01-14  Nate Chapin  <japhet@chromium.org>

        Reviewed by Dimitri Glazkov.

        Remove references to V8DOMWrapper::convertToNative*().

        https://bugs.webkit.org/show_bug.cgi?id=33677

        * src/WebBindings.cpp:
        (WebKit::getDragDataImpl):
        (WebKit::getRangeImpl):

2010-01-14  Kent Tamura  <tkent@chromium.org>

        Reviewed by Darin Fisher.

        Introduce WebFileChooserParams to convey parameters for
        WebViewClient::runFileChooser(), and add new parameters to it.
        https://bugs.webkit.org/show_bug.cgi?id=32473

        The new parameters are
         - selected file names
         - "accept" attribute value

        * WebKit.gyp: Add WebFileChooserParams.h
        * public/WebFileChooserParams.h: Added.
        * public/WebViewClient.h:
        (WebKit::WebViewClient::runFileChooser):
          Add runFileChooser() with WebFileChooserParams, and mark the old one deprecated.
        * src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::runOpenPanel):
          Call the new runFileChooser() first, then call the old
          runFileChooser() if the new one failed.

2010-01-13  Kenneth Russell  <kbr@google.com>

        Reviewed by Oliver Hunt.

        Need to implement WebGLContextAttributes
        https://bugs.webkit.org/show_bug.cgi?id=31169

        Added the WebGLContextAttributes class and custom JavaScript
        bindings to accept a native object as the second argument to
        getContext("experimental-webgl") per the WebGL specification.
        Added GraphicsContext3D::Attributes struct to isolate DOM and
        graphics layers. Added getContextAttributes() to
        WebGLRenderingContext. Added test case ensuring that context
        attributes can be passed down and returned. Tested in Safari and
        Chromium. The attributes will be hooked up to the creation of the
        OpenGL context in bug 33416.

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::getContextAttributes):
        (WebCore::GraphicsContext3D::create):
        (WebCore::GraphicsContext3D::GraphicsContext3D):
        (WebCore::GraphicsContext3D::getContextAttributes):

2010-01-13  Jon Honeycutt  <jhoneycutt@apple.com>

        MSAA: selected, selectable, extended selectable, and multiple
        selectable states are not reported

        https://bugs.webkit.org/show_bug.cgi?id=33574
        <rdar://problem/7536826>

        Reviewed by Darin Adler.

        * public/WebAccessibilityObject.h:
        Update for WebCore::AccessibilityObject function rename.

        * src/WebAccessibilityObject.cpp:
        (WebKit::WebAccessibilityObject::isMultiSelectable):
        Ditto.

2010-01-13  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Move getSessionStorageNamespace from WebKitClient to WebViewClient
        https://bugs.webkit.org/show_bug.cgi?id=33492

        * public/WebKitClient.h:
        * public/WebViewClient.h:
        (WebKit::WebViewClient::createSessionStorageNamespace):
        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespace::sessionStorageNamespace):

2010-01-13  Jeremy Orlow  <jorlow@chromium.org>

        No reviewer.  More or less a build fix.  My 53180 broke some 
        stuff on the Chromium port so I'm reverting.

        * public/WebKitClient.h:
        * public/WebViewClient.h:
        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespace::sessionStorageNamespace):

2010-01-11  Jeremy Orlow  <jorlow@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Move getSessionStorageNamespace from WebKitClient to WebViewClient
        https://bugs.webkit.org/show_bug.cgi?id=33492

        * public/WebKitClient.h:
        * public/WebViewClient.h:
        (WebKit::WebViewClient::getSessionStorageNamespace):
        * src/StorageNamespaceProxy.cpp:
        (WebCore::StorageNamespace::sessionStorageNamespace):

2010-01-11  Darin Fisher  <darin@chromium.org>

        Reviewed by Dimitri Glazkov.

        [Chromium] Re-work webkit_unit_tests so that WebKit is initialized only once
        https://bugs.webkit.org/show_bug.cgi?id=33504

        * WebKit.gyp:
        * tests/KURLTest.cpp:
        (ComponentCase::TEST):
        * tests/RunAllTests.cpp: Added.
        (main):
        * tests/WebKitTest.h: Removed.

2010-01-09  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Adler.

        ScriptController::isEnabled needs to be renamed
        https://bugs.webkit.org/show_bug.cgi?id=32063

        Rename ScriptController::isEnabled to
        ScriptController::canExecuteScripts.

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::bindToWindowObject):

2010-01-08  Daniel Bates  <dbates@webkit.org>

        Reviewed by Adam Barth.

        https://bugs.webkit.org/show_bug.cgi?id=33417

        Cleans up style errors exposed by the patch for bug #33198.

        No functionality was changed. So, no new tests.

        * src/GraphicsContext3D.cpp:

2010-01-08  Darin Fisher  <darin@chromium.org>

        Reviewed by Dimitri Glazkov.

        [Chromium] Upstream webkit unit tests from the chromium repository
        https://bugs.webkit.org/show_bug.cgi?id=33351

        This adds one such test (for KURL) and sets up the test framework.

        Switch WebKit to build a static library on all platforms.  Add a
        webkit_unit_tests executable target that runs the unit tests and also
        ensures that we don't have any missing symbols (a function that WebKit
        as a shared library used to serve).

        Changes chromium_src_dir to ../../WebKit/chromium to match how
        WebCore.gyp defines that variable.

        * WebKit.gyp:
        * public/WebKitClient.h:
        (WebKit::WebKitClient::getPluginList): Remove bogus trailing semi-colon.
        (WebKit::WebKitClient::decrementStatsCounter): Remove bogus trailing semi-colon.
        (WebKit::WebKitClient::incrementStatsCounter): Remove bogus trailing semi-colon.
        (WebKit::WebKitClient::traceEventBegin): Remove bogus trailing semi-colon.
        (WebKit::WebKitClient::traceEventEnd): Remove bogus trailing semi-colon.
        (WebKit::WebKitClient::histogramCounts): Remove bogus trailing semi-colon.
        * tests: Added.
        * tests/KURLTest.cpp: Added.
        * tests/WebKitTest.h: Added.

2010-01-07  Mike Belshe  <mbelshe@chromium.org>

        Reviewed by Darin Adler.

        Fix Spdy casing to match style guide.

        https://bugs.webkit.org/show_bug.cgi?id=33326

        * public/WebURLResponse.h:
        * src/WebURLResponse.cpp:
        (WebKit::WebURLResponse::wasFetchedViaSPDY):
        (WebKit::WebURLResponse::setWasFetchedViaSPDY):

2010-01-07  Daniel Bates  <dbates@rim.com>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=32987

        Added ENABLE_XHTMLMP flag. Disabled by default.

        * features.gypi:

2010-01-07  Adam Barth  <abarth@webkit.org>

        No review, rolling out r52847.
        http://trac.webkit.org/changeset/52847
        https://bugs.webkit.org/show_bug.cgi?id=33232

        Might have caused a perf regression.

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::detachedFromParent3):

2010-01-06  Mike Belshe  <mike@belshe.com>

        Add a flag to the ResourceResponse for tracking if a request was
        fetched via SPDY.  This is plumbed through so that we can inform
        a webpage via JavaScript if it was fecthed via the experimental
        SPDY protocol.

        https://bugs.webkit.org/show_bug.cgi?id=33186

        * public/WebURLResponse.h:
        * src/WebURLResponse.cpp:
        (WebKit::WebURLResponse::wasFetchedViaSpdy):
        (WebKit::WebURLResponse::setWasFetchedViaSpdy):

2010-01-06  Darin Fisher  <darin@chromium.org>

        Fix release build bustage.

        * src/WebKit.cpp: Need to include Logging.h

2010-01-05  Darin Fisher  <darin@chromium.org>

        Reviewed by Adam Barth.

        [Chromium] Expose more APIs to eliminate WebCore usage in Chromium.
        https://bugs.webkit.org/show_bug.cgi?id=33249

        * WebKit.gyp:
        * public/WebFrame.h:
        * public/WebGlyphCache.h: Added.
        * public/WebKit.h:
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrame::instanceCount):
        (WebKit::WebFrameImpl::WebFrameImpl):
        (WebKit::WebFrameImpl::~WebFrameImpl):
        * src/WebFrameImpl.h:
        * src/WebGlyphCache.cpp: Added.
        (WebKit::WebGlyphCache::pageCount):
        * src/WebKit.cpp:
        (WebKit::enableLogChannel):

2010-01-05  Adam Barth  <abarth@webkit.org>

        Reviewed by Dimitri Glazkov.

        [v8] Move V8DOMWindowShell to ScriptController
        https://bugs.webkit.org/show_bug.cgi?id=33232

        Update FrameLoaderClientImpl.cpp to call clearForClose on
        ScriptController instead of on V8Proxy.

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::detachedFromParent3):

2010-01-05  Rachel Petterson  <rlp@google.com>

        Reviewed by Adam Barth.

        Matches the texImage2D and texSubImage2D functions to their
        declarations. Elminates uncessary versions of those functions.
        https://bugs.webkit.org/show_bug.cgi?id=31562
        Also bug: https://bugs.webkit.org/show_bug.cgi?id=31493

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3D::texImage2D):
        (WebCore::GraphicsContext3D::texSubImage2D):

2010-01-04  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Darin Fisher.

        Reorganize, document and rename OS() platform macros.
        https://bugs.webkit.org/show_bug.cgi?id=33198

        Adapt to name changes.

        * src/ChromiumBridge.cpp:
        * src/EditorClientImpl.cpp:
        (WebKit::EditorClientImpl::isSelectTrailingWhitespaceEnabled):
        (WebKit::):
        (WebKit::EditorClientImpl::handleEditingKeyboardEvent):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::createPlugin):
        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::~GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::makeContextCurrent):
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::selectionAsText):
        (WebKit::WebFrameImpl::printPage):
        * src/WebPluginContainerImpl.cpp:
        (WebKit::WebPluginContainerImpl::handleMouseEvent):
        (WebKit::WebPluginContainerImpl::handleKeyboardEvent):
        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::mouseDown):
        (WebKit::WebViewImpl::mouseContextMenu):
        (WebKit::WebViewImpl::mouseUp):
        (WebKit::WebViewImpl::keyEvent):
        (WebKit::WebViewImpl::sendContextMenuEvent):
        (WebKit::WebViewImpl::setScrollbarColors):
        (WebKit::WebViewImpl::navigationPolicyFromMouseEvent):

2010-01-04  Darin Fisher  <darin@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] Expose more DOM methods to support LayoutTests
        https://bugs.webkit.org/show_bug.cgi?id=33185

        * public/WebDocument.h: Adds documentElement method.
        * public/WebElement.h: Adds innerText method.
        * public/WebFrame.h: Adds renderTreeAsText and counterValueForElementById
        methods, and fixes a few whitespace issues.
        * src/WebDocument.cpp:
        (WebKit::WebDocument::documentElement):
        * src/WebElement.cpp:
        (WebKit::WebElement::innerText):
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::clearName):
        (WebKit::WebFrameImpl::renderTreeAsText):
        (WebKit::WebFrameImpl::counterValueForElementById):
        * src/WebFrameImpl.h:

2010-01-04  Darin Fisher  <darin@chromium.org>

        Fix Chromium build bustage.

        * src/WebAnimationControllerImpl.h:

2010-01-04  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Darin Fisher.

        Adding WebAnimationController to chromium's WebKit API.

        https://bugs.webkit.org/show_bug.cgi?id=32870

        * WebKit.gyp:
        * public/WebAnimationController.h: Added.
        (WebKit::WebAnimationController::~WebAnimationController):
        * public/WebFrame.h:
        * src/WebAnimationControllerImpl.cpp: Added.
        (WebKit::WebAnimationControllerImpl::WebAnimationControllerImpl):
        (WebKit::WebAnimationControllerImpl::pauseAnimationAtTime):
        (WebKit::WebAnimationControllerImpl::pauseTransitionAtTime):
        (WebKit::WebAnimationControllerImpl::numberOfActiveAnimations):
        * src/WebAnimationControllerImpl.h: Added.
        (WebKit::WebAnimationControllerImpl::~WebAnimationControllerImpl):
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::animationController):
        (WebKit::WebFrameImpl::WebFrameImpl):
        * src/WebFrameImpl.h:

2010-01-04  Jay Campan  <jcampan@google.com>

        Reviewed by Darin Fisher

        Adding  more DOM API methods. They are needed for the upcoming
        translate feature.

        * public/WebElement.h:
        * public/WebNode.h:
        * src/WebElement.cpp:
        (WebKit::WebElement::tagName):
        (WebKit::WebElement::setAttribute):
        * src/WebNode.cpp:
        (WebKit::WebNode::setNodeValue):

2010-01-03  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        [Chromium] Implement CookieJarChromium::cookiesEnabled
        https://bugs.webkit.org/show_bug.cgi?id=33123

        Call out to the webKitClient() to see if cookies are enabled.  Also
        remove some straggling references to policyURL!

        * public/WebKitClient.h:
        (WebKit::WebKitClient::setCookies):
        (WebKit::WebKitClient::cookies):
        (WebKit::WebKitClient::rawCookies):
        (WebKit::WebKitClient::cookiesEnabled):
        * src/ChromiumBridge.cpp:
        (WebCore::ChromiumBridge::cookiesEnabled):

2010-01-03  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        [Chromium] Remove evaluateInNewContext (it's useless)
        https://bugs.webkit.org/show_bug.cgi?id=33068

        This function has no clients and makes life complicated.  Isolated
        worlds won out over NewContext and there's not really any going back
        now.

        * public/WebFrame.h:
        * src/FrameLoaderClientImpl.h:
        * src/WebFrameImpl.cpp:
        * src/WebFrameImpl.h:

2009-12-30  Darin Fisher  <darin@chromium.org>

        Reviewed by David Levin.

        [Chromium] Delete ResourceRequest::securityInfo
        https://bugs.webkit.org/show_bug.cgi?id=26847

        * src/WebWorkerBase.cpp:
        (WebKit::WebWorkerBase::initializeLoader):

2009-12-30  Albert J. Wong  <ajwong@chromium.org>

        Not reviewed.  Trivial Chromium build fix.

        Add static_cast<unsigned>() to fix signed/unsigned comparison warning.

        * src/AutocompletePopupMenuClient.cpp:
        (WebKit::AutocompletePopupMenuClient::selectionChanged):

2009-12-30  Zelidrag Hornung  <zelidrag@chromium.org>

        Reviewed by Dimitri Glazkov.

        Autocomplete in Chromium now offers suggestions within the input element as a user
        a) types text that produces some autocomplete suggestions, and
        b) scrolls through suggested values in the menu
        The suggested value is rendered but not exposed through JS unti the
        user makes the final selection.

        No new tests since this new functionality (autocomplete suggestions)
        is intentionally hidden from everything else than renderer.

        * src/AutocompletePopupMenuClient.cpp:
        (WebKit::AutocompletePopupMenuClient::initialize):
        (WebKit::AutocompletePopupMenuClient::setInitialAutocompleteValue):
        (WebKit::AutocompletePopupMenuClient::selectionChanged):
        (WebKit::AutocompletePopupMenuClient::popupDidHide):
        (WebKit::AutocompletePopupMenuClient::setTextFromItem):
        (WebKit::AutocompletePopupMenuClient::resetLastFieldValue):
        * src/AutocompletePopupMenuClient.h:

2009-12-28  Kinuko Yasuda  <kinuko@chromium.org>

        Reviewed by Maciej Stachowiak.

        Fixed isKeypadEvent behavior for chromium/Mac to correctly report
        keyLocation as DOM_KEY_LOCATION_NUMPAD for numeric pad key events.
        https://bugs.webkit.org/show_bug.cgi?id=28247

        Test: fast/events/keydown-numpad-keys.html

        * src/mac/WebInputEventFactory.mm:
        (WebKit::isKeypadEvent):

2009-12-22  Kenneth Russell  <kbr@google.com>

        Reviewed by Eric Seidel.

        [Chromium] Garbage in transparent regions of images uploaded as textures
        https://bugs.webkit.org/show_bug.cgi?id=32888

        Test: fast/canvas/webgl/bug-32888.html (works in Safari / DumpRenderTree)

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3D::texImage2D):

2009-12-22  Adam Langley  <agl@google.com>

        Build fix: not reviewed.

        r52504 (https://bugs.webkit.org/show_bug.cgi?id=32845) broke the
        Chromium build on Windows and Mac due to a misplaced #endif. The
        buildbot didn't find the problem because it runs on Linux.

        Have verified this patch with the author of the above.

        * src/GraphicsContext3D.cpp:

2009-12-22  Kenneth Russell  <kbr@google.com>

        Reviewed by Eric Seidel.

        [Chromium] WebGL crashes intermittently on Linux
        https://bugs.webkit.org/show_bug.cgi?id=32845
        
        The dlclose'ing of libGL.so.1 and dlopen'ing of it each time a
        GraphicsContext3D was created was occasionally causing it to be
        re-mapped at a different base address. Since GLEW is not
        re-initialized every time, primarily for performance reasons, its
        cached function pointers were pointing to garbage. Stopped closing
        and re-opening libGL.so.1 each time; now it is loaded lazily, when
        the first 3D context is created. Also reused the X display
        connection since the GLX routines' correctness might hinge upon it
        not resulting in a change of GL implementation.

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GLConnection::chooseFBConfig):
        (WebCore::GraphicsContext3DInternal::GLConnection::createNewContext):
        (WebCore::GraphicsContext3DInternal::GLConnection::createPbuffer):
        (WebCore::GraphicsContext3DInternal::GLConnection::destroyPbuffer):
        (WebCore::GraphicsContext3DInternal::GLConnection::makeCurrent):
        (WebCore::GraphicsContext3DInternal::GLConnection::destroyContext):
        (WebCore::GraphicsContext3DInternal::GLConnection::getCurrentContext):
        (WebCore::GraphicsContext3DInternal::GLConnection::GLConnection):
        (WebCore::GraphicsContext3DInternal::GLConnection::tryLoad):
        (WebCore::GraphicsContext3DInternal::GLConnection::create):
        (WebCore::GraphicsContext3DInternal::GLConnection::~GLConnection):
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::~GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::makeContextCurrent):

2009-12-22  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Darin Fisher.

        autoComplete and getElementById methods for WebKit API

        https://bugs.webkit.org/show_bug.cgi?id=32866

        * public/WebDocument.h:
        * public/WebInputElement.h:
        * src/WebDocument.cpp:
        (WebKit::WebDocument::getElementById):
        * src/WebInputElement.cpp:
        (WebKit::WebInputElement::autoComplete):

2009-12-18  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        [Chromium] Eliminate redundant data copy in GraphicsContext3D readback
        https://bugs.webkit.org/show_bug.cgi?id=32763

        Eliminated useless creation of a CGBitmapContext and from there a
        CGImage. Now create CGImage directly from data. Also changed
        readPixels parameters and CGImage alpha info to try to avoid byte
        swapping, and disabled interpolation when drawing the GL content.
        Some test cases run twice as fast with these changes, though more
        work is needed to achieve desired performance.

        No test case; performance optimization only. Ran WebGL demos from
        Khronos site to verify changes.

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::~GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::reshape):
        (WebCore::GraphicsContext3DInternal::beginPaint):

2009-12-18  Peter Kasting  <pkasting@google.com>

        Reviewed by Adam Barth.

        Chromium build fix
        https://bugs.webkit.org/show_bug.cgi?id=32756

        * public/WebAccessibilityRole.h:
        (WebKit::):
        * src/AssertMatchingEnums.cpp:

2009-12-18  Adam Roben  <aroben@apple.com>

        Chromium build fix

        * src/ChromiumBridge.cpp:
        * src/WebPluginContainerImpl.cpp:
        * src/WebViewImpl.cpp:
        Added #includes.

2009-12-17  Eric Seidel  <eric@webkit.org>

        No review, rolling out r52291.
        http://trac.webkit.org/changeset/52291
        https://bugs.webkit.org/show_bug.cgi?id=32618

        Darin Fisher points out that this will likely break
        the SSL security indicator in Chromium.  Rolling out for now.

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):

2009-12-17  Alexander Pavlov  <apavlov@chromium.org>

        Reviewed by Eric Seidel.

        Disable memory cache client calls so that a new identifier isn't created
        for the same resource on reload.

        With the calls enabled, duplicate entries for cached resources are created
        in the Web Inspector. Safari for Windows disables the calls near the point of the
        Frame instance creation, and we just follow this for Chromium.
        https://bugs.webkit.org/show_bug.cgi?id=32618

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):

2009-12-17  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Darin Fisher.

        Added WebPageSerializer to WebKit API and enriched the WebNode hierarchy to support
        downstream unit-testing of serialization.

        WebPageSerializer was adapted from Chromium's dom_serializer, originally authored by Johnny Ding.

        https://bugs.webkit.org/show_bug.cgi?id=31737

        * WebKit.gyp:
        * public/WebDocument.h: Added.
        (WebKit::WebDocument::WebDocument):
        (WebKit::WebDocument::operator=):
        (WebKit::WebDocument::assign):
        * public/WebElement.h:
        * public/WebFormElement.h:
        (WebKit::WebFormElement::operator=):
        * public/WebFrame.h:
        * public/WebNode.h:
        (WebKit::WebNode::):
        (WebKit::WebNode::toConstElement):
        * public/WebNodeCollection.h: Added.
        (WebKit::WebNodeCollection::~WebNodeCollection):
        (WebKit::WebNodeCollection::WebNodeCollection):
        (WebKit::WebNodeCollection::operator=):
        * public/WebNodeList.h: Added.
        (WebKit::WebNodeList::~WebNodeList):
        (WebKit::WebNodeList::WebNodeList):
        (WebKit::WebNodeList::operator=):
        * public/WebPageSerializer.h: Added.
        * public/WebPageSerializerClient.h: Added.
        (WebKit::WebPageSerializerClient::):
        (WebKit::WebPageSerializerClient::WebPageSerializerClient):
        (WebKit::WebPageSerializerClient::~WebPageSerializerClient):
        * public/WebString.h:
        * public/WebView.h:
        * src/AssertMatchingEnums.cpp:
        * src/DOMUtilitiesPrivate.cpp:
        (WebKit::elementHasLegalLinkAttribute):
        * src/DOMUtilitiesPrivate.h:
        * src/WebDocument.cpp: Added.
        (WebKit::WebDocument::WebDocument):
        (WebKit::WebDocument::operator=):
        (WebKit::WebDocument::operator WTF::PassRefPtr<Document>):
        (WebKit::WebDocument::frame):
        (WebKit::WebDocument::isHTMLDocument):
        (WebKit::WebDocument::baseURL):
        (WebKit::WebDocument::body):
        (WebKit::WebDocument::head):
        (WebKit::WebDocument::all):
        (WebKit::WebDocument::completeURL):
        * src/WebElement.cpp:
        (WebKit::WebElement::hasTagName):
        (WebKit::WebElement::hasAttribute):
        (WebKit::WebElement::getAttribute):
        * src/WebEntities.cpp: Added.
        (WebKit::populateMap):
        (WebKit::):
        (WebKit::WebEntities::WebEntities):
        (WebKit::WebEntities::entityNameByCode):
        (WebKit::WebEntities::convertEntitiesInString):
        * src/WebEntities.h: Added.
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrame::fromFrameOwnerElement):
        (WebKit::WebFrameImpl::encoding):
        (WebKit::WebFrameImpl::document):
        (WebKit::WebFrameImpl::fromFrameOwnerElement):
        * src/WebFrameImpl.h:
        * src/WebNode.cpp:
        (WebKit::WebNode::nodeType):
        (WebKit::WebNode::nodeValue):
        (WebKit::WebNode::document):
        (WebKit::WebNode::firstChild):
        (WebKit::WebNode::lastChild):
        (WebKit::WebNode::previousSibling):
        (WebKit::WebNode::nextSibling):
        (WebKit::WebNode::hasChildNodes):
        (WebKit::WebNode::childNodes):
        (WebKit::WebNode::createMarkup):
        (WebKit::WebNode::isTextNode):
        (WebKit::WebNode::isElementNode):
        * src/WebNodeCollection.cpp: Added.
        (WebKit::WebNodeCollection::reset):
        (WebKit::WebNodeCollection::assign):
        (WebKit::WebNodeCollection::WebNodeCollection):
        (WebKit::WebNodeCollection::length):
        (WebKit::WebNodeCollection::nextItem):
        (WebKit::WebNodeCollection::firstItem):
        * src/WebNodeList.cpp: Added.
        (WebKit::WebNodeList::reset):
        (WebKit::WebNodeList::assign):
        (WebKit::WebNodeList::WebNodeList):
        (WebKit::WebNodeList::length):
        (WebKit::WebNodeList::item):
        * src/WebPageSerializer.cpp: Added.
        (WebKit::WebPageSerializer::serialize):
        (WebKit::WebPageSerializer::generateMetaCharsetDeclaration):
        (WebKit::WebPageSerializer::generateMarkOfTheWebDeclaration):
        (WebKit::WebPageSerializer::generateBaseTagDeclaration):
        * src/WebPageSerializerImpl.cpp: Added.
        (WebKit::WebPageSerializerImpl::SerializeDomParam::SerializeDomParam):
        (WebKit::WebPageSerializerImpl::preActionBeforeSerializeOpenTag):
        (WebKit::WebPageSerializerImpl::postActionAfterSerializeOpenTag):
        (WebKit::WebPageSerializerImpl::preActionBeforeSerializeEndTag):
        (WebKit::WebPageSerializerImpl::postActionAfterSerializeEndTag):
        (WebKit::WebPageSerializerImpl::saveHTMLContentToBuffer):
        (WebKit::WebPageSerializerImpl::openTagToString):
        (WebKit::WebPageSerializerImpl::endTagToString):
        (WebKit::WebPageSerializerImpl::buildContentForNode):
        (WebKit::WebPageSerializerImpl::WebPageSerializerImpl):
        (WebKit::WebPageSerializerImpl::collectTargetFrames):
        (WebKit::WebPageSerializerImpl::serialize):
        * src/WebPageSerializerImpl.h: Added.
        * src/WebString.cpp:
        (WebKit::WebString::WebString):
        (WebKit::WebString::operator=):
        * src/WebViewImpl.cpp:

2009-12-17  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by David Levin.

        Provide explicit implementation of 'non-template' WebVector<T>::operator=

        https://bugs.webkit.org/show_bug.cgi?id=32363

        * public/WebVector.h:

2009-12-16  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed, build fix.

        [Chromium] Add EditableTextRole to catch up with
        http://trac.webkit.org/changeset/52233

        * public/WebAccessibilityRole.h:
        (WebKit::): Added WebAccessibilityRoleEditableText
        * src/AssertMatchingEnums.cpp: Added matching compile assert.

2009-12-15  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Don't allow default framebuffer to be mutated
        https://bugs.webkit.org/show_bug.cgi?id=32391

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::GraphicsContext3DInternal):
        (WebCore::GraphicsContext3DInternal::reshape):
        (WebCore::GraphicsContext3DInternal::beginPaint):
        (WebCore::GraphicsContext3DInternal::bindFramebuffer):
        (WebCore::GraphicsContext3D::bindFramebuffer):

2009-12-15  Dimitri Glazkov  <dglazkov@chromium.org>

        Unreviewed, build fix.

        [Chromium] Add TreeGridRole to catch up with
        http://trac.webkit.org/changeset/52159.

        * public/WebAccessibilityRole.h:
        (WebKit::): Added WebAccessibilityRoleTreeGrid.
        * src/AssertMatchingEnums.cpp: Added matching compile assert.

2009-12-15  Jian Li  <jianli@chromium.org>

        Reviewed by Dmitry Titov.

        Bug 31090 - [Chromium] Add DownloadURL format to Chromium clipboard.
        https://bugs.webkit.org/show_bug.cgi?id=31090

        The proposal to whatwg can be found here:
        http://lists.whatwg.org/htdig.cgi/whatwg-whatwg.org/2009-August/022118.html

        * public/WebDragData.h:
        * src/WebDragData.cpp:
        (WebKit::WebDragData::downloadURL):
        (WebKit::WebDragData::setDownloadURL):

2009-12-14  Evan Stade  <estade@chromium.org>

        Reviewed by Darin Fisher.

        https://bugs.webkit.org/show_bug.cgi?id=32347
        Chromium: Context menu launched by menu key has funky behavior

        Make the context menu's position depend on the selection only when an
        editable field has focus. Also, don't send multiple context menu events
        for a single keypress.

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::keyEvent):
        (WebKit::WebViewImpl::sendContextMenuEvent):

2009-12-13  Sam Weinig  <sam@webkit.org>

        Reviewed by Dan Bernstein.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=32499
        Add client based Geolocation provider

        Add first cut of a client based Geolocation provider. This is guarded by
        ENABLE(CLIENT_BASED_GEOLOCATION) and is off by default for now. This adds a
        GeolocationControllerClient interface that no-one currently implements,
        but will in a subsequent patch.

        * src/WebViewImpl.cpp:
        (WebKit::WebViewImpl::WebViewImpl):

2009-12-13  Charles Reis  <creis@chromium.org>

        Reviewed by Adam Barth.

        Refactor some security code out of V8 bindings
        https://bugs.webkit.org/show_bug.cgi?id=32326

        * src/WebBindings.cpp:
        (WebKit::getDragDataImpl):

2009-12-11  Nate Chapin  <japhet@chromium.org>

        Reviewed by Darin Fisher.

        Expose shouldHideReferrer() in WebSecurityPolicy.

        https://bugs.webkit.org/show_bug.cgi?id=32398

        * public/WebSecurityPolicy.h: Add shouldHideReferrer().
        * src/WebSecurityPolicy.cpp:
        (WebKit:: WebSecurityPolicy::shouldHideReferrer): Added.

2009-12-11  Avi Drissman  <avi@chromium.org>

        Reviewed by Darin Fisher.

        Tickmarks in the scrollbar are not cleared for non-main frames
        https://bugs.webkit.org/show_bug.cgi?id=32385

        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::stopFinding):

2009-12-11  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Remove obsolete message handling methods from WebDevTools* interfaces

        https://bugs.webkit.org/show_bug.cgi?id=32320

        * public/WebDevToolsAgent.h:
        * public/WebDevToolsAgentClient.h:
        * public/WebDevToolsFrontend.h:
        * public/WebDevToolsFrontendClient.h:

2009-12-10  Mike Belshe  <mike@belshe.com>

        Unreviewed, build fix for chromium.

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::dispatchWillSendRequest):

2009-12-10  Kenneth Russell  <kbr@google.com>

        Reviewed by Oliver Hunt.

        Changed WebGLRenderingContext to synthesize GL errors rather than
        raising JavaScript exceptions. Removed internal getError() calls
        after each graphics call. The GraphicsContext3D maintains the
        synthetic exceptions because only it has complete information
        about certain conditions requiring them to be raised.

        Based on idea from Ilmari Heikkinen, added create3DDebugContext()
        to webgl-test.js and changed the WebGL layout tests expecting
        error conditions to use it. Updated expected.txt files, which now
        implicitly test the OpenGL error as it is part of the exception's
        message.

        Added new targeted test covering aspects of synthetic errors as
        well as regression tests for bugs uncovered during its development.

        Test: fast/canvas/webgl/error-reporting.html

        * src/GraphicsContext3D.cpp:
        (WebCore::GraphicsContext3DInternal::reshape):
        (WebCore::GraphicsContext3DInternal::getError):
        (WebCore::GraphicsContext3DInternal::synthesizeGLError):
        (WebCore::GraphicsContext3D::getActiveAttrib):
        (WebCore::GraphicsContext3D::getActiveUniform):
        (WebCore::GraphicsContext3D::getError):
        (WebCore::GraphicsContext3D::synthesizeGLError):

2009-12-10  Mike Belshe  <mike@belshe.com>

        Reviewed by Darin Fisher.

        Fix FrameLoader to use the new ResourceTypes properly.

        https://bugs.webkit.org/show_bug.cgi?id=32336

        * public/WebURLRequest.h:
        (WebKit::WebURLRequest::):
        * src/FrameLoaderClientImpl.cpp:
        (WebKit::setTargetTypeFromLoader):
        (WebKit::FrameLoaderClientImpl::dispatchWillSendRequest):

2009-12-10  Ilya Tikhonovsky <loislo@google.com>

        Reviewed by Pavel Feldman.

        Chromium: Expose devtools agent API for inspector layout tests.

        https://bugs.webkit.org/show_bug.cgi?id=32379

        * public/WebDevToolsAgent.h:
        (WebKit::WebDevToolsAgent::setTimelineProfilingEnabled):
        (WebKit::WebDevToolsAgent::evaluateInWebInspector):

2009-12-09  Yury Semikhatsky  <yurys@chromium.org>

        Unreviewed, build fix.

        Change forward declaration of WebContextMenuData from class to
        struct to match its definition. The bug was introduced by
        http://trac.webkit.org/changeset/51874

        * src/ContextMenuClientImpl.h:

2009-12-09  Darin Fisher  <darin@chromium.org>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=32324
        [Chromium] Suppress WebFrameClient callbacks from a detached frame.

        This change means that we no longer need the ClientHandle class.
        FrameLoaderClient::detachedFromParent3() is called on each frame
        in the frame tree from within frameDetached().

        Test: http/tests/loading/gmail-assert-on-load.html

        * src/FrameLoaderClientImpl.cpp:
        (WebKit::FrameLoaderClientImpl::detachedFromParent3):
        * src/WebFrameImpl.cpp:
        (WebKit::WebFrameImpl::create):
